linux-aws-hwe (4.15.0-1060.62~16.04.1) xenial; urgency=medium

  * xenial/linux-aws-hwe: 4.15.0-1060.62~16.04.1 -proposed tracker
    (LP: #1862807)

  [ Ubuntu: 4.15.0-1060.62 ]

  * bionic/linux-aws: 4.15.0-1060.62 -proposed tracker (LP: #1862808)
  * bionic/linux: 4.15.0-88.88 -proposed tracker (LP: #1862824)
  * Segmentation fault (kernel oops) with memory-hotplug in
    ubuntu_kernel_selftests on Bionic kernel (LP: #1862312)
    - Revert "mm/memory_hotplug: fix online/offline_pages called w.o.
      mem_hotplug_lock"
    - mm/memory_hotplug: fix online/offline_pages called w.o. mem_hotplug_lock

 -- Khalid Elmously <khalid.elmously@canonical.com>  Wed, 12 Feb 2020 00:03:06 -0500

linux-aws-hwe (4.15.0-1059.61~16.04.1) xenial; urgency=medium

  * xenial/linux-aws-hwe: 4.15.0-1059.61~16.04.1 -proposed tracker
    (LP: #1861140)

  [ Ubuntu: 4.15.0-1059.61 ]

  * bionic/linux-aws: 4.15.0-1059.61 -proposed tracker (LP: #1861141)
  * RANDOM_TRUST_BOOTLOADER support on AWS Graviton (LP: #1859192)
    - aws: [Config] CONFIG_RANDOM_TRUST_BOOTLOADER=y for arm64
    - fdt: add support for rng-seed
    - efi/random: Treat EFI_RNG_PROTOCOL output as bootloader randomness
  * bionic/linux: 4.15.0-87.87 -proposed tracker (LP: #1861165)
  * Bionic update: upstream stable patchset 2020-01-22 (LP: #1860602)
    - scsi: lpfc: Fix discovery failures when target device connectivity bounces
    - scsi: mpt3sas: Fix clear pending bit in ioctl status
    - scsi: lpfc: Fix locking on mailbox command completion
    - Input: atmel_mxt_ts - disable IRQ across suspend
    - iommu/tegra-smmu: Fix page tables in > 4 GiB memory
    - scsi: target: compare full CHAP_A Algorithm strings
    - scsi: lpfc: Fix SLI3 hba in loop mode not discovering devices
    - scsi: csiostor: Don't enable IRQs too early
    - powerpc/pseries: Mark accumulate_stolen_time() as notrace
    - powerpc/pseries: Don't fail hash page table insert for bolted mapping
    - powerpc/tools: Don't quote $objdump in scripts
    - dma-debug: add a schedule point in debug_dma_dump_mappings()
    - clocksource/drivers/asm9260: Add a check for of_clk_get
    - powerpc/security/book3s64: Report L1TF status in sysfs
    - powerpc/book3s64/hash: Add cond_resched to avoid soft lockup warning
    - ext4: update direct I/O read lock pattern for IOCB_NOWAIT
    - jbd2: Fix statistics for the number of logged blocks
    - scsi: tracing: Fix handling of TRANSFER LENGTH == 0 for READ(6) and WRITE(6)
    - scsi: lpfc: Fix duplicate unreg_rpi error in port offline flow
    - f2fs: fix to update dir's i_pino during cross_rename
    - clk: qcom: Allow constant ratio freq tables for rcg
    - irqchip/irq-bcm7038-l1: Enable parent IRQ if necessary
    - irqchip: ingenic: Error out if IRQ domain creation failed
    - fs/quota: handle overflows of sysctl fs.quota.* and report as unsigned long
    - scsi: lpfc: fix: Coverity: lpfc_cmpl_els_rsp(): Null pointer dereferences
    - scsi: ufs: fix potential bug which ends in system hang
    - powerpc/pseries/cmm: Implement release() function for sysfs device
    - powerpc/security: Fix wrong message when RFI Flush is disable
    - scsi: atari_scsi: sun3_scsi: Set sg_tablesize to 1 instead of SG_NONE
    - clk: pxa: fix one of the pxa RTC clocks
    - bcache: at least try to shrink 1 node in bch_mca_scan()
    - HID: logitech-hidpp: Silence intermittent get_battery_capacity errors
    - libnvdimm/btt: fix variable 'rc' set but not used
    - HID: Improve Windows Precision Touchpad detection.
    - scsi: pm80xx: Fix for SATA device discovery
    - scsi: ufs: Fix error handing during hibern8 enter
    - scsi: scsi_debug: num_tgts must be >= 0
    - scsi: NCR5380: Add disconnect_mask module parameter
    - scsi: iscsi: Don't send data to unbound connection
    - scsi: target: iscsi: Wait for all commands to finish before freeing a
      session
    - gpio: mpc8xxx: Don't overwrite default irq_set_type callback
    - apparmor: fix unsigned len comparison with less than zero
    - scripts/kallsyms: fix definitely-lost memory leak
    - cdrom: respect device capabilities during opening action
    - perf script: Fix brstackinsn for AUXTRACE
    - perf regs: Make perf_reg_name() return "unknown" instead of NULL
    - s390/zcrypt: handle new reply code FILTERED_BY_HYPERVISOR
    - libfdt: define INT32_MAX and UINT32_MAX in libfdt_env.h
    - s390/cpum_sf: Check for SDBT and SDB consistency
    - ocfs2: fix passing zero to 'PTR_ERR' warning
    - kernel: sysctl: make drop_caches write-only
    - userfaultfd: require CAP_SYS_PTRACE for UFFD_FEATURE_EVENT_FORK
    - x86/mce: Fix possibly incorrect severity calculation on AMD
    - net, sysctl: Fix compiler warning when only cBPF is present
    - netfilter: nf_queue: enqueue skbs with NULL dst
    - ALSA: hda - Downgrade error message for single-cmd fallback
    - bonding: fix active-backup transition after link failure
    - perf strbuf: Remove redundant va_end() in strbuf_addv()
    - Make filldir[64]() verify the directory entry filename is valid
    - filldir[64]: remove WARN_ON_ONCE() for bad directory entries
    - netfilter: ebtables: compat: reject all padding in matches/watchers
    - 6pack,mkiss: fix possible deadlock
    - netfilter: bridge: make sure to pull arp header in br_nf_forward_arp()
    - inetpeer: fix data-race in inet_putpeer / inet_putpeer
    - net: add a READ_ONCE() in skb_peek_tail()
    - net: icmp: fix data-race in cmp_global_allow()
    - hrtimer: Annotate lockless access to timer->state
    - spi: fsl: don't map irq during probe
    - tty/serial: atmel: fix out of range clock divider handling
    - pinctrl: baytrail: Really serialize all register accesses
    - net: ena: fix napi handler misbehavior when the napi budget is zero
    - net/mlxfw: Fix out-of-memory error in mfa2 flash burning
    - ptp: fix the race between the release of ptp_clock and cdev
    - udp: fix integer overflow while computing available space in sk_rcvbuf
    - vhost/vsock: accept only packets with the right dst_cid
    - net: add bool confirm_neigh parameter for dst_ops.update_pmtu
    - gtp: do not confirm neighbor when do pmtu update
    - net/dst: add new function skb_dst_update_pmtu_no_confirm
    - tunnel: do not confirm neighbor when do pmtu update
    - vti: do not confirm neighbor when do pmtu update
    - sit: do not confirm neighbor when do pmtu update
    - gtp: do not allow adding duplicate tid and ms_addr pdp context
    - tcp/dccp: fix possible race __inet_lookup_established()
    - tcp: do not send empty skb from tcp_write_xmit()
    - gtp: fix wrong condition in gtp_genl_dump_pdp()
    - gtp: fix an use-after-free in ipv4_pdp_find()
    - gtp: avoid zero size hashtable
    - spi: fsl: use platform_get_irq() instead of of_irq_to_resource()
    - scsi: hisi_sas: Replace in_softirq() check in hisi_sas_task_exec()
    - clocksource/drivers/timer-of: Use unique device name instead of timer
    - ext4: iomap that extends beyond EOF should be marked dirty
    - clk: clk-gpio: propagate rate change to parent
    - HID: quirks: Add quirk for HP MSU1465 PIXART OEM mouse
    - HID: rmi: Check that the RMI_STARTED bit is set before unregistering the RMI
      transport device
    - watchdog: Fix the race between the release of watchdog_core_data and cdev
    - powerpc: Don't add -mabi= flags when building with Clang
    - tcp: Fix highest_sack and highest_sack_seq
    - nvme_fc: add module to ops template to allow module references
    - iio: adc: max9611: Fix too short conversion time delay
    - PM / devfreq: Don't fail devfreq_dev_release if not in list
    - RDMA/cma: add missed unregister_pernet_subsys in init failure
    - rxe: correctly calculate iCRC for unaligned payloads
    - scsi: lpfc: Fix memory leak on lpfc_bsg_write_ebuf_set func
    - scsi: qla2xxx: Don't call qlt_async_event twice
    - scsi: iscsi: qla4xxx: fix double free in probe
    - scsi: libsas: stop discovering if oob mode is disconnected
    - drm/nouveau: Move the declaration of struct nouveau_conn_atom up a bit
    - usb: gadget: fix wrong endpoint desc
    - net: make socket read/write_iter() honor IOCB_NOWAIT
    - md: raid1: check rdev before reference in raid1_sync_request func
    - s390/cpum_sf: Adjust sampling interval to avoid hitting sample limits
    - s390/cpum_sf: Avoid SBD overflow condition in irq handler
    - IB/mlx4: Follow mirror sequence of device add during device removal
    - xen-blkback: prevent premature module unload
    - xen/balloon: fix ballooned page accounting without hotplug enabled
    - xfs: fix mount failure crash on invalid iclog memory access
    - taskstats: fix data-race
    - drm: limit to INT_MAX in create_blob ioctl
    - ALSA: ice1724: Fix sleep-in-atomic in Infrasonic Quartet support code
    - drm/sun4i: hdmi: Remove duplicate cleanup calls
    - MIPS: Avoid VDSO ABI breakage due to global register variable
    - media: pulse8-cec: fix lost cec_transmit_attempt_done() call
    - media: cec: CEC 2.0-only bcast messages were ignored
    - media: cec: avoid decrementing transmit_queue_sz if it is 0
    - mm/zsmalloc.c: fix the migrated zspage statistics.
    - memcg: account security cred as well to kmemcg
    - pstore/ram: Write new dumps to start of recycled zones
    - locks: print unsigned ino in /proc/locks
    - dmaengine: Fix access to uninitialized dma_slave_caps
    - compat_ioctl: block: handle Persistent Reservations
    - compat_ioctl: block: handle BLKREPORTZONE/BLKRESETZONE
    - ata: libahci_platform: Export again ahci_platform_<en/dis>able_phys()
    - ata: ahci_brcm: Allow optional reset controller to be used
    - ata: ahci_brcm: Fix AHCI resources management
    - gpiolib: fix up emulated open drain outputs
    - tracing: Fix lock inversion in trace_event_enable_tgid_record()
    - tracing: Have the histogram compare functions convert to u64 first
    - ALSA: cs4236: fix error return comparison of an unsigned integer
    - ALSA: firewire-motu: Correct a typo in the clock proc string
    - exit: panic before exit_mm() on global init exit
    - ftrace: Avoid potential division by zero in function profiler
    - PM / devfreq: Check NULL governor in available_governors_show
    - nfsd4: fix up replay_matches_cache()
    - scsi: qla2xxx: Drop superfluous INIT_WORK of del_work
    - xfs: don't check for AG deadlock for realtime files in bunmapi
    - platform/x86: pmc_atom: Add Siemens CONNECT X300 to critclk_systems DMI
      table
    - Bluetooth: btusb: fix PM leak in error case of setup
    - Bluetooth: delete a stray unlock
    - Bluetooth: Fix memory leak in hci_connect_le_scan
    - media: flexcop-usb: ensure -EIO is returned on error condition
    - regulator: ab8500: Remove AB8505 USB regulator
    - media: usb: fix memory leak in af9005_identify_state
    - dt-bindings: clock: renesas: rcar-usb2-clock-sel: Fix typo in example
    - tty: serial: msm_serial: Fix lockup for sysrq and oops
    - fix compat handling of FICLONERANGE, FIDEDUPERANGE and FS_IOC_FIEMAP
    - scsi: qedf: Do not retry ELS request if qedf_alloc_cmd fails
    - drm/mst: Fix MST sideband up-reply failure handling
    - powerpc/pseries/hvconsole: Fix stack overread via udbg
    - selftests: rtnetlink: add addresses with fixed life time
    - rxrpc: Fix possible NULL pointer access in ICMP handling
    - ath9k_htc: Modify byte order for an error message
    - ath9k_htc: Discard undersized packets
    - arm64: dts: meson: odroid-c2: Disable usb_otg bus to avoid power failed
      warning
    - net: add annotations on hh->hh_len lockless accesses
    - s390/smp: fix physical to logical CPU map for SMT
    - xen/blkback: Avoid unmapping unmapped grant pages
    - perf/x86/intel/bts: Fix the use of page_private()
    - drm/amdgpu: add cache flush workaround to gfx8 emit_fence
    - drm/amd/display: Fixed kernel panic when booting with DP-to-HDMI dongle
    - PM / devfreq: Fix devfreq_notifier_call returning errno
    - PM / devfreq: Set scaling_max_freq to max on OPP notifier error
    - afs: Fix afs_find_server lookups for ipv4 peers
    - scsi: qla2xxx: Fix PLOGI payload and ELS IOCB dump length
    - scsi: qla2xxx: Send Notify ACK after N2N PLOGI
    - ALSA: hda - fixup for the bass speaker on Lenovo Carbon X1 7th gen
    - ALSA: hda/realtek - Add headset Mic no shutup for ALC283
    - media: cec: check 'transmit_in_progress', not 'transmitting'
    - HID: i2c-hid: Reset ALPS touchpads on resume
    - bdev: Factor out bdev revalidation into a common helper
    - bdev: Refresh bdev size for disks without partitioning
    - KVM: PPC: Book3S HV: use smp_mb() when setting/clearing host_ipi flag
    - net: core: limit nested device depth
    - ubifs: ubifs_tnc_start_commit: Fix OOB in layout_in_gaps
  * Bionic update: upstream stable patchset 2020-01-14 (LP: #1859712)
    - af_packet: set defaule value for tmo
    - fjes: fix missed check in fjes_acpi_add
    - mod_devicetable: fix PHY module format
    - net: dst: Force 4-byte alignment of dst_metrics
    - net: hisilicon: Fix a BUG trigered by wrong bytes_compl
    - net: nfc: nci: fix a possible sleep-in-atomic-context bug in
      nci_uart_tty_receive()
    - net: qlogic: Fix error paths in ql_alloc_large_buffers()
    - net: usb: lan78xx: Fix suspend/resume PHY register access error
    - qede: Fix multicast mac configuration
    - sctp: fully initialize v4 addr in some functions
    - btrfs: don't double lock the subvol_sem for rename exchange
    - btrfs: do not call synchronize_srcu() in inode_tree_del
    - btrfs: skip log replay on orphaned roots
    - btrfs: do not leak reloc root if we fail to read the fs root
    - btrfs: handle ENOENT in btrfs_uuid_tree_iterate
    - Btrfs: fix removal logic of the tree mod log that leads to use-after-free
      issues
    - ALSA: pcm: Avoid possible info leaks from PCM stream buffers
    - ALSA: hda/ca0132 - Keep power on during processing DSP response
    - ALSA: hda/ca0132 - Avoid endless loop
    - drm: mst: Fix query_payload ack reply struct
    - drm/bridge: analogix-anx78xx: silence -EPROBE_DEFER warnings
    - iio: light: bh1750: Resolve compiler warning and make code more readable
    - spi: Add call to spi_slave_abort() function when spidev driver is released
    - staging: rtl8192u: fix multiple memory leaks on error path
    - staging: rtl8188eu: fix possible null dereference
    - rtlwifi: prevent memory leak in rtl_usb_probe
    - libertas: fix a potential NULL pointer dereference
    - IB/iser: bound protection_sg size by data_sg size
    - media: am437x-vpfe: Setting STD to current value is not an error
    - media: i2c: ov2659: fix s_stream return value
    - media: ov6650: Fix crop rectangle alignment not passed back
    - media: i2c: ov2659: Fix missing 720p register config
    - media: ov6650: Fix stored frame format not in sync with hardware
    - media: ov6650: Fix stored crop rectangle not in sync with hardware
    - tools/power/cpupower: Fix initializer override in hsw_ext_cstates
    - media: venus: core: Fix msm8996 frequency table
    - ath10k: fix offchannel tx failure when no ath10k_mac_tx_frm_has_freq
    - pinctrl: devicetree: Avoid taking direct reference to device name string
    - selftests/bpf: Correct path to include msg + path
    - usb: renesas_usbhs: add suspend event support in gadget mode
    - hwrng: omap3-rom - Call clk_disable_unprepare() on exit only if not idled
    - regulator: max8907: Fix the usage of uninitialized variable in
      max8907_regulator_probe()
    - media: flexcop-usb: fix NULL-ptr deref in flexcop_usb_transfer_init()
    - media: cec-funcs.h: add status_req checks
    - drm/bridge: dw-hdmi: Refuse DDC/CI transfers on the internal I2C controller
    - samples: pktgen: fix proc_cmd command result check logic
    - block: Fix writeback throttling W=1 compiler warnings
    - mwifiex: pcie: Fix memory leak in mwifiex_pcie_init_evt_ring
    - media: cx88: Fix some error handling path in 'cx8800_initdev()'
    - media: ti-vpe: vpe: Fix Motion Vector vpdma stride
    - media: ti-vpe: vpe: fix a v4l2-compliance warning about invalid pixel format
    - media: ti-vpe: vpe: fix a v4l2-compliance failure about frame sequence
      number
    - media: ti-vpe: vpe: Make sure YUYV is set as default format
    - media: ti-vpe: vpe: fix a v4l2-compliance failure causing a kernel panic
    - media: ti-vpe: vpe: ensure buffers are cleaned up properly in abort cases
    - media: ti-vpe: vpe: fix a v4l2-compliance failure about invalid sizeimage
    - extcon: sm5502: Reset registers during initialization
    - x86/mm: Use the correct function type for native_set_fixmap()
    - drm/bridge: dw-hdmi: Restore audio when setting a mode
    - perf test: Report failure for mmap events
    - perf report: Add warning when libunwind not compiled in
    - usb: usbfs: Suppress problematic bind and unbind uevents.
    - iio: adc: max1027: Reset the device at probe time
    - Bluetooth: missed cpu_to_le16 conversion in hci_init4_req
    - Bluetooth: hci_core: fix init for HCI_USER_CHANNEL
    - x86/mce: Lower throttling MCE messages' priority to warning
    - drm/gma500: fix memory disclosures due to uninitialized bytes
    - rtl8xxxu: fix RTL8723BU connection failure issue after warm reboot
    - x86/ioapic: Prevent inconsistent state when moving an interrupt
    - arm64: psci: Reduce the waiting time for cpu_psci_cpu_kill()
    - net: phy: dp83867: enable robust auto-mdix
    - RDMA/qedr: Fix memory leak in user qp and mr
    - gpu: host1x: Allocate gather copy for host1x
    - net: dsa: LAN9303: select REGMAP when LAN9303 enable
    - phy: qcom-usb-hs: Fix extcon double register after power cycle
    - s390/time: ensure get_clock_monotonic() returns monotonic values
    - s390/mm: add mm_pxd_folded() checks to pxd_free()
    - libata: Ensure ata_port probe has completed before detach
    - loop: fix no-unmap write-zeroes request behavior
    - pinctrl: sh-pfc: sh7734: Fix duplicate TCLK1_B
    - iio: dln2-adc: fix iio_triggered_buffer_postenable() position
    - Bluetooth: Fix advertising duplicated flags
    - pinctrl: amd: fix __iomem annotation in amd_gpio_irq_handler()
    - ixgbe: protect TX timestamping from API misuse
    - media: rcar_drif: fix a memory disclosure
    - media: v4l2-core: fix touch support in v4l_g_fmt
    - rfkill: allocate static minor
    - bnx2x: Fix PF-VF communication over multi-cos queues.
    - spi: img-spfi: fix potential double release
    - ALSA: timer: Limit max amount of slave instances
    - rtlwifi: fix memory leak in rtl92c_set_fw_rsvdpagepkt()
    - perf probe: Fix to find range-only function instance
    - perf probe: Fix to list probe event with correct line number
    - perf probe: Walk function lines in lexical blocks
    - perf probe: Fix to probe an inline function which has no entry pc
    - perf probe: Fix to show ranges of variables in functions without entry_pc
    - perf probe: Fix to show inlined function callsite without entry_pc
    - libsubcmd: Use -O0 with DEBUG=1
    - perf probe: Fix to probe a function which has no entry pc
    - drm/amdgpu: fix potential double drop fence reference
    - perf parse: If pmu configuration fails free terms
    - perf probe: Skip overlapped location on searching variables
    - perf probe: Return a better scope DIE if there is no best scope
    - perf probe: Fix to show calling lines of inlined functions
    - perf probe: Skip end-of-sequence and non statement lines
    - perf probe: Filter out instances except for inlined subroutine and
      subprogram
    - ath10k: fix get invalid tx rate for Mesh metric
    - fsi: core: Fix small accesses and unaligned offsets via sysfs
    - media: pvrusb2: Fix oops on tear-down when radio support is not present
    - media: si470x-i2c: add missed operations in remove
    - EDAC/ghes: Fix grain calculation
    - spi: pxa2xx: Add missed security checks
    - ASoC: rt5677: Mark reg RT5677_PWR_ANLG2 as volatile
    - ASoC: Intel: kbl_rt5663_rt5514_max98927: Add dmic format constraint
    - s390/disassembler: don't hide instruction addresses
    - parport: load lowlevel driver if ports not found
    - cpufreq: Register drivers only after CPU devices have been registered
    - x86/crash: Add a forward declaration of struct kimage
    - iwlwifi: mvm: fix unaligned read of rx_pkt_status
    - spi: tegra20-slink: add missed clk_unprepare
    - crypto: virtio - deal with unsupported input sizes
    - mmc: tmio: Add MMC_CAP_ERASE to allow erase/discard/trim requests
    - btrfs: don't prematurely free work in end_workqueue_fn()
    - btrfs: don't prematurely free work in run_ordered_work()
    - spi: st-ssc4: add missed pm_runtime_disable
    - x86/insn: Add some Intel instructions to the opcode map
    - iwlwifi: check kasprintf() return value
    - fbtft: Make sure string is NULL terminated
    - crypto: sun4i-ss - Fix 64-bit size_t warnings
    - crypto: sun4i-ss - Fix 64-bit size_t warnings on sun4i-ss-hash.c
    - mac80211: consider QoS Null frames for STA_NULLFUNC_ACKED
    - crypto: vmx - Avoid weird build failures
    - libtraceevent: Fix memory leakage in copy_filter_type
    - mips: fix build when "48 bits virtual memory" is enabled
    - net: phy: initialise phydev speed and duplex sanely
    - btrfs: don't prematurely free work in reada_start_machine_worker()
    - btrfs: don't prematurely free work in scrub_missing_raid56_worker()
    - Revert "mmc: sdhci: Fix incorrect switch to HS mode"
    - mmc: mediatek: fix CMD_TA to 2 for MT8173 HS200/HS400 mode
    - usb: xhci: Fix build warning seen with CONFIG_PM=n
    - s390/ftrace: fix endless recursion in function_graph tracer
    - btrfs: return error pointer from alloc_test_extent_buffer
    - btrfs: abort transaction after failed inode updates in create_subvol
    - usbip: Fix receive error in vhci-hcd when using scatter-gather
    - usbip: Fix error path of vhci_recv_ret_submit()
    - USB: EHCI: Do not return -EPIPE when hub is disconnected
    - intel_th: pci: Add Comet Lake PCH-V support
    - intel_th: pci: Add Elkhart Lake SOC support
    - platform/x86: hp-wmi: Make buffer for HPWMI_FEATURE2_QUERY 128 bytes
    - staging: comedi: gsc_hpdi: check dma_alloc_coherent() return value
    - ext4: fix ext4_empty_dir() for directories with holes
    - ext4: check for directory entries too close to block end
    - ext4: unlock on error in ext4_expand_extra_isize()
    - KVM: arm64: Ensure 'params' is initialised when looking up sys register
    - x86/MCE/AMD: Do not use rdmsr_safe_on_cpu() in smca_configure()
    - x86/MCE/AMD: Allow Reserved types to be overwritten in smca_banks[]
    - powerpc/irq: fix stack overflow verification
    - mmc: sdhci-of-esdhc: Revert "mmc: sdhci-of-esdhc: add erratum A-009204
      support"
    - mmc: sdhci: Update the tuning failed messages to pr_debug level
    - mmc: sdhci-of-esdhc: fix P2020 errata handling
    - nbd: fix shutdown and recv work deadlock v2
    - perf probe: Fix to show function entry line as probe-able
    - btrfs: send: remove WARN_ON for readonly mount
    - ALSA: hda/ca0132 - Fix work handling in delayed HP detection
    - drm/panel: Add missing drm_panel_init() in panel drivers
    - drm/amdkfd: fix a potential NULL pointer dereference (v2)
    - drm/drm_vblank: Change EINVAL by the correct errno
    - Bluetooth: Workaround directed advertising bug in Broadcom controllers
    - media: smiapp: Register sensor after enabling runtime PM on the device
    - md/bitmap: avoid race window between md_bitmap_resize and
      bitmap_file_clear_bit
    - net: hns3: add struct netdev_queue debug info for TX timeout
    - nvmem: imx-ocotp: reset error status on probe
    - perf jevents: Fix resource leak in process_mapfile() and main()
    - perf tools: Splice events onto evlist even on error
    - crypto: atmel - Fix authenc support when it is set to m
    - iio: dac: ad5446: Add support for new AD5600 DAC
    - bcache: fix static checker warning in bcache_device_free()
    - tun: fix data-race in gro_normal_list()
    - ASoC: wm2200: add missed operations in remove and probe failure
    - ASoC: wm5100: add missed pm_runtime_disable
    - net: ethernet: ti: ale: disable ale from stop()
    - net: ethernet: ti: ale: clean ale tbl on init and intf restart
    - cpufreq: Rename cpufreq_can_do_remote_dvfs()
    - cpufreq: Avoid leaving stale IRQ work items during CPU offline
    - mmc: sdhci: Add a quirk for broken command queuing
  * Bionic update: upstream stable patchset 2020-01-10 (LP: #1859249)
    - net: bridge: deny dev_set_mac_address() when unregistering
    - net: dsa: fix flow dissection on Tx path
    - net: ethernet: ti: cpsw: fix extra rx interrupt
    - net: thunderx: start phy before starting autonegotiation
    - openvswitch: support asymmetric conntrack
    - tcp: md5: fix potential overestimation of TCP option space
    - tipc: fix ordering of tipc module init and exit routine
    - tcp: fix rejected syncookies due to stale timestamps
    - tcp: tighten acceptance of ACKs not matching a child socket
    - tcp: Protect accesses to .ts_recent_stamp with {READ,WRITE}_ONCE()
    - inet: protect against too small mtu values.
    - nvme: host: core: fix precedence of ternary operator
    - Revert "regulator: Defer init completion for a while after late_initcall"
    - PCI/PM: Always return devices to D0 when thawing
    - PCI: Fix Intel ACS quirk UPDCR register address
    - PCI/MSI: Fix incorrect MSI-X masking on resume
    - PCI: Apply Cavium ACS quirk to ThunderX2 and ThunderX3
    - xtensa: fix TLB sanity checker
    - rpmsg: glink: Set tail pointer to 0 at end of FIFO
    - rpmsg: glink: Fix reuse intents memory leak issue
    - rpmsg: glink: Fix use after free in open_ack TIMEOUT case
    - rpmsg: glink: Put an extra reference during cleanup
    - rpmsg: glink: Fix rpmsg_register_device err handling
    - rpmsg: glink: Don't send pending rx_done during remove
    - rpmsg: glink: Free pending deferred work on remove
    - CIFS: Respect O_SYNC and O_DIRECT flags during reconnect
    - ARM: dts: s3c64xx: Fix init order of clock providers
    - ARM: tegra: Fix FLOW_CTLR_HALT register clobbering by tegra_resume()
    - vfio/pci: call irq_bypass_unregister_producer() before freeing irq
    - dma-buf: Fix memory leak in sync_file_merge()
    - dm btree: increase rebalance threshold in __rebalance2()
    - scsi: iscsi: Fix a potential deadlock in the timeout handler
    - drm/radeon: fix r1xx/r2xx register checker for POT textures
    - xhci: fix USB3 device initiated resume race with roothub autosuspend
    - net: stmmac: use correct DMA buffer size in the RX descriptor
    - mqprio: Fix out-of-bounds access in mqprio_dump
  * fstrim on nvme / AMD CPU fails and produces kernel error messages
    (LP: #1856603)
    - nvme: Discard workaround for non-conformant devices
  * net selftest psock_fanout fails on xenial s390x due to incorrect queue
    lengths (LP: #1853375)
    - selftests/net: ignore background traffic in psock_fanout
  * multi-zone raid0 corruption (LP: #1850540)
    - md/raid0: avoid RAID0 data corruption due to layout confusion.
    - md: add feature flag MD_FEATURE_RAID0_LAYOUT
    - md/raid0: fix warning message for parameter default_layout
    - md/raid0: Fix an error message in raid0_make_request()
    - SAUCE: md/raid0: Link to wiki with guidance on multi-zone RAID0 layout
      migration
    - SAUCE: md/raid0: Use kernel specific layout
  * Dell AIO can't adjust brightness (LP: #1858761)
    - SAUCE: platform/x86: dell-uart-backlight: add retry for get scalar status
  * USB key cannot be detected by hotplug on Sunix USB Type-A 3.1 Gen 2 card
    [1b21:2142]  (LP: #1858988)
    - SAUCE: PCI: Avoid ASMedia XHCI USB PME# from D0 defect
  * CVE-2019-5108
    - cfg80211/mac80211: make ieee80211_send_layer2_update a public function
    - mac80211: Do not send Layer 2 Update frame before authorization
  * [SRU][B/OEM-B/OEM-OSP1/D/E/Unstable] UBUNTU: SAUCE: Use native backlight on
    Lenovo E41-25/45 (LP: #1859561)
    - SAUCE: ACPI: video: Use native backlight on Lenovo E41-25/45
  * CVE-2019-20096
    - dccp: Fix memleak in __feat_register_sp
  * Fix misleading error message: Configuring the VNIC characteristics failed
    (LP: #1860523)
    - (upstream) s390/qeth: fix false reporting of VNIC CHAR config failure
  * Fix unusable USB hub on Dell TB16 after S3 (LP: #1855312)
    - SAUCE: USB: core: Make port power cycle a seperate helper function
    - SAUCE: USB: core: Attempt power cycle port when it's in eSS.Disabled state
  * [linux] Patch to prevent possible data corruption (LP: #1848739)
    - blk-mq: quiesce queue during switching io sched and updating nr_requests
    - blk-mq: move hctx lock/unlock into a helper
    - blk-mq: factor out a few helpers from __blk_mq_try_issue_directly
    - blk-mq: improve DM's blk-mq IO merging via blk_insert_cloned_request
      feedback
    - dm mpath: fix missing call of path selector type->end_io
    - blk-mq-sched: remove unused 'can_block' arg from blk_mq_sched_insert_request
    - blk-mq: don't dispatch request in blk_mq_request_direct_issue if queue is
      busy
    - blk-mq: introduce BLK_STS_DEV_RESOURCE
    - blk-mq: Rename blk_mq_request_direct_issue() into
      blk_mq_request_issue_directly()
    - blk-mq: don't queue more if we get a busy return
    - blk-mq: dequeue request one by one from sw queue if hctx is busy
    - blk-mq: issue directly if hw queue isn't busy in case of 'none'
    - blk-mq: fix corruption with direct issue
    - blk-mq: fail the request in case issue failure
    - blk-mq: punt failed direct issue to dispatch list
  * [sas-1126]scsi: hisi_sas: Fix out of bound at debug_I_T_nexus_reset()
    (LP: #1853992)
    - scsi: hisi_sas: Fix out of bound at debug_I_T_nexus_reset()
  * [sas-1126]scsi: hisi_sas: Assign NCQ tag for all NCQ commands (LP: #1853995)
    - scsi: hisi_sas: Assign NCQ tag for all NCQ commands
  * [sas-1126]scsi: hisi_sas: Fix the conflict between device gone and host
    reset (LP: #1853997)
    - scsi: hisi_sas: Fix the conflict between device gone and host reset
  * scsi: hisi_sas: Check sas_port before using it (LP: #1855952)
    - scsi: hisi_sas: Check sas_port before using it
  * CVE-2019-18885
    - btrfs: refactor btrfs_find_device() take fs_devices as argument
    - btrfs: merge btrfs_find_device and find_device
  * [SRU][B/OEM-B/OEM-OSP1/D/E/F] Add LG I2C touchscreen multitouch support
    (LP: #1857541)
    - SAUCE: HID: multitouch: Add LG MELF0410 I2C touchscreen support
  * usb-audio: the mic can't record any sound after resume on Dell Dock WD19
    (LP: #1857496)
    - ALSA: usb-audio: set the interface format after resume on Dell WD19
  * qede driver causes 100% CPU load (LP: #1855409)
    - qede: Handle infinite driver spinning for Tx timestamp.
  * [roce-1126]RDMA/hns: bugfix for slab-out-of-bounds when loading hip08 driver
    (LP: #1853989)
    - RDMA/hns: Bugfix for slab-out-of-bounds when unloading hip08 driver
    - RDMA/hns: bugfix for slab-out-of-bounds when loading hip08 driver
  * [roce-1126]RDMA/hns: Fixs hw access invalid dma memory error (LP: #1853990)
    - RDMA/hns: Fixs hw access invalid dma memory error
  * [hns-1126] net: hns: add support for vlan TSO (LP: #1853937)
    - net: hns: add support for vlan TSO
  * mlx5_core reports hardware checksum error for padded packets on Mellanox
    NICs (LP: #1854842)
    - net/mlx5e: Rx, Fixup skb checksum for packets with tail padding
    - net/mlx5e: Rx, Fix checksum calculation for new hardware
  * alsa/hda/realtek: the line-out jack doens't work on a dell AIO
    (LP: #1855999)
    - ALSA: hda/realtek - Line-out jack doesn't work on a Dell AIO
  * efivarfs test in ubuntu_kernel_selftest failed on the second run
    (LP: #1809704)
    - selftests: efivarfs: return Kselftest Skip code for skipped tests
    - selftests/efivarfs: clean up test files from test_create*()
  * CVE-2019-19082
    - drm/amd/display: prevent memory leak
  * CVE-2019-19078
    - ath10k: fix memory leak
  * Bionic update: upstream stable patchset 2019-12-20 (LP: #1857158)
    - rsi: release skb if rsi_prepare_beacon fails
    - arm64: tegra: Fix 'active-low' warning for Jetson TX1 regulator
    - usb: gadget: u_serial: add missing port entry locking
    - tty: serial: fsl_lpuart: use the sg count from dma_map_sg
    - tty: serial: msm_serial: Fix flow control
    - serial: pl011: Fix DMA ->flush_buffer()
    - serial: serial_core: Perform NULL checks for break_ctl ops
    - serial: ifx6x60: add missed pm_runtime_disable
    - autofs: fix a leak in autofs_expire_indirect()
    - RDMA/hns: Correct the value of HNS_ROCE_HEM_CHUNK_LEN
    - iwlwifi: pcie: don't consider IV len in A-MSDU
    - exportfs_decode_fh(): negative pinned may become positive without the parent
      locked
    - audit_get_nd(): don't unlock parent too early
    - NFC: nxp-nci: Fix NULL pointer dereference after I2C communication error
    - xfrm: release device reference for invalid state
    - Input: cyttsp4_core - fix use after free bug
    - sched/core: Avoid spurious lock dependencies
    - ALSA: pcm: Fix stream lock usage in snd_pcm_period_elapsed()
    - rsxx: add missed destroy_workqueue calls in remove
    - net: ep93xx_eth: fix mismatch of request_mem_region in remove
    - i2c: core: fix use after free in of_i2c_notify
    - serial: core: Allow processing sysrq at port unlock time
    - cxgb4vf: fix memleak in mac_hlist initialization
    - iwlwifi: mvm: synchronize TID queue removal
    - iwlwifi: mvm: Send non offchannel traffic via AP sta
    - ARM: 8813/1: Make aligned 2-byte getuser()/putuser() atomic on ARMv6+
    - net/mlx5: Release resource on error flow
    - clk: sunxi-ng: a64: Fix gate bit of DSI DPHY
    - dlm: fix possible call to kfree() for non-initialized pointer
    - extcon: max8997: Fix lack of path setting in USB device mode
    - net: ethernet: ti: cpts: correct debug for expired txq skb
    - rtc: s3c-rtc: Avoid using broken ALMYEAR register
    - i40e: don't restart nway if autoneg not supported
    - clk: rockchip: fix rk3188 sclk_smc gate data
    - clk: rockchip: fix rk3188 sclk_mac_lbtest parameter ordering
    - ARM: dts: rockchip: Fix rk3288-rock2 vcc_flash name
    - dlm: fix missing idr_destroy for recover_idr
    - MIPS: SiByte: Enable ZONE_DMA32 for LittleSur
    - net: dsa: mv88e6xxx: Work around mv886e6161 SERDES missing MII_PHYSID2
    - scsi: zfcp: drop default switch case which might paper over missing case
    - crypto: ecc - check for invalid values in the key verification test
    - crypto: bcm - fix normal/non key hash algorithm failure
    - pinctrl: qcom: ssbi-gpio: fix gpio-hog related boot issues
    - Staging: iio: adt7316: Fix i2c data reading, set the data field
    - mm/vmstat.c: fix NUMA statistics updates
    - clk: rockchip: fix I2S1 clock gate register for rk3328
    - clk: rockchip: fix ID of 8ch clock of I2S1 for rk3328
    - regulator: Fix return value of _set_load() stub
    - iomap: sub-block dio needs to zeroout beyond EOF
    - MIPS: OCTEON: octeon-platform: fix typing
    - net/smc: use after free fix in smc_wr_tx_put_slot()
    - math-emu/soft-fp.h: (_FP_ROUND_ZERO) cast 0 to void to fix warning
    - rtc: max8997: Fix the returned value in case of error in
      'max8997_rtc_read_alarm()'
    - rtc: dt-binding: abx80x: fix resistance scale
    - ARM: dts: exynos: Use Samsung SoC specific compatible for DWC2 module
    - media: pulse8-cec: return 0 when invalidating the logical address
    - media: cec: report Vendor ID after initialization
    - dmaengine: coh901318: Fix a double-lock bug
    - dmaengine: coh901318: Remove unused variable
    - dmaengine: dw-dmac: implement dma protection control setting
    - usb: dwc3: debugfs: Properly print/set link state for HS
    - usb: dwc3: don't log probe deferrals; but do log other error codes
    - ACPI: fix acpi_find_child_device() invocation in acpi_preset_companion()
    - f2fs: fix count of seg_freed to make sec_freed correct
    - f2fs: change segment to section in f2fs_ioc_gc_range
    - ARM: dts: rockchip: Fix the PMU interrupt number for rv1108
    - ARM: dts: rockchip: Assign the proper GPIO clocks for rv1108
    - f2fs: fix to allow node segment for GC by ioctl path
    - sparc: Correct ctx->saw_frame_pointer logic.
    - dma-mapping: fix return type of dma_set_max_seg_size()
    - altera-stapl: check for a null key before strcasecmp'ing it
    - serial: imx: fix error handling in console_setup
    - i2c: imx: don't print error message on probe defer
    - lockd: fix decoding of TEST results
    - ASoC: rsnd: tidyup registering method for rsnd_kctrl_new()
    - ARM: dts: sun5i: a10s: Fix HDMI output DTC warning
    - ARM: dts: sun8i: v3s: Change pinctrl nodes to avoid warning
    - dlm: NULL check before kmem_cache_destroy is not needed
    - ARM: debug: enable UART1 for socfpga Cyclone5
    - nfsd: fix a warning in __cld_pipe_upcall()
    - ASoC: au8540: use 64-bit arithmetic instead of 32-bit
    - ARM: OMAP1/2: fix SoC name printing
    - arm64: dts: meson-gxl-libretech-cc: fix GPIO lines names
    - arm64: dts: meson-gxbb-nanopi-k2: fix GPIO lines names
    - arm64: dts: meson-gxbb-odroidc2: fix GPIO lines names
    - arm64: dts: meson-gxl-khadas-vim: fix GPIO lines names
    - net/x25: fix called/calling length calculation in x25_parse_address_block
    - net/x25: fix null_x25_address handling
    - ARM: dts: mmp2: fix the gpio interrupt cell number
    - ARM: dts: realview-pbx: Fix duplicate regulator nodes
    - tcp: fix off-by-one bug on aborting window-probing socket
    - tcp: fix SNMP under-estimation on failed retransmission
    - tcp: fix SNMP TCP timeout under-estimation
    - modpost: skip ELF local symbols during section mismatch check
    - kbuild: fix single target build for external module
    - mtd: fix mtd_oobavail() incoherent returned value
    - ARM: dts: pxa: clean up USB controller nodes
    - clk: sunxi-ng: h3/h5: Fix CSI_MCLK parent
    - ARM: dts: realview: Fix some more duplicate regulator nodes
    - dlm: fix invalid cluster name warning
    - net/mlx4_core: Fix return codes of unsupported operations
    - pstore/ram: Avoid NULL deref in ftrace merging failure path
    - powerpc/math-emu: Update macros from GCC
    - clk: renesas: r8a77995: Correct parent clock of DU
    - MIPS: OCTEON: cvmx_pko_mem_debug8: use oldest forward compatible definition
    - nfsd: Return EPERM, not EACCES, in some SETATTR cases
    - media: stkwebcam: Bugfix for wrong return values
    - firmware: qcom: scm: fix compilation error when disabled
    - mlxsw: spectrum_router: Relax GRE decap matching check
    - IB/hfi1: Ignore LNI errors before DC8051 transitions to Polling state
    - IB/hfi1: Close VNIC sdma_progress sleep window
    - mlx4: Use snprintf instead of complicated strcpy
    - usb: mtu3: fix dbginfo in qmu_tx_zlp_error_handler
    - ARM: dts: sunxi: Fix PMU compatible strings
    - media: vimc: fix start stream when link is disabled
    - net: aquantia: fix RSS table and key sizes
    - sched/fair: Scale bandwidth quota and period without losing quota/period
      ratio precision
    - fuse: verify nlink
    - fuse: verify attributes
    - ALSA: pcm: oss: Avoid potential buffer overflows
    - ALSA: hda - Add mute led support for HP ProBook 645 G4
    - Input: synaptics - switch another X1 Carbon 6 to RMI/SMbus
    - Input: synaptics-rmi4 - re-enable IRQs in f34v7_do_reflash
    - Input: synaptics-rmi4 - don't increment rmiaddr for SMBus transfers
    - Input: goodix - add upside-down quirk for Teclast X89 tablet
    - coresight: etm4x: Fix input validation for sysfs.
    - Input: Fix memory leak in psxpad_spi_probe
    - CIFS: Fix NULL-pointer dereference in smb2_push_mandatory_locks
    - CIFS: Fix SMB2 oplock break processing
    - tty: vt: keyboard: reject invalid keycodes
    - can: slcan: Fix use-after-free Read in slcan_open
    - kernfs: fix ino wrap-around detection
    - jbd2: Fix possible overflow in jbd2_log_space_left()
    - drm/i810: Prevent underflow in ioctl
    - KVM: arm/arm64: vgic: Don't rely on the wrong pending table
    - KVM: x86: do not modify masked bits of shared MSRs
    - KVM: x86: fix presentation of TSX feature in ARCH_CAPABILITIES
    - crypto: crypto4xx - fix double-free in crypto4xx_destroy_sdr
    - crypto: af_alg - cast ki_complete ternary op to int
    - crypto: ccp - fix uninitialized list head
    - crypto: ecdh - fix big endian bug in ECC library
    - crypto: user - fix memory leak in crypto_report
    - spi: atmel: Fix CS high support
    - RDMA/qib: Validate ->show()/store() callbacks before calling them
    - iomap: Fix pipe page leakage during splicing
    - thermal: Fix deadlock in thermal thermal_zone_device_check
    - binder: Handle start==NULL in binder_update_page_range()
    - ASoC: rsnd: fixup MIX kctrl registration
    - KVM: x86: fix out-of-bounds write in KVM_GET_EMULATED_CPUID (CVE-2019-19332)
    - appletalk: Fix potential NULL pointer dereference in unregister_snap_client
    - appletalk: Set error code if register_snap_client failed
    - usb: gadget: configfs: Fix missing spin_lock_init()
    - usb: gadget: pch_udc: fix use after free
    - scsi: qla2xxx: Fix driver unload hang
    - media: venus: remove invalid compat_ioctl32 handler
    - USB: uas: honor flag to avoid CAPACITY16
    - USB: uas: heed CAPACITY_HEURISTICS
    - USB: documentation: flags on usb-storage versus UAS
    - usb: Allow USB device to be warm reset in suspended state
    - staging: rtl8188eu: fix interface sanity check
    - staging: rtl8712: fix interface sanity check
    - staging: gigaset: fix general protection fault on probe
    - staging: gigaset: fix illegal free on probe errors
    - staging: gigaset: add endpoint-type sanity check
    - usb: xhci: only set D3hot for pci device
    - xhci: Increase STS_HALT timeout in xhci_suspend()
    - xhci: handle some XHCI_TRUST_TX_LENGTH quirks cases as default behaviour.
    - ARM: dts: pandora-common: define wl1251 as child node of mmc3
    - iio: humidity: hdc100x: fix IIO_HUMIDITYRELATIVE channel reporting
    - USB: atm: ueagle-atm: add missing endpoint check
    - USB: idmouse: fix interface sanity checks
    - USB: serial: io_edgeport: fix epic endpoint lookup
    - USB: adutux: fix interface sanity check
    - usb: core: urb: fix URB structure initialization function
    - usb: mon: Fix a deadlock in usbmon between mmap and read
    - tpm: add check after commands attribs tab allocation
    - mtd: spear_smi: Fix Write Burst mode
    - virtio-balloon: fix managed page counts when migrating pages between zones
    - usb: dwc3: ep0: Clear started flag on completion
    - btrfs: check page->mapping when loading free space cache
    - btrfs: use refcount_inc_not_zero in kill_all_nodes
    - Btrfs: fix negative subv_writers counter and data space leak after buffered
      write
    - btrfs: Remove btrfs_bio::flags member
    - Btrfs: send, skip backreference walking for extents with many references
    - btrfs: record all roots for rename exchange on a subvol
    - rtlwifi: rtl8192de: Fix missing code to retrieve RX buffer address
    - rtlwifi: rtl8192de: Fix missing callback that tests for hw release of buffer
    - rtlwifi: rtl8192de: Fix missing enable interrupt flag
    - lib: raid6: fix awk build warnings
    - ovl: relax WARN_ON() on rename to self
    - ALSA: hda - Fix pending unsol events at shutdown
    - watchdog: aspeed: Fix clock behaviour for ast2600
    - hwrng: omap - Fix RNG wait loop timeout
    - dm zoned: reduce overhead of backing device checks
    - workqueue: Fix spurious sanity check failures in destroy_workqueue()
    - workqueue: Fix pwq ref leak in rescuer_thread()
    - ASoC: Jack: Fix NULL pointer dereference in snd_soc_jack_report
    - blk-mq: avoid sysfs buffer overflow with too many CPU cores
    - cgroup: pids: use atomic64_t for pids->limit
    - ar5523: check NULL before memcpy() in ar5523_cmd()
    - s390/mm: properly clear _PAGE_NOEXEC bit when it is not supported
    - media: bdisp: fix memleak on release
    - media: radio: wl1273: fix interrupt masking on release
    - media: cec.h: CEC_OP_REC_FLAG_ values were swapped
    - cpuidle: Do not unset the driver if it is there already
    - intel_th: Fix a double put_device() in error path
    - intel_th: pci: Add Ice Lake CPU support
    - intel_th: pci: Add Tiger Lake CPU support
    - PM / devfreq: Lock devfreq in trans_stat_show
    - cpufreq: powernv: fix stack bloat and hard limit on number of CPUs
    - ACPI: OSL: only free map once in osl.c
    - ACPI: bus: Fix NULL pointer check in acpi_bus_get_private_data()
    - ACPI: PM: Avoid attaching ACPI PM domain to certain devices
    - pinctrl: samsung: Add of_node_put() before return in error path
    - pinctrl: samsung: Fix device node refcount leaks in S3C24xx wakeup
      controller init
    - pinctrl: samsung: Fix device node refcount leaks in init code
    - pinctrl: samsung: Fix device node refcount leaks in S3C64xx wakeup
      controller init
    - mmc: host: omap_hsmmc: add code for special init of wl1251 to get rid of
      pandora_wl1251_init_card
    - ARM: dts: omap3-tao3530: Fix incorrect MMC card detection GPIO polarity
    - ppdev: fix PPGETTIME/PPSETTIME ioctls
    - powerpc: Allow 64bit VDSO __kernel_sync_dicache to work across ranges >4GB
    - powerpc/xive: Prevent page fault issues in the machine crash handler
    - powerpc: Allow flush_icache_range to work across ranges >4GB
    - powerpc/xive: Skip ioremap() of ESB pages for LSI interrupts
    - video/hdmi: Fix AVI bar unpack
    - quota: Check that quota is not dirty before release
    - ext2: check err when partial != NULL
    - quota: fix livelock in dquot_writeback_dquots
    - ext4: Fix credit estimate for final inode freeing
    - reiserfs: fix extended attributes on the root directory
    - block: fix single range discard merge
    - scsi: zfcp: trace channel log even for FCP command responses
    - scsi: qla2xxx: Fix DMA unmap leak
    - scsi: qla2xxx: Fix session lookup in qlt_abort_work()
    - scsi: qla2xxx: Fix qla24xx_process_bidir_cmd()
    - scsi: qla2xxx: Always check the qla2x00_wait_for_hba_online() return value
    - scsi: qla2xxx: Fix message indicating vectors used by driver
    - xhci: Fix memory leak in xhci_add_in_port()
    - xhci: make sure interrupts are restored to correct state
    - iio: adis16480: Add debugfs_reg_access entry
    - phy: renesas: rcar-gen3-usb2: Fix sysfs interface of "role"
    - omap: pdata-quirks: remove openpandora quirks for mmc3 and wl1251
    - scsi: lpfc: Cap NPIV vports to 256
    - scsi: lpfc: Correct code setting non existent bits in sli4 ABORT WQE
    - drbd: Change drbd_request_detach_interruptible's return type to int
    - e100: Fix passing zero to 'PTR_ERR' warning in e100_load_ucode_wait
    - power: supply: cpcap-battery: Fix signed counter sample register
    - mlxsw: spectrum_router: Refresh nexthop neighbour when it becomes dead
    - ath10k: fix fw crash by moving chip reset after napi disabled
    - powerpc: Avoid clang warnings around setjmp and longjmp
    - powerpc: Fix vDSO clock_getres()
    - ext4: work around deleting a file with i_nlink == 0 safely
    - firmware: qcom: scm: Ensure 'a0' status code is treated as signed
    - mm/shmem.c: cast the type of unmap_start to u64
    - ext4: fix a bug in ext4_wait_for_tail_page_commit
    - blk-mq: make sure that line break can be printed
    - workqueue: Fix missing kfree(rescuer) in destroy_workqueue()
    - sunrpc: fix crash when cache_head become valid before update
    - net/mlx5e: Fix SFF 8472 eeprom length
    - gfs2: fix glock reference problem in gfs2_trans_remove_revoke
    - kernel/module.c: wakeup processes in module_wq on module unload
    - gpiolib: acpi: Add Terra Pad 1061 to the run_edge_events_on_boot_blacklist
    - raid5: need to set STRIPE_HANDLE for batch head
    - of: unittest: fix memory leak in attach_node_and_children
    - sparc64: implement ioremap_uc
    - iwlwifi: trans: Clear persistence bit when starting the FW
    - audit: Embed key into chunk
    - netfilter: nf_tables: don't use position attribute on rule replacement
    - ARC: IOC: panic if kernel was started with previously enabled IOC
    - ARM: dts: exynos: Fix LDO13 min values on Odroid XU3/XU4/HC1
    - scsi: zfcp: update kernel message for invalid FCP_CMND length, it's not the
      CDB
    - drivers: soc: Allow building the amlogic drivers without ARCH_MESON
    - sctp: count sk_wmem_alloc by skb truesize in sctp_packet_transmit
    - xfs: extent shifting doesn't fully invalidate page cache
    - iomap: dio data corruption and spurious errors when pipes fill
    - ravb: Clean up duplex handling
    - net/ipv6: re-do dad when interface has IFF_NOARP flag change
    - selftests/powerpc: Allocate base registers
    - f2fs: fix to account preflush command for noflush_merge mode
    - nvme: Free ctrl device name on init failure
    - gpu: host1x: Fix syncpoint ID field size on Tegra186
    - ARM: dts: sun4i: Fix gpio-keys warning
    - ARM: dts: sun4i: Fix HDMI output DTC warning
    - ARM: dts: sun7i: Fix HDMI output DTC warning
    - ARM: dts: sun8i: a23/a33: Fix OPP DTC warnings
    - can: xilinx: fix return type of ndo_start_xmit function
    - clk: mediatek: Drop __init from mtk_clk_register_cpumuxes()
    - clk: mediatek: Drop more __init markings for driver probe
    - soc: renesas: r8a77970-sysc: Correct names of A2DP/A2CN power domains
    - tcp: make tcp_space() aware of socket backlog
    - clk: meson: meson8b: fix the offset of vid_pll_dco's N value
    - media: uvcvideo: Abstract streaming object lifetime
    - clk: renesas: rcar-gen3: Set state when registering SD clocks
    - x86/mm/32: Sync only to VMALLOC_END in vmalloc_sync_all()
    - crypto: atmel-aes - Fix IV handling when req->nbytes < ivsize
    - binder: Fix race between mmap() and binder_alloc_print_pages()
    - perf script: Fix invalid LBR/binary mismatch error
    - splice: don't read more than available pipe space
    - iomap: partially revert 4721a601099 (simulated directio short read on
      EFAULT)
    - xfs: add missing error check in xfs_prepare_shift()
    - Btrfs: fix metadata space leak on fixup worker failure to set range as
      delalloc
    - btrfs: Avoid getting stuck during cyclic writebacks
    - md: improve handling of bio with REQ_PREFLUSH in md_flush_request()
    - pinctrl: armada-37xx: Fix irq mask access in armada_37xx_irq_set_type()
    - pinctrl: samsung: Fix device node refcount leaks in Exynos wakeup controller
      init
    - scsi: lpfc: Correct topology type reporting on G7 adapters
    - pvcalls-front: don't return error when the ring is full
    - net: hns3: clear pci private data when unload hns3 driver
    - net: hns3: change hnae3_register_ae_dev() to int
    - net: hns3: Check variable is valid before assigning it to another
    - scsi: hisi_sas: send primitive NOTIFY to SSP situation only
    - scsi: hisi_sas: Reject setting programmed minimum linkrate > 1.5G
    - regulator: 88pm800: fix warning same module names
    - rtc: disable uie before setting time and enable after
    - splice: only read in as much information as there is pipe buffer space
    - s390/smp,vdso: fix ASCE handling
    - PCI: rcar: Fix missing MACCTLR register setting in initialization sequence
    - of: overlay: add_changeset_property() memory leak
    - scsi: qla2xxx: Change discovery state before PLOGI
  * Realtek ALC256M with DTS Audio Processing internal microphone doesn't work
    on Redmi Book 14 2019 (LP: #1846148) // Bionic update: upstream stable
    patchset 2019-12-20 (LP: #1857158)
    - ALSA: hda/realtek - Enable the headset-mic on a Xiaomi's laptop
  * False positive test result in run_afpackettests from net in
    ubuntu_kernel_selftest  (LP: #1825778)
    - selftests/net: correct the return value for run_afpackettests
  * headphone has noise as not mute on dell machines with alc236/256
    (LP: #1854401)
    - SAUCE: ALSA: hda/realtek - Dell headphone has noise on unmute for ALC236
  * Bionic update: upstream stable patchset 2019-12-09 (LP: #1855787)
    - Revert "KVM: nVMX: reset cache/shadows when switching loaded VMCS"
    - clk: meson: gxbb: let sar_adc_clk_div set the parent clock rate
    - ASoC: msm8916-wcd-analog: Fix RX1 selection in RDAC2 MUX
    - ASoC: compress: fix unsigned integer overflow check
    - reset: Fix memory leak in reset_control_array_put()
    - ASoC: kirkwood: fix external clock probe defer
    - clk: samsung: exynos5420: Preserve PLL configuration during suspend/resume
    - reset: fix reset_control_ops kerneldoc comment
    - clk: at91: avoid sleeping early
    - clk: sunxi-ng: a80: fix the zero'ing of bits 16 and 18
    - idr: Fix idr_alloc_u32 on 32-bit systems
    - x86/resctrl: Prevent NULL pointer dereference when reading mondata
    - clk: ti: dra7-atl-clock: Remove ti_clk_add_alias call
    - net: fec: add missed clk_disable_unprepare in remove
    - bridge: ebtables: don't crash when using dnat target in output chains
    - can: peak_usb: report bus recovery as well
    - can: c_can: D_CAN: c_can_chip_config(): perform a sofware reset on open
    - can: rx-offload: can_rx_offload_queue_tail(): fix error handling, avoid skb
      mem leak
    - can: rx-offload: can_rx_offload_offload_one(): do not increase the skb_queue
      beyond skb_queue_len_max
    - can: rx-offload: can_rx_offload_offload_one(): increment rx_fifo_errors on
      queue overflow or OOM
    - can: rx-offload: can_rx_offload_offload_one(): use ERR_PTR() to propagate
      error value in case of errors
    - can: rx-offload: can_rx_offload_irq_offload_timestamp(): continue on error
    - can: rx-offload: can_rx_offload_irq_offload_fifo(): continue on error
    - watchdog: meson: Fix the wrong value of left time
    - scripts/gdb: fix debugging modules compiled with hot/cold partitioning
    - net: bcmgenet: reapply manual settings to the PHY
    - ceph: return -EINVAL if given fsc mount option on kernel w/o support
    - mac80211: fix station inactive_time shortly after boot
    - block: drbd: remove a stray unlock in __drbd_send_protocol()
    - pwm: bcm-iproc: Prevent unloading the driver module while in use
    - scsi: lpfc: Fix kernel Oops due to null pring pointers
    - scsi: lpfc: Fix dif and first burst use in write commands
    - ARM: dts: Fix up SQ201 flash access
    - ARM: debug-imx: only define DEBUG_IMX_UART_PORT if needed
    - [Config] updateconfigs for DEBUG_IMX_UART_PORT
    - ARM: dts: imx53-voipac-dmm-668: Fix memory node duplication
    - parisc: Fix serio address output
    - parisc: Fix HP SDC hpa address output
    - arm64: mm: Prevent mismatched 52-bit VA support
    - arm64: smp: Handle errors reported by the firmware
    - ARM: OMAP1: fix USB configuration for device-only setups
    - RDMA/vmw_pvrdma: Use atomic memory allocation in create AH
    - PM / AVS: SmartReflex: NULL check before some freeing functions is not
      needed
    - ARM: ks8695: fix section mismatch warning
    - ACPI / LPSS: Ignore acpi_device_fix_up_power() return value
    - scsi: lpfc: Enable Management features for IF_TYPE=6
    - crypto: user - support incremental algorithm dumps
    - mwifiex: fix potential NULL dereference and use after free
    - mwifiex: debugfs: correct histogram spacing, formatting
    - rtl818x: fix potential use after free
    - xfs: require both realtime inodes to mount
    - ubi: Put MTD device after it is not used
    - ubi: Do not drop UBI device reference before using
    - microblaze: adjust the help to the real behavior
    - microblaze: move "... is ready" messages to arch/microblaze/Makefile
    - iwlwifi: move iwl_nvm_check_version() into dvm
    - gpiolib: Fix return value of gpio_to_desc() stub if !GPIOLIB
    - kvm: vmx: Set IA32_TSC_AUX for legacy mode guests
    - VSOCK: bind to random port for VMADDR_PORT_ANY
    - mmc: meson-gx: make sure the descriptor is stopped on errors
    - mtd: rawnand: sunxi: Write pageprog related opcodes to WCMD_SET
    - btrfs: only track ref_heads in delayed_ref_updates
    - HID: intel-ish-hid: fixes incorrect error handling
    - serial: 8250: Rate limit serial port rx interrupts during input overruns
    - kprobes/x86/xen: blacklist non-attachable xen interrupt functions
    - xen/pciback: Check dev_data before using it
    - vfio-mdev/samples: Use u8 instead of char for handle functions
    - pinctrl: xway: fix gpio-hog related boot issues
    - net/mlx5: Continue driver initialization despite debugfs failure
    - exofs_mount(): fix leaks on failure exits
    - bnxt_en: Return linux standard errors in bnxt_ethtool.c
    - bnxt_en: query force speeds before disabling autoneg mode.
    - KVM: s390: unregister debug feature on failing arch init
    - pinctrl: sh-pfc: sh7264: Fix PFCR3 and PFCR0 register configuration
    - pinctrl: sh-pfc: sh7734: Fix shifted values in IPSR10
    - HID: doc: fix wrong data structure reference for UHID_OUTPUT
    - dm flakey: Properly corrupt multi-page bios.
    - gfs2: take jdata unstuff into account in do_grow
    - xfs: Align compat attrlist_by_handle with native implementation.
    - xfs: Fix bulkstat compat ioctls on x32 userspace.
    - IB/qib: Fix an error code in qib_sdma_verbs_send()
    - clocksource/drivers/fttmr010: Fix invalid interrupt register access
    - vxlan: Fix error path in __vxlan_dev_create()
    - powerpc/book3s/32: fix number of bats in p/v_block_mapped()
    - powerpc/xmon: fix dump_segments()
    - drivers/regulator: fix a missing check of return value
    - Bluetooth: hci_bcm: Handle specific unknown packets after firmware loading
    - serial: max310x: Fix tx_empty() callback
    - openrisc: Fix broken paths to arch/or32
    - RDMA/srp: Propagate ib_post_send() failures to the SCSI mid-layer
    - scsi: qla2xxx: deadlock by configfs_depend_item
    - scsi: csiostor: fix incorrect dma device in case of vport
    - ath6kl: Only use match sets when firmware supports it
    - ath6kl: Fix off by one error in scan completion
    - powerpc/perf: Fix unit_sel/cache_sel checks
    - powerpc/prom: fix early DEBUG messages
    - powerpc/mm: Make NULL pointer deferences explicit on bad page faults.
    - powerpc/44x/bamboo: Fix PCI range
    - vfio/spapr_tce: Get rid of possible infinite loop
    - powerpc/powernv/eeh/npu: Fix uninitialized variables in
      opal_pci_eeh_freeze_status
    - drbd: ignore "all zero" peer volume sizes in handshake
    - drbd: reject attach of unsuitable uuids even if connected
    - drbd: do not block when adjusting "disk-options" while IO is frozen
    - drbd: fix print_st_err()'s prototype to match the definition
    - IB/rxe: Make counters thread safe
    - regulator: tps65910: fix a missing check of return value
    - powerpc/83xx: handle machine check caused by watchdog timer
    - powerpc/pseries: Fix node leak in update_lmb_associativity_index()
    - crypto: mxc-scc - fix build warnings on ARM64
    - pwm: clps711x: Fix period calculation
    - net/netlink_compat: Fix a missing check of nla_parse_nested
    - net/net_namespace: Check the return value of register_pernet_subsys()
    - f2fs: fix to dirty inode synchronously
    - um: Make GCOV depend on !KCOV
    - net: (cpts) fix a missing check of clk_prepare
    - net: stmicro: fix a missing check of clk_prepare
    - net: dsa: bcm_sf2: Propagate error value from mdio_write
    - atl1e: checking the status of atl1e_write_phy_reg
    - tipc: fix a missing check of genlmsg_put
    - net/wan/fsl_ucc_hdlc: Avoid double free in ucc_hdlc_probe()
    - ocfs2: clear journal dirty flag after shutdown journal
    - vmscan: return NODE_RECLAIM_NOSCAN in node_reclaim() when CONFIG_NUMA is n
    - lib/genalloc.c: fix allocation of aligned buffer from non-aligned chunk
    - lib/genalloc.c: use vzalloc_node() to allocate the bitmap
    - fork: fix some -Wmissing-prototypes warnings
    - drivers/base/platform.c: kmemleak ignore a known leak
    - lib/genalloc.c: include vmalloc.h
    - mtd: Check add_mtd_device() ret code
    - tipc: fix memory leak in tipc_nl_compat_publ_dump
    - net/core/neighbour: tell kmemleak about hash tables
    - PCI/MSI: Return -ENOSPC from pci_alloc_irq_vectors_affinity()
    - net/core/neighbour: fix kmemleak minimal reference count for hash tables
    - serial: 8250: Fix serial8250 initialization crash
    - gpu: ipu-v3: pre: don't trigger update if buffer address doesn't change
    - sfc: suppress duplicate nvmem partition types in efx_ef10_mtd_probe
    - ip_tunnel: Make none-tunnel-dst tunnel port work with lwtunnel
    - decnet: fix DN_IFREQ_SIZE
    - net/smc: prevent races between smc_lgr_terminate() and smc_conn_free()
    - blktrace: Show requests without sector
    - tipc: fix skb may be leaky in tipc_link_input
    - sfc: initialise found bitmap in efx_ef10_mtd_probe
    - net: fix possible overflow in __sk_mem_raise_allocated()
    - sctp: don't compare hb_timer expire date before starting it
    - bpf: decrease usercnt if bpf_map_new_fd() fails in bpf_map_get_fd_by_id()
    - net: dev: Use unsigned integer as an argument to left-shift
    - kvm: properly check debugfs dentry before using it
    - bpf: drop refcount if bpf_map_new_fd() fails in map_create()
    - net: hns3: Change fw error code NOT_EXEC to NOT_SUPPORTED
    - apparmor: delete the dentry in aafs_remove() to avoid a leak
    - scsi: libsas: Support SATA PHY connection rate unmatch fixing during
      discovery
    - ACPI / APEI: Don't wait to serialise with oops messages when panic()ing
    - ACPI / APEI: Switch estatus pool to use vmalloc memory
    - scsi: libsas: Check SMP PHY control function result
    - mtd: Remove a debug trace in mtdpart.c
    - mm, gup: add missing refcount overflow checks on s390
    - clk: at91: fix update bit maps on CFG_MOR write
    - clk: at91: generated: set audio_pll_allowed in at91_clk_register_generated()
    - staging: rtl8192e: fix potential use after free
    - staging: rtl8723bs: Drop ACPI device ids
    - staging: rtl8723bs: Add 024c:0525 to the list of SDIO device-ids
    - USB: serial: ftdi_sio: add device IDs for U-Blox C099-F9P
    - mei: bus: prefix device names on bus with the bus name
    - media: v4l2-ctrl: fix flags for DO_WHITE_BALANCE
    - net: macb: fix error format in dev_err()
    - pwm: Clear chip_data in pwm_put()
    - media: atmel: atmel-isc: fix asd memory allocation
    - media: atmel: atmel-isc: fix INIT_WORK misplacement
    - macvlan: schedule bc_work even if error
    - net: psample: fix skb_over_panic
    - openvswitch: fix flow command message size
    - slip: Fix use-after-free Read in slip_open
    - openvswitch: drop unneeded BUG_ON() in ovs_flow_cmd_build_info()
    - openvswitch: remove another BUG_ON()
    - tipc: fix link name length check
    - sctp: cache netns in sctp_ep_common
    - net: sched: fix `tc -s class show` no bstats on class with nolock subqueues
    - ext4: add more paranoia checking in ext4_expand_extra_isize handling
    - watchdog: sama5d4: fix WDD value to be always set to max
    - net: macb: Fix SUBNS increment and increase resolution
    - net: macb driver, check for SKBTX_HW_TSTAMP
    - mtd: rawnand: atmel: Fix spelling mistake in error message
    - mtd: rawnand: atmel: fix possible object reference leak
    - mtd: spi-nor: cast to u64 to avoid uint overflows
    - y2038: futex: Move compat implementation into futex.c
    - futex: Prevent robust futex exit race
    - futex: Move futex exit handling into futex code
    - futex: Replace PF_EXITPIDONE with a state
    - exit/exec: Seperate mm_release()
    - futex: Split futex_mm_release() for exit/exec
    - futex: Set task::futex_state to DEAD right after handling futex exit
    - futex: Mark the begin of futex exit explicitly
    - futex: Sanitize exit state handling
    - futex: Provide state handling for exec() as well
    - futex: Add mutex around futex exit
    - futex: Provide distinct return value when owner is exiting
    - futex: Prevent exit livelock
    - HID: core: check whether Usage Page item is after Usage ID items
    - crypto: stm32/hash - Fix hmac issue more than 256 bytes
    - media: stm32-dcmi: fix DMA corruption when stopping streaming
    - hwrng: stm32 - fix unbalanced pm_runtime_enable
    - mailbox: mailbox-test: fix null pointer if no mmio
    - pinctrl: stm32: fix memory leak issue
    - ASoC: stm32: i2s: fix dma configuration
    - ASoC: stm32: i2s: fix 16 bit format support
    - ASoC: stm32: i2s: fix IRQ clearing
    - platform/x86: hp-wmi: Fix ACPI errors caused by too small buffer
    - platform/x86: hp-wmi: Fix ACPI errors caused by passing 0 as input size
    - net: fec: fix clock count mis-match
    - clk: samsung: exynos5433: Fix error paths
    - pinctrl: cherryview: Allocate IRQ chip dynamic
    - ARM: dts: sun8i-a83t-tbs-a711: Fix WiFi resume from suspend
    - samples/bpf: fix build by setting HAVE_ATTR_TEST to zero
    - idr: Fix integer overflow in idr_for_each_entry
    - can: mcp251x: mcp251x_restart_work_handler(): Fix potential force_quit race
      condition
    - net: bcmgenet: use RGMII loopback for MAC reset
    - RDMA/hns: Fix the bug while use multi-hop of pbl
    - s390/zcrypt: make sysfs reset attribute trigger queue reset
    - bcache: do not check if debug dentry is ERR or NULL explicitly on remove
    - bcache: do not mark writeback_running too early
    - microblaze: fix multiple bugs in arch/microblaze/boot/Makefile
    - iwlwifi: pcie: fix erroneous print
    - usb: ehci-omap: Fix deferred probe for phy handling
    - btrfs: fix ncopies raid_attr for RAID56
    - Btrfs: allow clear_extent_dirty() to receive a cached extent state record
    - serial: sh-sci: Fix crash in rx_timer_fn() on PIO fallback
    - kprobes: Blacklist symbols in arch-defined prohibited area
    - kprobes/x86: Show x86-64 specific blacklisted symbols correctly
    - memory: omap-gpmc: Get the header of the enum
    - netfilter: nf_nat_sip: fix RTP/RTCP source port translations
    - bnxt_en: Save ring statistics before reset.
    - brcmfmac: Fix access point mode
    - powerpc/32: Avoid unsupported flags with clang
    - powerpc: Fix HMIs on big-endian with CONFIG_RELOCATABLE=y
    - mm/page_alloc.c: free order-0 pages through PCP in page_frag_free()
    - mm/page_alloc.c: use a single function to free page
    - mm/page_alloc.c: deduplicate __memblock_free_early() and memblock_free()
    - infiniband: bnxt_re: qplib: Check the return value of send_message
    - infiniband/qedr: Potential null ptr dereference of qp
    - firmware: arm_sdei: fix wrong of_node_put() in init function
    - firmware: arm_sdei: Fix DT platform device creation
    - ata: ahci: mvebu: do Armada 38x configuration only on relevant SoCs
    - net/smc: don't wait for send buffer space when data was already sent
    - mm/hotplug: invalid PFNs from pfn_to_online_page()
    - ASoC: samsung: i2s: Fix prescaler setting for the secondary DAI
    - geneve: change NET_UDP_TUNNEL dependency to select
    - mmc: core: align max segment size with logical block size
    - net: hns3: fix PFC not setting problem for DCB module
    - net: hns3: fix an issue for hclgevf_ae_get_hdev
    - net: hns3: fix an issue for hns3_update_new_int_gl
    - scsi: hisi_sas: shutdown axi bus to avoid exception CQ returned
    - RDMA/hns: Bugfix for the scene without receiver queue
    - RDMA/hns: Fix the state of rereg mr
    - thunderbolt: Power cycle the router if NVM authentication fails
    - tcp: exit if nothing to retransmit on RTO timeout
  * Bionic update: upstream stable patchset 2019-12-03 (LP: #1854975)
    - net/mlx4_en: fix mlx4 ethtool -N insertion
    - net: rtnetlink: prevent underflows in do_setvfinfo()
    - sfc: Only cancel the PPS workqueue if it exists
    - net/mlx5e: Fix set vf link state error flow
    - net/mlxfw: Verify FSM error code translation doesn't exceed array size
    - net/sched: act_pedit: fix WARN() in the traffic path
    - vhost/vsock: split packets to send using multiple buffers
    - gpio: max77620: Fixup debounce delays
    - tools: gpio: Correctly add make dependencies for gpio_utils
    - nbd:fix memory leak in nbd_get_socket()
    - virtio_console: allocate inbufs in add_port() only if it is needed
    - Revert "fs: ocfs2: fix possible null-pointer dereferences in
      ocfs2_xa_prepare_entry()"
    - mm/ksm.c: don't WARN if page is still mapped in remove_stable_node()
    - drm/i915/userptr: Try to acquire the page lock around set_page_dirty()
    - platform/x86: asus-nb-wmi: Support ALS on the Zenbook UX430UQ
    - mwifiex: Fix NL80211_TX_POWER_LIMITED
    - ALSA: isight: fix leak of reference to firewire unit in error path of .probe
      callback
    - printk: fix integer overflow in setup_log_buf()
    - gfs2: Fix marking bitmaps non-full
    - pty: fix compat ioctls
    - synclink_gt(): fix compat_ioctl()
    - powerpc: Fix signedness bug in update_flash_db()
    - powerpc/boot: Disable vector instructions
    - powerpc/eeh: Fix use of EEH_PE_KEEP on wrong field
    - EDAC, thunderx: Fix memory leak in thunderx_l2c_threaded_isr()
    - brcmsmac: AP mode: update beacon when TIM changes
    - ath10k: allocate small size dma memory in ath10k_pci_diag_write_mem
    - skd: fixup usage of legacy IO API
    - cdrom: don't attempt to fiddle with cdo->capability
    - spi: sh-msiof: fix deferred probing
    - mmc: mediatek: fix cannot receive new request when msdc_cmd_is_ready fail
    - btrfs: handle error of get_old_root
    - gsmi: Fix bug in append_to_eventlog sysfs handler
    - misc: mic: fix a DMA pool free failure
    - w1: IAD Register is yet readable trough iad sys file. Fix snprintf (%u for
      unsigned, count for max size).
    - m68k: fix command-line parsing when passed from u-boot
    - RDMA/bnxt_re: Fix qp async event reporting
    - pinctrl: sunxi: Fix a memory leak in 'sunxi_pinctrl_build_state()'
    - pwm: lpss: Only set update bit if we are actually changing the settings
    - amiflop: clean up on errors during setup
    - qed: Align local and global PTT to propagate through the APIs.
    - scsi: ips: fix missing break in switch
    - KVM: nVMX: reset cache/shadows when switching loaded VMCS
    - KVM/x86: Fix invvpid and invept register operand size in 64-bit mode
    - scsi: isci: Use proper enumerated type in atapi_d2h_reg_frame_handler
    - scsi: isci: Change sci_controller_start_task's return type to sci_status
    - scsi: iscsi_tcp: Explicitly cast param in iscsi_sw_tcp_host_get_param
    - crypto: ccree - avoid implicit enum conversion
    - nvmet-fcloop: suppress a compiler warning
    - clk: mmp2: fix the clock id for sdh2_clk and sdh3_clk
    - clk: at91: audio-pll: fix audio pmc type
    - ASoC: tegra_sgtl5000: fix device_node refcounting
    - scsi: dc395x: fix dma API usage in srb_done
    - scsi: dc395x: fix DMA API usage in sg_update_list
    - net: dsa: mv88e6xxx: Fix 88E6141/6341 2500mbps SERDES speed
    - net: fix warning in af_unix
    - xfs: fix use-after-free race in xfs_buf_rele
    - kprobes, x86/ptrace.h: Make regs_get_kernel_stack_nth() not fault on bad
      stack
    - PM / Domains: Deal with multiple states but no governor in genpd
    - ALSA: i2c/cs8427: Fix int to char conversion
    - macintosh/windfarm_smu_sat: Fix debug output
    - PCI: vmd: Detach resources after stopping root bus
    - USB: misc: appledisplay: fix backlight update_status return code
    - usbip: tools: fix atoi() on non-null terminated string
    - dm raid: avoid bitmap with raid4/5/6 journal device
    - SUNRPC: Fix a compile warning for cmpxchg64()
    - sunrpc: safely reallow resvport min/max inversion
    - atm: zatm: Fix empty body Clang warnings
    - s390/perf: Return error when debug_register fails
    - spi: omap2-mcspi: Set FIFO DMA trigger level to word length
    - sparc: Fix parport build warnings.
    - powerpc/pseries: Export raw per-CPU VPA data via debugfs
    - ceph: fix dentry leak in ceph_readdir_prepopulate
    - rtc: s35390a: Change buf's type to u8 in s35390a_init
    - f2fs: fix to spread clear_cold_data()
    - mISDN: Fix type of switch control variable in ctrl_teimanager
    - qlcnic: fix a return in qlcnic_dcb_get_capability()
    - net: ethernet: ti: cpsw: unsync mcast entries while switch promisc mode
    - mfd: arizona: Correct calling of runtime_put_sync
    - mfd: mc13xxx-core: Fix PMIC shutdown when reading ADC values
    - mfd: intel_soc_pmic_bxtwc: Chain power button IRQs as well
    - mfd: max8997: Enale irq-wakeup unconditionally
    - selftests/ftrace: Fix to test kprobe $comm arg only if available
    - selftests: watchdog: fix message when /dev/watchdog open fails
    - selftests: watchdog: Fix error message.
    - thermal: rcar_thermal: Prevent hardware access during system suspend
    - bpf: devmap: fix wrong interface selection in notifier_call
    - powerpc/process: Fix flush_all_to_thread for SPE
    - sparc64: Rework xchg() definition to avoid warnings.
    - arm64: lib: use C string functions with KASAN enabled
    - fs/ocfs2/dlm/dlmdebug.c: fix a sleep-in-atomic-context bug in
      dlm_print_one_mle()
    - mm/page-writeback.c: fix range_cyclic writeback vs writepages deadlock
    - macsec: update operstate when lower device changes
    - macsec: let the administrator set UP state even if lowerdev is down
    - block: fix the DISCARD request merge
    - i2c: uniphier-f: make driver robust against concurrency
    - i2c: uniphier-f: fix occasional timeout error
    - i2c: uniphier-f: fix race condition when IRQ is cleared
    - um: Make line/tty semantics use true write IRQ
    - vfs: avoid problematic remapping requests into partial EOF block
    - powerpc/xmon: Relax frame size for clang
    - selftests/powerpc/signal: Fix out-of-tree build
    - selftests/powerpc/switch_endian: Fix out-of-tree build
    - selftests/powerpc/cache_shape: Fix out-of-tree build
    - linux/bitmap.h: handle constant zero-size bitmaps correctly
    - linux/bitmap.h: fix type of nbits in bitmap_shift_right()
    - hfsplus: fix BUG on bnode parent update
    - hfs: fix BUG on bnode parent update
    - hfsplus: prevent btree data loss on ENOSPC
    - hfs: prevent btree data loss on ENOSPC
    - hfsplus: fix return value of hfsplus_get_block()
    - hfs: fix return value of hfs_get_block()
    - hfsplus: update timestamps on truncate()
    - hfs: update timestamp on truncate()
    - fs/hfs/extent.c: fix array out of bounds read of array extent
    - mm/memory_hotplug: make add_memory() take the device_hotplug_lock
    - igb: shorten maximum PHC timecounter update interval
    - ntb_netdev: fix sleep time mismatch
    - ntb: intel: fix return value for ndev_vec_mask()
    - arm64: makefile fix build of .i file in external module case
    - ocfs2: don't put and assigning null to bh allocated outside
    - ocfs2: fix clusters leak in ocfs2_defrag_extent()
    - net: do not abort bulk send on BQL status
    - sched/topology: Fix off by one bug
    - sched/fair: Don't increase sd->balance_interval on newidle balance
    - openvswitch: fix linking without CONFIG_NF_CONNTRACK_LABELS
    - clk: sunxi-ng: enable so-said LDOs for A64 SoC's pll-mipi clock
    - audit: print empty EXECVE args
    - btrfs: avoid link error with CONFIG_NO_AUTO_INLINE
    - wil6210: fix locking in wmi_call
    - wlcore: Fix the return value in case of error in
      'wlcore_vendor_cmd_smart_config_start()'
    - rtl8xxxu: Fix missing break in switch
    - brcmsmac: never log "tid x is not agg'able" by default
    - wireless: airo: potential buffer overflow in sprintf()
    - rtlwifi: rtl8192de: Fix misleading REG_MCUFWDL information
    - net: dsa: bcm_sf2: Turn on PHY to allow successful registration
    - scsi: mpt3sas: Fix Sync cache command failure during driver unload
    - scsi: mpt3sas: Don't modify EEDPTagMode field setting on SAS3.5 HBA devices
    - scsi: mpt3sas: Fix driver modifying persistent data in Manufacturing page11
    - scsi: megaraid_sas: Fix msleep granularity
    - scsi: megaraid_sas: Fix goto labels in error handling
    - scsi: lpfc: fcoe: Fix link down issue after 1000+ link bounces
    - scsi: lpfc: Correct loss of fc4 type on remote port address change
    - dlm: fix invalid free
    - dlm: don't leak kernel pointer to userspace
    - vrf: mark skb for multicast or link-local as enslaved to VRF
    - ACPICA: Use %d for signed int print formatting instead of %u
    - net: bcmgenet: return correct value 'ret' from bcmgenet_power_down
    - of: unittest: allow base devicetree to have symbol metadata
    - cfg80211: Prevent regulatory restore during STA disconnect in concurrent
      interfaces
    - pinctrl: qcom: spmi-gpio: fix gpio-hog related boot issues
    - pinctrl: lpc18xx: Use define directive for PIN_CONFIG_GPIO_PIN_INT
    - pinctrl: zynq: Use define directive for PIN_CONFIG_IO_STANDARD
    - PCI: keystone: Use quirk to limit MRRS for K2G
    - spi: omap2-mcspi: Fix DMA and FIFO event trigger size mismatch
    - i2c: uniphier-f: fix timeout error after reading 8 bytes
    - mm/memory_hotplug: Do not unlock when fails to take the device_hotplug_lock
    - ipv6: Fix handling of LLA with VRF and sockets bound to VRF
    - cfg80211: call disconnect_wk when AP stops
    - Bluetooth: Fix invalid-free in bcsp_close()
    - KVM: MMU: Do not treat ZONE_DEVICE pages as being reserved
    - ath10k: Fix a NULL-ptr-deref bug in ath10k_usb_alloc_urb_from_pipe
    - ath9k_hw: fix uninitialized variable data
    - md/raid10: prevent access of uninitialized resync_pages offset
    - mm/memory_hotplug: don't access uninitialized memmaps in shrink_zone_span()
    - net: phy: dp83867: fix speed 10 in sgmii mode
    - net: phy: dp83867: increase SGMII autoneg timer duration
    - cpufreq: Skip cpufreq resume if it's not suspended
    - ocfs2: remove ocfs2_is_o2cb_active()
    - ARM: 8904/1: skip nomap memblocks while finding the lowmem/highmem boundary
    - ARC: perf: Accommodate big-endian CPU
    - x86/insn: Fix awk regexp warnings
    - x86/speculation: Fix incorrect MDS/TAA mitigation status
    - x86/speculation: Fix redundant MDS mitigation message
    - nbd: prevent memory leak
    - nfc: port100: handle command failure cleanly
    - media: vivid: Set vid_cap_streaming and vid_out_streaming to true
    - media: vivid: Fix wrong locking that causes race conditions on streaming
      stop
    - media: usbvision: Fix races among open, close, and disconnect
    - cpufreq: Add NULL checks to show() and store() methods of cpufreq
    - media: uvcvideo: Fix error path in control parsing failure
    - media: b2c2-flexcop-usb: add sanity checking
    - media: cxusb: detect cxusb_ctrl_msg error in query
    - media: imon: invalid dereference in imon_touch_event
    - virtio_ring: fix return code on DMA mapping fails
    - usbip: tools: fix fd leakage in the function of read_attr_usbip_status
    - usbip: Fix uninitialized symbol 'nents' in stub_recv_cmd_submit()
    - usb-serial: cp201x: support Mark-10 digital force gauge
    - USB: chaoskey: fix error case of a timeout
    - appledisplay: fix error handling in the scheduled work
    - USB: serial: mos7840: add USB ID to support Moxa UPort 2210
    - USB: serial: mos7720: fix remote wakeup
    - USB: serial: mos7840: fix remote wakeup
    - USB: serial: option: add support for DW5821e with eSIM support
    - USB: serial: option: add support for Foxconn T77W968 LTE modules
    - staging: comedi: usbduxfast: usbduxfast_ai_cmdtest rounding error
    - x86/hyperv: mark hyperv_init as __init function
    - mlxsw: spectrum_router: Fix determining underlay for a GRE tunnel
    - net/mlx4_en: Fix wrong limitation for number of TX rings
    - net/mlx5: Fix auto group size calculation
    - printk: lock/unlock console only for new logbuf entries
    - powerpc/boot: Fix opal console in boot wrapper
    - mmc: mediatek: fill the actual clock for mmc debugfs
    - btrfs: defrag: use btrfs_mod_outstanding_extents in cluster_pages_for_defrag
    - nvme-pci: fix hot removal during error handling
    - PCI: mediatek: Fixup MSI enablement logic by enabling MSI before clocks
    - swiotlb: do not panic on mapping failures
    - powerpc/mm/radix: Fix off-by-one in split mapping logic
    - powerpc/mm/radix: Fix overuse of small pages in splitting logic
    - powerpc/mm/radix: Fix small page at boundary when splitting
    - tools: bpftool: fix completion for "bpftool map update"
    - ceph: only allow punch hole mode in fallocate
    - RISC-V: Avoid corrupting the upper 32-bit of phys_addr_t in ioremap
    - f2fs: spread f2fs_set_inode_flags()
    - net: socionext: Stop PHY before resetting netsec
    - tools/testing/selftests/vm/gup_benchmark.c: fix 'write' flag usage
    - mm: thp: fix MADV_DONTNEED vs migrate_misplaced_transhuge_page race
      condition
    - ipv4/igmp: fix v1/v2 switchback timeout based on rfc3376, 8.12
    - mm/gup_benchmark.c: prevent integer overflow in ioctl
    - lib/bitmap.c: fix remaining space computation in bitmap_print_to_pagebuf
    - kernel/panic.c: do not append newline to the stack protector panic string
    - mm/memory_hotplug: fix online/offline_pages called w.o. mem_hotplug_lock
    - fm10k: ensure completer aborts are marked as non-fatal after a resume
    - irq/matrix: Fix memory overallocation
    - nvme-pci: fix conflicting p2p resource adds
    - mm: handle no memcg case in memcg_kmem_charge() properly
    - ocfs2: without quota support, avoid calling quota recovery
    - soc: bcm: brcmstb: Fix re-entry point with a THUMB2_KERNEL
    - media: ov13858: Check for possible null pointer
    - wil6210: fix debugfs memory access alignment
    - scsi: lpfc: Fix odd recovery in duplicate FLOGIs in point-to-point
    - usb: typec: tcpm: charge current handling for sink during hard reset
    - clk: tegra20: Turn EMC clock gate into divider
    - of: unittest: initialize args before calling of_*parse_*()
    - tools: bpftool: pass an argument to silence open_obj_pinned()
    - nvme-pci: fix surprise removal
    - mm/page_io.c: do not free shared swap slots
    - PM / devfreq: Fix kernel oops on governor module load
  * Miscellaneous Ubuntu changes
    - update dkms package versions
  * bionic/linux: 4.15.0-76.86 -proposed tracker (LP: #1860123)
  *  Integrate Intel SGX driver into linux-azure (LP: #1844245)
    - [Packaging] Add systemd service to load intel_sgx
  * [Regression] Bionic kernel 4.15.0-71.80 can not boot on ThunderX
    (LP: #1853326) // Bionic kernel panic on Cavium ThunderX CN88XX
    (LP: #1853485) // Cavium ThunderX CN88XX crashes on boot (LP: #1857074)
    - arm64: Check for errata before evaluating cpu features
    - arm64: add sentinel to kpti_safe_list

 -- Sultan Alsawaf <sultan.alsawaf@canonical.com>  Mon, 03 Feb 2020 18:06:29 -0800

linux-aws-hwe (4.15.0-1058.60~16.04.1) xenial; urgency=medium

  * xenial/linux-aws-hwe: 4.15.0-1058.60~16.04.1 -proposed tracker
    (LP: #1859802)

  [ Ubuntu: 4.15.0-1058.60 ]

  * bionic/linux-aws: 4.15.0-1058.60 -proposed tracker (LP: #1859795)
  * Update EFA driver to 1.5.0 (LP: #1850195)
    - SAUCE: linux/efa: Fix incorrect error print
    - SAUCE: linux/efa: Fix ‘err’ may be used uninitialized in this function
      warning
    - SAUCE: linux/efa: Add support for CentOS 7.7
    - SAUCE: linux/efa: Clear the admin command buffer prior to its submission
    - SAUCE: linux/efa: Bump driver version to 1.4.1
    - SAUCE: linux/efa: Store network attributes in device attributes
    - SAUCE: linux/efa: Support remote read access in MR registration
    - SAUCE: linux/efa: Expose RDMA read related attributes
    - SAUCE: linux/efa: Add ib_uverbs as a soft dependency
    - SAUCE: linux/efa: Use the ib_port_phys_state enum values
    - SAUCE: linux/efa: Backport missing driver id
    - SAUCE: linux/efa: Check sscanf return value
    - SAUCE: linux/efa: SuSE 15.1 support
    - SAUCE: linux/efa: Bump driver version to 1.5.0
  * linux-aws: swapoff optimization (LP: #1858618)
    - UBUNTU SAUCE [aws]: mm: swap: improve swap readahead heuristic
  * ARM CPU erratum Neoverse-N1 #1542419 (LP: #1855729)
    - arm64: Add support for new control bits CTR_EL0.DIC and CTR_EL0.IDC
    - arm64: Add part number for Neoverse N1
    - arm64: cpufeature: Trap CTR_EL0 access only where it is necessary
    - arm64: errata: Hide CTR_EL0.DIC on systems affected by Neoverse-N1 #1542419
    - arm64: Fake the IminLine size on systems affected by Neoverse-N1 #1542419
    - arm64: compat: Workaround Neoverse-N1 #1542419 for compat user-space
    - aws: [Config] updateconfigs for ARM64_ERRATUM_1542419
  * bionic/linux: 4.15.0-75.85 -proposed tracker (LP: #1859705)
  * use-after-free in i915_ppgtt_close (LP: #1859522) // CVE-2020-7053
    - SAUCE: drm/i915: Fix use-after-free when destroying GEM context
  * CVE-2019-14615
    - drm/i915/gen9: Clear residual context state on context switch
  * PAN is broken for execute-only user mappings on ARMv8 (LP: #1858815)
    - arm64: Revert support for execute-only user mappings
  * [Regression] usb usb2-port2: Cannot enable. Maybe the USB cable is bad?
    (LP: #1856608)
    - SAUCE: Revert "usb: handle warm-reset port requests on hub resume"
  * Miscellaneous Ubuntu changes
    - update dkms package versions
  * bionic/linux: 4.15.0-74.84 -proposed tracker (LP: #1856749)
  * [Hyper-V] KVP daemon fails to start on first boot of disco VM (LP: #1820063)
    - [Packaging] bind hv_kvp_daemon startup to hv_kvp device
  * Unrevert "arm64: Use firmware to detect CPUs that are not affected by
    Spectre-v2" (LP: #1854207)
    - arm64: Get rid of __smccc_workaround_1_hvc_*
    - arm64: Use firmware to detect CPUs that are not affected by Spectre-v2
  * Bionic kernel panic on Cavium ThunderX CN88XX (LP: #1853485)
    - SAUCE: irqchip/gic-v3-its: Add missing return value in
      its_irq_domain_activate()

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Thu, 16 Jan 2020 10:07:39 -0300

linux-aws-hwe (4.15.0-1057.59~16.04.1) xenial; urgency=medium

  * xenial/linux-aws-hwe: 4.15.0-1057.59~16.04.1 -proposed tracker
    (LP: #1854801)

  [ Ubuntu: 4.15.0-1057.59 ]

  * bionic/linux-aws: 4.15.0-1057.59 -proposed tracker (LP: #1854802)
  * Bionic update: upstream stable patchset 2019-11-21 (LP: #1853519)
    - aws: [Config] CONFIG_SGL_ALLOC=y
  * update ENA driver for DIMLIB dynamic interrupt moderation (LP: #1853180)
    - aws: [Config] CONFIG_DIMLIB=y
  * bionic/linux: 4.15.0-73.82 -proposed tracker (LP: #1854819)
  * CVE-2019-14901
    - SAUCE: mwifiex: Fix heap overflow in mmwifiex_process_tdls_action_frame()
  * CVE-2019-14896 // CVE-2019-14897
    - SAUCE: libertas: Fix two buffer overflows at parsing bss descriptor
  * CVE-2019-14895
    - SAUCE: mwifiex: fix possible heap overflow in mwifiex_process_country_ie()
  * CVE-2019-18660: patches for Ubuntu (LP: #1853142) // CVE-2019-18660
    - powerpc/64s: support nospectre_v2 cmdline option
    - powerpc/book3s64: Fix link stack flush on context switch
    - KVM: PPC: Book3S HV: Flush link stack on guest exit to host kernel
  * Please add patch fixing RK818 ID detection (LP: #1853192)
    - SAUCE: mfd: rk808: Fix RK818 ID template
  * [SRU][B/OEM-B/OEM-OSP1/D] Enable new Elan touchpads which are not in current
    whitelist (LP: #1853246)
    - HID: quirks: Fix keyboard + touchpad on Lenovo Miix 630
    - Input: elan_i2c - export the device id whitelist
    - HID: quirks: Refactor ELAN 400 and 401 handling
  * Lenovo dock MAC Address pass through doesn't work in Ubuntu  (LP: #1827961)
    - r8152: Add macpassthru support for ThinkPad Thunderbolt 3 Dock Gen 2
  * s390/dasd: reduce the default queue depth and nr of hardware queues
    (LP: #1852257)
    - s390/dasd: reduce the default queue depth and nr of hardware queues
  * External microphone can't work on some dell machines with the codec alc256
    or alc236 (LP: #1853791)
    - SAUCE: ALSA: hda/realtek - Move some alc256 pintbls to fallback table
    - SAUCE: ALSA: hda/realtek - Move some alc236 pintbls to fallback table
  * Memory leak in net/xfrm/xfrm_state.c - 8 pages per ipsec connection
    (LP: #1853197)
    - xfrm: Fix memleak on xfrm state destroy
  * CVE-2019-19083
    - drm/amd/display: memory leak
  * update ENA driver for DIMLIB dynamic interrupt moderation (LP: #1853180)
    - net: ena: add intr_moder_rx_interval to struct ena_com_dev and use it
    - net: ena: switch to dim algorithm for rx adaptive interrupt moderation
    - net: ena: reimplement set/get_coalesce()
    - net: ena: enable the interrupt_moderation in driver_supported_features
    - net: ena: remove code duplication in
      ena_com_update_nonadaptive_moderation_interval _*()
    - net: ena: remove old adaptive interrupt moderation code from ena_netdev
    - net: ena: remove ena_restore_ethtool_params() and relevant fields
    - net: ena: remove all old adaptive rx interrupt moderation code from ena_com
    - net: ena: fix update of interrupt moderation register
    - net: ena: fix retrieval of nonadaptive interrupt moderation intervals
    - net: ena: fix incorrect update of intr_delay_resolution
    - net: ena: Select DIMLIB for ENA_ETHERNET
    - SAUCE: net: ena: fix issues in setting interrupt moderation params in
      ethtool
    - SAUCE: net: ena: fix too long default tx interrupt moderation interval
  * CONFIG_ARCH_ROCKCHIP is not set in ubuntu 18.04 aarch64,arm64 (LP: #1825222)
    - [Config] Enable ROCKCHIP support for arm64
  * backport DIMLIB (lib/dim/) to pre-5.2 kernels (LP: #1852637)
    - include/linux/bitops.h: introduce BITS_PER_TYPE
    - [Config] enable DIMLIB
    - linux/dim: import DIMLIB (lib/dim/)
    - SAUCE: linux/dim: avoid library object filename clash
  * The alsa hda driver is not loaded due to the missing of PCIID for Comet
    Lake-S [8086:a3f0] (LP: #1852070)
    - SAUCE: ALSA: hda: Add Cometlake-S PCI ID
  * Can't adjust brightness on DELL UHD dGPU AIO (LP: #1813877)
    - SAUCE: platform/x86: dell-uart-backlight: add missing status command
    - SAUCE: platform/x86: dell-uart-backlight: load driver by scalar status
    - SAUCE: platform/x86: dell-uart-backlight: add force parameter
    - SAUCE: platform/x86: dell-uart-backlight: add quirk for old platforms
  * Enable framebuffer fonts auto selection for HighDPI screen (LP: #1851623)
    - fonts: Fix coding style
    - fonts: Prefer a bigger font for high resolution screens
  * Disable unreliable HPET on CFL-H system (LP: #1852216)
    - SAUCE: x86/intel: Disable HPET on Intel Coffe Lake H platforms
  * i40e: Setting VF MAC address causes General Protection Fault (LP: #1852432)
    - i40e: Fix crash caused by stress setting of VF MAC addresses
  * Bionic update: upstream stable patchset 2019-11-27 (LP: #1854216)
    - spi: mediatek: use correct mata->xfer_len when in fifo transfer
    - tee: optee: add missing of_node_put after of_device_is_available
    - net: cdc_ncm: Signedness bug in cdc_ncm_set_dgram_size()
    - idr: Fix idr_get_next race with idr_remove
    - mm/memory_hotplug: don't access uninitialized memmaps in shrink_pgdat_span()
    - mm/memory_hotplug: fix updating the node span
    - arm64: uaccess: Ensure PAN is re-enabled after unhandled uaccess fault
    - fbdev: Ditch fb_edid_add_monspecs
    - net: ovs: fix return type of ndo_start_xmit function
    - net: xen-netback: fix return type of ndo_start_xmit function
    - ARM: dts: dra7: Enable workaround for errata i870 in PCIe host mode
    - ARM: dts: omap5: enable OTG role for DWC3 controller
    - f2fs: return correct errno in f2fs_gc
    - ARM: dts: sun8i: h3-h5: ir register size should be the whole memory block
    - SUNRPC: Fix priority queue fairness
    - IB/hfi1: Ensure ucast_dlid access doesnt exceed bounds
    - kvm: arm/arm64: Fix stage2_flush_memslot for 4 level page table
    - arm64/numa: Report correct memblock range for the dummy node
    - ath10k: fix vdev-start timeout on error
    - ata: ahci_brcm: Allow using driver or DSL SoCs
    - ath9k: fix reporting calculated new FFT upper max
    - usb: gadget: udc: fotg210-udc: Fix a sleep-in-atomic-context bug in
      fotg210_get_status()
    - usb: dwc3: gadget: Check ENBLSLPM before sending ep command
    - nl80211: Fix a GET_KEY reply attribute
    - irqchip/irq-mvebu-icu: Fix wrong private data retrieval
    - watchdog: w83627hf_wdt: Support NCT6796D, NCT6797D, NCT6798D
    - KVM: PPC: Inform the userspace about TCE update failures
    - dmaengine: ep93xx: Return proper enum in ep93xx_dma_chan_direction
    - dmaengine: timb_dma: Use proper enum in td_prep_slave_sg
    - ext4: fix build error when DX_DEBUG is defined
    - clk: keystone: Enable TISCI clocks if K3_ARCH
    - sunrpc: Fix connect metrics
    - mei: samples: fix a signedness bug in amt_host_if_call()
    - cxgb4: Use proper enum in cxgb4_dcb_handle_fw_update
    - cxgb4: Use proper enum in IEEE_FAUX_SYNC
    - powerpc/pseries: Fix DTL buffer registration
    - powerpc/pseries: Fix how we iterate over the DTL entries
    - powerpc/xive: Move a dereference below a NULL test
    - ARM: dts: at91: sama5d4_xplained: fix addressable nand flash size
    - ARM: dts: at91: at91sam9x5cm: fix addressable nand flash size
    - mtd: rawnand: sh_flctl: Use proper enum for flctl_dma_fifo0_transfer
    - PM / hibernate: Check the success of generating md5 digest before
      hibernation
    - tools: PCI: Fix compilation warnings
    - clocksource/drivers/sh_cmt: Fixup for 64-bit machines
    - clocksource/drivers/sh_cmt: Fix clocksource width for 32-bit machines
    - md: allow metadata updates while suspending an array - fix
    - ixgbe: Fix ixgbe TX hangs with XDP_TX beyond queue limit
    - i40e: Use proper enum in i40e_ndo_set_vf_link_state
    - ixgbe: Fix crash with VFs and flow director on interface flap
    - IB/mthca: Fix error return code in __mthca_init_one()
    - IB/mlx4: Avoid implicit enumerated type conversion
    - ACPICA: Never run _REG on system_memory and system_IO
    - powerpc/time: Use clockevents_register_device(), fixing an issue with large
      decrementer
    - ata: ep93xx: Use proper enums for directions
    - media: rc: ir-rc6-decoder: enable toggle bit for Kathrein RCU-676 remote
    - media: pxa_camera: Fix check for pdev->dev.of_node
    - media: i2c: adv748x: Support probing a single output
    - ALSA: hda/sigmatel - Disable automute for Elo VuPoint
    - KVM: PPC: Book3S PR: Exiting split hack mode needs to fixup both PC and LR
    - USB: serial: cypress_m8: fix interrupt-out transfer length
    - mtd: physmap_of: Release resources on error
    - cpu/SMT: State SMT is disabled even with nosmt and without "=force"
    - brcmfmac: reduce timeout for action frame scan
    - brcmfmac: fix full timeout waiting for action frame on-channel tx
    - qtnfmac: pass sgi rate info flag to wireless core
    - qtnfmac: drop error reports for out-of-bounds key indexes
    - clk: samsung: exynos5420: Define CLK_SECKEY gate clock only or Exynos5420
    - clk: samsung: Use clk_hw API for calling clk framework from clk notifiers
    - i2c: brcmstb: Allow enabling the driver on DSL SoCs
    - NFSv4.x: fix lock recovery during delegation recall
    - dmaengine: ioat: fix prototype of ioat_enumerate_channels
    - media: cec-gpio: select correct Signal Free Time
    - Input: st1232 - set INPUT_PROP_DIRECT property
    - Input: silead - try firmware reload after unsuccessful resume
    - remoteproc: Check for NULL firmwares in sysfs interface
    - kexec: Allocate decrypted control pages for kdump if SME is enabled
    - x86/olpc: Fix build error with CONFIG_MFD_CS5535=m
    - dmaengine: rcar-dmac: set scatter/gather max segment size
    - crypto: mxs-dcp - Fix SHA null hashes and output length
    - crypto: mxs-dcp - Fix AES issues
    - xfrm: use correct size to initialise sp->ovec
    - ACPI / SBS: Fix rare oops when removing modules
    - iwlwifi: mvm: don't send keys when entering D3
    - x86/fsgsbase/64: Fix ptrace() to read the FS/GS base accurately
    - mmc: tmio: Fix SCC error detection
    - fbdev: sbuslib: use checked version of put_user()
    - fbdev: sbuslib: integer overflow in sbusfb_ioctl_helper()
    - reset: Fix potential use-after-free in __of_reset_control_get()
    - bcache: recal cached_dev_sectors on detach
    - media: dw9714: Fix error handling in probe function
    - s390/kasan: avoid vdso instrumentation
    - proc/vmcore: Fix i386 build error of missing copy_oldmem_page_encrypted()
    - backlight: lm3639: Unconditionally call led_classdev_unregister
    - mfd: ti_am335x_tscadc: Keep ADC interface on if child is wakeup capable
    - printk: Give error on attempt to set log buffer length to over 2G
    - media: isif: fix a NULL pointer dereference bug
    - GFS2: Flush the GFS2 delete workqueue before stopping the kernel threads
    - media: cx231xx: fix potential sign-extension overflow on large shift
    - x86/kexec: Correct KEXEC_BACKUP_SRC_END off-by-one error
    - gpio: syscon: Fix possible NULL ptr usage
    - spi: fsl-lpspi: Prevent FIFO under/overrun by default
    - pinctrl: gemini: Mask and set properly
    - spi: spidev: Fix OF tree warning logic
    - ARM: 8802/1: Call syscall_trace_exit even when system call skipped
    - orangefs: rate limit the client not running info message
    - pinctrl: gemini: Fix up TVC clock group
    - hwmon: (pwm-fan) Silence error on probe deferral
    - hwmon: (ina3221) Fix INA3221_CONFIG_MODE macros
    - netfilter: nft_compat: do not dump private area
    - misc: cxl: Fix possible null pointer dereference
    - mac80211: minstrel: fix using short preamble CCK rates on HT clients
    - mac80211: minstrel: fix CCK rate group streams value
    - mac80211: minstrel: fix sampling/reporting of CCK rates in HT mode
    - spi: rockchip: initialize dma_slave_config properly
    - mlxsw: spectrum_switchdev: Check notification relevance based on upper
      device
    - ARM: dts: omap5: Fix dual-role mode on Super-Speed port
    - tools: PCI: Fix broken pcitest compilation
    - powerpc/time: Fix clockevent_decrementer initalisation for PR KVM
    - mmc: tmio: fix SCC error handling to avoid false positive CRC error
    - ARM: dts: sun8i: h3: bpi-m2-plus: Fix address for external RGMII Ethernet
      PHY
    - tcp: up initial rmem to 128KB and SYN rwin to around 64KB
    - ACPI / LPSS: Resume BYT/CHT I2C controllers from resume_noirq
    - f2fs: keep lazytime on remount
    - IB/hfi1: Error path MAD response size is incorrect
    - PM / devfreq: Fix devfreq_add_device() when drivers are built as modules.
    - PM / devfreq: Fix handling of min/max_freq == 0
    - PM / devfreq: stopping the governor before device_unregister()
    - watchdog: core: fix null pointer dereference when releasing cdev
    - watchdog: renesas_wdt: stop when unregistering
    - watchdog: sama5d4: fix timeout-sec usage
    - printk: Do not miss new messages when replaying the log
    - printk: CON_PRINTBUFFER console registration is a bit racy
    - ALSA: hda: Fix mismatch for register mask and value in ext controller.
    - x86/PCI: Apply VMD's AERSID fixup generically
    - IB/rxe: avoid srq memory leak
    - RDMA/hns: Bugfix for reserved qp number
    - RDMA/hns: Submit bad wr when post send wr exception
    - RDMA/hns: Bugfix for CM test
    - RDMA/hns: Limit the size of extend sge of sq
    - rpmsg: glink: smem: Support rx peak for size less than 4 bytes
    - qed: Avoid implicit enum conversion in qed_ooo_submit_tx_buffers
    - clk: samsung: Use NOIRQ stage for Exynos5433 clocks suspend/resume
    - printk: Correct wrong casting
    - mmc: renesas_sdhi_internal_dmac: set scatter/gather max segment size
    - atmel_lcdfb: support native-mode display-timings
    - fbdev: fix broken menu dependencies
    - bcache: account size of buckets used in uuid write to
      ca->meta_sectors_written
    - media: cx18: Don't check for address of video_dev
    - lightnvm: pblk: fix rqd.error return value in pblk_blk_erase_sync
    - scsi: arcmsr: clean up clang warning on extraneous parentheses
    - hwmon: (k10temp) Support all Family 15h Model 6xh and Model 7xh processors
    - tcp: start receiver buffer autotuning sooner
    - ACPI / LPSS: Use acpi_lpss_* instead of acpi_subsys_* functions for
      hibernate
    - PM / devfreq: Fix static checker warning in try_then_request_governor
    - x86/resctrl: Fix rdt_find_domain() return value and checks
  * Bionic update: upstream stable patchset 2019-11-25 (LP: #1853915)
    - kvm: mmu: Don't read PDPTEs when paging is not enabled
    - KVM: x86: introduce is_pae_paging
    - MIPS: BCM63XX: fix switch core reset on BCM6368
    - scsi: core: Handle drivers which set sg_tablesize to zero
    - Revert "Input: synaptics-rmi4 - avoid processing unknown IRQs"
    - ax88172a: fix information leak on short answers
    - net: usb: qmi_wwan: add support for Foxconn T77W968 LTE modules
    - slip: Fix memory leak in slip_open error path
    - ALSA: usb-audio: Fix missing error check at mixer resolution test
    - ALSA: usb-audio: not submit urb for stopped endpoint
    - Input: ff-memless - kill timer in destroy()
    - Input: synaptics-rmi4 - fix video buffer size
    - Input: synaptics-rmi4 - disable the relative position IRQ in the F12 driver
    - Input: synaptics-rmi4 - do not consume more data than we have (F11, F12)
    - Input: synaptics-rmi4 - clear IRQ enables for F54
    - Input: synaptics-rmi4 - destroy F54 poller workqueue when removing
    - IB/hfi1: Ensure full Gen3 speed in a Gen4 system
    - i2c: acpi: Force bus speed to 400KHz if a Silead touchscreen is present
    - ecryptfs_lookup_interpose(): lower_dentry->d_inode is not stable
    - ecryptfs_lookup_interpose(): lower_dentry->d_parent is not stable either
    - iommu/vt-d: Fix QI_DEV_IOTLB_PFSID and QI_DEV_EIOTLB_PFSID macros
    - mm: memcg: switch to css_tryget() in get_mem_cgroup_from_mm()
    - mm: hugetlb: switch to css_tryget() in hugetlb_cgroup_charge_cgroup()
    - mmc: sdhci-of-at91: fix quirk2 overwrite
    - iio: adc: max9611: explicitly cast gain_selectors
    - tee: optee: take DT status property into account
    - ath10k: fix kernel panic by moving pci flush after napi_disable
    - iio: dac: mcp4922: fix error handling in mcp4922_write_raw
    - arm64: dts: allwinner: a64: Olinuxino: fix DRAM voltage
    - arm64: dts: allwinner: a64: NanoPi-A64: Fix DCDC1 voltage
    - ALSA: pcm: signedness bug in snd_pcm_plug_alloc()
    - arm64: dts: tegra210-p2180: Correct sdmmc4 vqmmc-supply
    - ARM: dts: at91/trivial: Fix USART1 definition for at91sam9g45
    - rtc: rv8803: fix the rv8803 id in the OF table
    - remoteproc/davinci: Use %zx for formating size_t
    - extcon: cht-wc: Return from default case to avoid warnings
    - cfg80211: Avoid regulatory restore when COUNTRY_IE_IGNORE is set
    - ALSA: seq: Do error checks at creating system ports
    - ath9k: fix tx99 with monitor mode interface
    - ath10k: limit available channels via DT ieee80211-freq-limit
    - gfs2: Don't set GFS2_RDF_UPTODATE when the lvb is updated
    - ASoC: dpcm: Properly initialise hw->rate_max
    - pinctrl: ingenic: Probe driver at subsys_initcall
    - MIPS: BCM47XX: Enable USB power on Netgear WNDR3400v3
    - ARM: dts: exynos: Fix sound in Snow-rev5 Chromebook
    - liquidio: fix race condition in instruction completion processing
    - ARM: dts: exynos: Fix regulators configuration on Peach Pi/Pit Chromebooks
    - i40e: use correct length for strncpy
    - i40e: hold the rtnl lock on clearing interrupt scheme
    - i40e: Prevent deleting MAC address from VF when set by PF
    - IB/rxe: fixes for rdma read retry
    - iwlwifi: don't WARN on trying to dump dead firmware
    - iwlwifi: mvm: avoid sending too many BARs
    - ARM: dts: pxa: fix the rtc controller
    - ARM: dts: pxa: fix power i2c base address
    - rtl8187: Fix warning generated when strncpy() destination length matches the
      sixe argument
    - soc: imx: gpc: fix PDN delay
    - ASoC: rsnd: ssi: Fix issue in dma data address assignment
    - net: phy: mscc: read 'vsc8531,vddmac' as an u32
    - net: phy: mscc: read 'vsc8531, edge-slowdown' as an u32
    - ARM: dts: meson8: fix the clock controller register size
    - ARM: dts: meson8b: fix the clock controller register size
    - net: lan78xx: Bail out if lan78xx_get_endpoints fails
    - ASoC: sgtl5000: avoid division by zero if lo_vag is zero
    - ARM: dts: exynos: Disable pull control for S5M8767 PMIC
    - ath10k: wmi: disable softirq's while calling ieee80211_rx
    - IB/ipoib: Ensure that MTU isn't less than minimum permitted
    - RDMA/core: Rate limit MAD error messages
    - RDMA/core: Follow correct unregister order between sysfs and cgroup
    - mips: txx9: fix iounmap related issue
    - ASoC: Intel: hdac_hdmi: Limit sampling rates at dai creation
    - of: make PowerMac cache node search conditional on CONFIG_PPC_PMAC
    - ARM: dts: omap3-gta04: give spi_lcd node a label so that we can overwrite in
      other DTS files
    - ARM: dts: omap3-gta04: fixes for tvout / venc
    - ARM: dts: omap3-gta04: tvout: enable as display1 alias
    - ARM: dts: omap3-gta04: fix touchscreen tsc2007
    - ARM: dts: omap3-gta04: make NAND partitions compatible with recent U-Boot
    - ARM: dts: omap3-gta04: keep vpll2 always on
    - sched/debug: Use symbolic names for task state constants
    - arm64: dts: rockchip: Fix VCC5V0_HOST_EN on rk3399-sapphire
    - dmaengine: dma-jz4780: Don't depend on MACH_JZ4780
    - dmaengine: dma-jz4780: Further residue status fix
    - EDAC, sb_edac: Return early on ADDRV bit and address type test
    - rtc: mt6397: fix possible race condition
    - rtc: pl030: fix possible race condition
    - ath9k: add back support for using active monitor interfaces for tx99
    - IB/hfi1: Missing return value in error path for user sdma
    - signal: Always ignore SIGKILL and SIGSTOP sent to the global init
    - signal: Properly deliver SIGILL from uprobes
    - signal: Properly deliver SIGSEGV from x86 uprobes
    - f2fs: fix memory leak of percpu counter in fill_super()
    - scsi: qla2xxx: Fix iIDMA error
    - scsi: qla2xxx: Defer chip reset until target mode is enabled
    - scsi: qla2xxx: Fix dropped srb resource.
    - scsi: lpfc: Fix errors in log messages.
    - scsi: sym53c8xx: fix NULL pointer dereference panic in sym_int_sir()
    - ARM: imx6: register pm_power_off handler if "fsl,pmic-stby-poweroff" is set
    - scsi: pm80xx: Corrected dma_unmap_sg() parameter
    - scsi: pm80xx: Fixed system hang issue during kexec boot
    - kprobes: Don't call BUG_ON() if there is a kprobe in use on free list
    - Drivers: hv: vmbus: Fix synic per-cpu context initialization
    - nvmem: core: return error code instead of NULL from nvmem_device_get
    - media: dt-bindings: adv748x: Fix decimal unit addresses
    - media: fix: media: pci: meye: validate offset to avoid arbitrary access
    - media: dvb: fix compat ioctl translation
    - arm64: dts: meson: libretech: update board model
    - ALSA: intel8x0m: Register irq handler after register initializations
    - pinctrl: at91-pio4: fix has_config check in atmel_pctl_dt_subnode_to_map()
    - llc: avoid blocking in llc_sap_close()
    - ARM: dts: qcom: ipq4019: fix cpu0's qcom,saw2 reg value
    - soc: qcom: wcnss_ctrl: Avoid string overflow
    - ARM: dts: socfpga: Fix I2C bus unit-address error
    - pinctrl: at91: don't use the same irqchip with multiple gpiochips
    - cxgb4: Fix endianness issue in t4_fwcache()
    - blok, bfq: do not plug I/O if all queues are weight-raised
    - arm64: dts: meson: Fix erroneous SPI bus warnings
    - power: supply: ab8500_fg: silence uninitialized variable warnings
    - power: reset: at91-poweroff: do not procede if at91_shdwc is allocated
    - power: supply: max8998-charger: Fix platform data retrieval
    - component: fix loop condition to call unbind() if bind() fails
    - kernfs: Fix range checks in kernfs_get_target_path
    - ip_gre: fix parsing gre header in ipgre_err
    - ARM: dts: rockchip: Fix erroneous SPI bus dtc warnings on rk3036
    - ACPI / LPSS: Exclude I2C busses shared with PUNIT from pmc_atom_d3_mask
    - ath9k: Fix a locking bug in ath9k_add_interface()
    - s390/qeth: invoke softirqs after napi_schedule()
    - PCI/ACPI: Correct error message for ASPM disabling
    - serial: uartps: Fix suspend functionality
    - serial: samsung: Enable baud clock for UART reset procedure in resume
    - serial: mxs-auart: Fix potential infinite loop
    - samples/bpf: fix a compilation failure
    - spi: mediatek: Don't modify spi_transfer when transfer.
    - ipmi:dmi: Ignore IPMI SMBIOS entries with a zero base address
    - net: hns3: fix return type of ndo_start_xmit function
    - powerpc/iommu: Avoid derefence before pointer check
    - powerpc/64s/hash: Fix stab_rr off by one initialization
    - powerpc/pseries: Disable CPU hotplug across migrations
    - powerpc: Fix duplicate const clang warning in user access code
    - RDMA/i40iw: Fix incorrect iterator type
    - libfdt: Ensure INT_MAX is defined in libfdt_env.h
    - power: supply: twl4030_charger: fix charging current out-of-bounds
    - power: supply: twl4030_charger: disable eoc interrupt on linear charge
    - net: toshiba: fix return type of ndo_start_xmit function
    - net: xilinx: fix return type of ndo_start_xmit function
    - net: broadcom: fix return type of ndo_start_xmit function
    - net: amd: fix return type of ndo_start_xmit function
    - net: sun: fix return type of ndo_start_xmit function
    - nfp: provide a better warning when ring allocation fails
    - usb: chipidea: imx: enable OTG overcurrent in case USB subsystem is already
      started
    - usb: chipidea: Fix otg event handler
    - mlxsw: spectrum: Init shaper for TCs 8..15
    - ARM: dts: am335x-evm: fix number of cpsw
    - f2fs: fix to recover inode's uid/gid during POR
    - ARM: dts: ux500: Correct SCU unit address
    - ARM: dts: ux500: Fix LCDA clock line muxing
    - ARM: dts: ste: Fix SPI controller node names
    - spi: pic32: Use proper enum in dmaengine_prep_slave_rg
    - cpufeature: avoid warning when compiling with clang
    - crypto: arm/crc32 - avoid warning when compiling with Clang
    - ARM: dts: marvell: Fix SPI and I2C bus warnings
    - x86/mce-inject: Reset injection struct after injection
    - ARM: dts: clearfog: fix sdhci supply property name
    - bnx2x: Ignore bandwidth attention in single function mode
    - samples/bpf: fix compilation failure
    - net: phy: mdio-bcm-unimac: Allow configuring MDIO clock divider
    - net: micrel: fix return type of ndo_start_xmit function
    - net: freescale: fix return type of ndo_start_xmit function
    - x86/CPU: Use correct macros for Cyrix calls
    - x86/CPU: Change query logic so CPUID is enabled before testing
    - MIPS: kexec: Relax memory restriction
    - arm64: dts: rockchip: Fix microSD in rk3399 sapphire board
    - media: pci: ivtv: Fix a sleep-in-atomic-context bug in ivtv_yuv_init()
    - media: au0828: Fix incorrect error messages
    - media: davinci: Fix implicit enum conversion warning
    - ARM: dts: rockchip: explicitly set vcc_sd0 pin to gpio on rk3188-radxarock
    - usb: gadget: uvc: configfs: Drop leaked references to config items
    - usb: gadget: uvc: configfs: Prevent format changes after linking header
    - i2c: aspeed: fix invalid clock parameters for very large divisors
    - phy: brcm-sata: allow PHY_BRCM_SATA driver to be built for DSL SoCs
    - phy: renesas: rcar-gen3-usb2: fix vbus_ctrl for role sysfs
    - phy: phy-twl4030-usb: fix denied runtime access
    - usb: gadget: uvc: Factor out video USB request queueing
    - usb: gadget: uvc: Only halt video streaming endpoint in bulk mode
    - coresight: Fix handling of sinks
    - coresight: perf: Fix per cpu path management
    - coresight: perf: Disable trace path upon source error
    - coresight: etm4x: Configure EL2 exception level when kernel is running in
      HYP
    - coresight: tmc: Fix byte-address alignment for RRP
    - misc: kgdbts: Fix restrict error
    - misc: genwqe: should return proper error value.
    - vfio/pci: Fix potential memory leak in vfio_msi_cap_len
    - vfio/pci: Mask buggy SR-IOV VF INTx support
    - scsi: libsas: always unregister the old device if going to discover new
    - phy: lantiq: Fix compile warning
    - ARM: dts: tegra30: fix xcvr-setup-use-fuses
    - ARM: tegra: apalis_t30: fix mmc1 cmd pull-up
    - ARM: dts: paz00: fix wakeup gpio keycode
    - net: smsc: fix return type of ndo_start_xmit function
    - net: faraday: fix return type of ndo_start_xmit function
    - f2fs: fix to recover inode's project id during POR
    - f2fs: mark inode dirty explicitly in recover_inode()
    - EDAC: Raise the maximum number of memory controllers
    - ARM: dts: realview: Fix SPI controller node names
    - firmware: dell_rbu: Make payload memory uncachable
    - Bluetooth: hci_serdev: clear HCI_UART_PROTO_READY to avoid closing proto
      races
    - Bluetooth: L2CAP: Detect if remote is not able to use the whole MPS
    - x86/hyperv: Suppress "PCI: Fatal: No config space access function found"
    - crypto: s5p-sss: Fix Fix argument list alignment
    - crypto: fix a memory leak in rsa-kcs1pad's encryption mode
    - iwlwifi: dbg: don't crash if the firmware crashes in the middle of a debug
      dump
    - iwlwifi: api: annotate compressed BA notif array sizes
    - iwlwifi: mvm: Allow TKIP for AP mode
    - scsi: NCR5380: Clear all unissued commands on host reset
    - scsi: NCR5380: Have NCR5380_select() return a bool
    - scsi: NCR5380: Withhold disconnect privilege for REQUEST SENSE
    - scsi: NCR5380: Use DRIVER_SENSE to indicate valid sense data
    - scsi: NCR5380: Check for invalid reselection target
    - scsi: NCR5380: Don't clear busy flag when abort fails
    - scsi: NCR5380: Don't call dsprintk() following reselection interrupt
    - scsi: NCR5380: Handle BUS FREE during reselection
    - scsi: NCR5380: Check for bus reset
    - arm64: dts: amd: Fix SPI bus warnings
    - arm64: dts: lg: Fix SPI controller node names
    - ARM: dts: lpc32xx: Fix SPI controller node names
    - rtc: armada38x: fix possible race condition
    - netfilter: masquerade: don't flush all conntracks if only one address
      deleted on device
    - usb: xhci-mtk: fix ISOC error when interval is zero
    - fuse: use READ_ONCE on congestion_threshold and max_background
    - IB/iser: Fix possible NULL deref at iser_inv_desc()
    - net: phy: mdio-bcm-unimac: mark PM functions as __maybe_unused
    - memfd: Use radix_tree_deref_slot_protected to avoid the warning.
    - slcan: Fix memory leak in error path
    - ipmr: Fix skb headroom in ipmr_get_route().
    - IB/hfi1: Use a common pad buffer for 9B and 16B packets
    - net: ethernet: dwmac-sun8i: Use the correct function in exit path
    - mm: mempolicy: fix the wrong return value and potential pages leak of mbind
    - scsi: bfa: use proper time accessor for stats_reset_time
    - y2038: make do_gettimeofday() and get_seconds() inline
    - ARM: dts: rcar: Correct SATA device sizes to 2 MiB
    - ARM: dts: exynos: Use i2c-gpio for HDMI-DDC on Arndale
    - ARM: dts: exynos: Fix HDMI-HPD line handling on Arndale
    - i40evf: Validate the number of queues a PF sends
    - i40evf: set IFF_UNICAST_FLT flag for the VF
    - i40evf: cancel workqueue sync for adminq when a VF is removed
    - IB/rxe: avoid back-to-back retries
    - brcmfmac: fix wrong strnchr usage
    - mtd: rawnand: fsl_ifc: check result of SRAM initialization
    - mtd: rawnand: fsl_ifc: fixup SRAM init for newer ctrl versions
    - rtnetlink: move type calculation out of loop
    - udf: Fix crash during mount
    - sched/debug: Explicitly cast sched_feat() to bool
    - usb: mtu3: disable vbus rise/fall interrupts of ltssm
    - dmaengine: at_xdmac: remove a stray bottom half unlock
    - scsi: qla2xxx: Terminate Plogi/PRLI if WWN is 0
    - scsi: qla2xxx: Fix deadlock between ATIO and HW lock
    - scsi: qla2xxx: Fix port speed display on chip reset
    - scsi: lpfc: Correct invalid EQ doorbell write on if_type=6
    - net: aquantia: fix hw_atl_utils_fw_upload_dwords
    - ALSA: hda: Fix implicit definition of pci_iomap() on SH
    - net: bcmgenet: Fix speed selection for reverse MII
    - arm64: dts: broadcom: Fix I2C and SPI bus warnings
    - ARM: dts: bcm: Fix SPI bus warnings
    - ARM: dts: aspeed: Fix I2C bus warnings
    - ARM: dts: sunxi: Fix I2C bus warnings
    - ARM: dts: sun9i: Fix I2C bus warnings
    - arm64: fix for bad_mode() handler to always result in panic
    - netfilter: nf_tables: avoid BUG_ON usage
    - media: vsp1: Fix YCbCr planar formats pitch calculation
    - PCI: mediatek: Fix unchecked return value
    - ARM: dts: xilinx: Fix I2C and SPI bus warnings
    - ipmi_si_pci: fix NULL device in ipmi_si error message
    - ipmi_si: fix potential integer overflow on large shift
    - net: cavium: fix return type of ndo_start_xmit function
    - net: ibm: fix return type of ndo_start_xmit function
    - selftests/powerpc: Do not fail with reschedule
    - usb: usbtmc: Fix ioctl USBTMC_IOCTL_ABORT_BULK_OUT
    - s390/zcrypt: enable AP bus scan without a valid default domain
    - s390/vdso: avoid 64-bit vdso mapping for compat tasks
    - brcmsmac: allocate ucode with GFP_KERNEL
    - brcmsmac: Use kvmalloc() for ucode allocations
    - EDAC: Correct DIMM capacity unit symbol
    - gpiolib: Fix gpio_direction_* for single direction GPIOs
    - arm64: dts: fsl: Fix I2C and SPI bus warnings
    - ARM: dts: imx51-zii-rdu1: Fix the rtc compatible string
    - f2fs: update i_size after DIO completion
    - RDMA: Fix dependencies for rdma_user_mmap_io
    - crypto: s5p-sss: Fix race in error handling
    - iwlwifi: pcie: gen2: build A-MSDU only for GSO
    - iwlwifi: pcie: fit reclaim msg to MAX_MSG_LEN
    - usb: usbtmc: uninitialized symbol 'actual' in usbtmc_ioctl_clear
    - s390/vdso: correct vdso mapping for compat tasks
  * Bionic update: upstream stable patchset 2019-11-21 (LP: #1853519)
    - bonding: fix state transition issue in link monitoring
    - CDC-NCM: handle incomplete transfer of MTU
    - ipv4: Fix table id reference in fib_sync_down_addr
    - net: ethernet: octeon_mgmt: Account for second possible VLAN header
    - net: fix data-race in neigh_event_send()
    - net: qualcomm: rmnet: Fix potential UAF when unregistering
    - net: usb: qmi_wwan: add support for DW5821e with eSIM support
    - NFC: fdp: fix incorrect free object
    - nfc: netlink: fix double device reference drop
    - NFC: st21nfca: fix double free
    - qede: fix NULL pointer deref in __qede_remove()
    - ALSA: timer: Fix incorrectly assigned timer instance
    - ALSA: bebob: fix to detect configured source of sampling clock for Focusrite
      Saffire Pro i/o series
    - ALSA: hda/ca0132 - Fix possible workqueue stall
    - mm: thp: handle page cache THP correctly in PageTransCompoundMap
    - mm, vmstat: hide /proc/pagetypeinfo from normal users
    - dump_stack: avoid the livelock of the dump_lock
    - tools: gpio: Use !building_out_of_srctree to determine srctree
    - perf tools: Fix time sorting
    - drm/radeon: fix si_enable_smc_cac() failed issue
    - HID: wacom: generic: Treat serial number and related fields as unsigned
    - arm64: Do not mask out PTE_RDONLY in pte_same()
    - ceph: fix use-after-free in __ceph_remove_cap()
    - ceph: add missing check in d_revalidate snapdir handling
    - iio: adc: stm32-adc: fix stopping dma
    - iio: imu: adis16480: make sure provided frequency is positive
    - iio: srf04: fix wrong limitation in distance measuring
    - netfilter: nf_tables: Align nft_expr private data to 64-bit
    - netfilter: ipset: Fix an error code in ip_set_sockfn_get()
    - intel_th: pci: Add Comet Lake PCH support
    - intel_th: pci: Add Jasper Lake PCH support
    - can: usb_8dev: fix use-after-free on disconnect
    - can: c_can: c_can_poll(): only read status register after status IRQ
    - can: peak_usb: fix a potential out-of-sync while decoding packets
    - can: rx-offload: can_rx_offload_queue_sorted(): fix error handling, avoid
      skb mem leak
    - can: gs_usb: gs_can_open(): prevent memory leak
    - can: mcba_usb: fix use-after-free on disconnect
    - can: peak_usb: fix slab info leak
    - configfs: stash the data we need into configfs_buffer at open time
    - configfs_register_group() shouldn't be (and isn't) called in rmdirable parts
    - configfs: new object reprsenting tree fragments
    - configfs: provide exclusion between IO and removals
    - configfs: fix a deadlock in configfs_symlink()
    - usb: dwc3: Allow disabling of metastability workaround
    - mfd: palmas: Assign the right powerhold mask for tps65917
    - ASoC: tlv320aic31xx: Handle inverted BCLK in non-DSP modes
    - ARM: dts: dra7: Disable USB metastability workaround for USB2
    - [Config] updateconfigs for SGL_ALLOC
    - lib/scatterlist: Introduce sgl_alloc() and sgl_free()
    - usbip: Fix vhci_urb_enqueue() URB null transfer buffer error path
    - usbip: Implement SG support to vhci-hcd and stub driver
    - PCI: tegra: Enable Relaxed Ordering only for Tegra20 & Tegra30
    - dmaengine: xilinx_dma: Fix control reg update in vdma_channel_set_config
    - HID: intel-ish-hid: fix wrong error handling in ishtp_cl_alloc_tx_ring()
    - RDMA/qedr: Fix reported firmware version
    - net/mlx5: prevent memory leak in mlx5_fpga_conn_create_cq
    - scsi: qla2xxx: fixup incorrect usage of host_byte
    - RDMA/uverbs: Prevent potential underflow
    - net: openvswitch: free vport unless register_netdevice() succeeds
    - scsi: lpfc: Honor module parameter lpfc_use_adisc
    - scsi: qla2xxx: Initialized mailbox to prevent driver load failure
    - ipvs: don't ignore errors in case refcounting ip_vs module fails
    - ipvs: move old_secure_tcp into struct netns_ipvs
    - bonding: fix unexpected IFF_BONDING bit unset
    - macsec: fix refcnt leak in module exit routine
    - usb: fsl: Check memory resource before releasing it
    - usb: gadget: udc: atmel: Fix interrupt storm in FIFO mode.
    - usb: gadget: composite: Fix possible double free memory bug
    - usb: gadget: configfs: fix concurrent issue between composite APIs
    - usb: dwc3: remove the call trace of USBx_GFLADJ
    - perf/x86/amd/ibs: Fix reading of the IBS OpData register and thus precise
      RIP validity
    - perf/x86/amd/ibs: Handle erratum #420 only on the affected CPU family (10h)
    - USB: Skip endpoints with 0 maxpacket length
    - USB: ldusb: use unsigned size format specifiers
    - RDMA/iw_cxgb4: Avoid freeing skb twice in arp failure case
    - scsi: qla2xxx: stop timer in shutdown path
    - fjes: Handle workqueue allocation failure
    - net: hisilicon: Fix "Trying to free already-free IRQ"
    - hv_netvsc: Fix error handling in netvsc_attach()
    - NFSv4: Don't allow a cached open with a revoked delegation
    - net: ethernet: arc: add the missed clk_disable_unprepare
    - igb: Fix constant media auto sense switching when no cable is connected
    - e1000: fix memory leaks
    - x86/apic: Move pending interrupt check code into it's own function
    - x86/apic: Drop logical_smp_processor_id() inline
    - x86/apic/32: Avoid bogus LDR warnings
    - can: flexcan: disable completely the ECC mechanism
    - mm/filemap.c: don't initiate writeback if mapping has no dirty pages
    - cgroup,writeback: don't switch wbs immediately on dead wbs if the memcg is
      dead
    - usbip: Fix free of unallocated memory in vhci tx
    - net: prevent load/store tearing on sk->sk_stamp
    - x86/speculation/taa: Fix printing of TAA_MSG_SMT on IBRS_ALL CPUs
    - x86/cpu: Add Tremont to the cpu vulnerability whitelist
    - Documentation: Add ITLB_MULTIHIT documentation
    - net: hns: Fix the stray netpoll locks causing deadlock in NAPI path
    - mm: memcontrol: fix network errors from failing __GFP_ATOMIC charges
    - mm, meminit: recalculate pcpu batch and high limits after init completes
    - SMB3: Fix persistent handles reconnect
    - dmaengine: sprd: Fix the possible memory leak issue
    - iw_cxgb4: fix ECN check on the passive accept
    - perf/x86/uncore: Fix event group support
    - usbip: tools: Fix read_usb_vudc_device() error path handling
    - RDMA/hns: Prevent memory leaks of eq->buf_list
    - drm/amdgpu: If amdgpu_ib_schedule fails return back the error.
    - drm/amd/display: Passive DP->HDMI dongle detection fix
    - pinctrl: intel: Initialize GPIO properly when used through irqchip
    - pinctrl: intel: Avoid potential glitches if pin is in GPIO mode
    - pinctrl: cherryview: Fix irq_valid_mask calculation
    - netfilter: ipset: Copy the right MAC address in hash:ip,mac IPv6 sets
    - vsock/virtio: fix sock refcnt holding during the shutdown
  * Bionic update: upstream stable patchset 2019-11-19 (LP: #1853208)
    - arm64: dts: Fix gpio to pinmux mapping
    - regulator: ti-abb: Fix timeout in ti_abb_wait_txdone/ti_abb_clear_all_txdone
    - regulator: pfuze100-regulator: Variable "val" in pfuze100_regulator_probe()
      could be uninitialized
    - ASoC: wm_adsp: Don't generate kcontrols without READ flags
    - ASoc: rockchip: i2s: Fix RPM imbalance
    - ARM: dts: logicpd-torpedo-som: Remove twl_keypad
    - pinctrl: ns2: Fix off by one bugs in ns2_pinmux_enable()
    - ARM: mm: fix alignment handler faults under memory pressure
    - scsi: scsi_dh_alua: handle RTPG sense code correctly during state
      transitions
    - scsi: sni_53c710: fix compilation error
    - scsi: fix kconfig dependency warning related to 53C700_LE_ON_BE
    - ARM: dts: imx7s: Correct GPT's ipg clock source
    - perf c2c: Fix memory leak in build_cl_output()
    - perf kmem: Fix memory leak in compact_gfp_flags()
    - ARM: davinci: dm365: Fix McBSP dma_slave_map entry
    - scsi: target: core: Do not overwrite CDB byte 1
    - ARM: 8926/1: v7m: remove register save to stack before svc
    - of: unittest: fix memory leak in unittest_data_add
    - MIPS: bmips: mark exception vectors as char arrays
    - i2c: stm32f7: remove warning when compiling with W=1
    - cifs: Fix cifsInodeInfo lock_sem deadlock when reconnect occurs
    - nbd: handle racing with error'ed out commands
    - cxgb4: fix panic when attaching to ULD fail
    - dccp: do not leak jiffies on the wire
    - net: annotate accesses to sk->sk_incoming_cpu
    - net: annotate lockless accesses to sk->sk_napi_id
    - net: dsa: bcm_sf2: Fix IMP setup for port different than 8
    - net: ethernet: ftgmac100: Fix DMA coherency issue with SW checksum
    - net: fix sk_page_frag() recursion from memory reclaim
    - net: hisilicon: Fix ping latency when deal with high throughput
    - net/mlx4_core: Dynamically set guaranteed amount of counters per VF
    - selftests: net: reuseport_dualstack: fix uninitalized parameter
    - udp: fix data-race in udp_set_dev_scratch()
    - net: add READ_ONCE() annotation in __skb_wait_for_more_packets()
    - net/mlx5e: Fix handling of compressed CQEs in case of low NAPI budget
    - net: dsa: b53: Do not clear existing mirrored port mask
    - net: usb: lan78xx: Connect PHY before registering MAC
    - r8152: add device id for Lenovo ThinkPad USB-C Dock Gen 2
    - net: dsa: fix switch tree list
    - net: bcmgenet: reset 40nm EPHY on energy detect
    - net: add skb_queue_empty_lockless()
    - udp: use skb_queue_empty_lockless()
    - net: use skb_queue_empty_lockless() in poll() handlers
    - net: use skb_queue_empty_lockless() in busy poll contexts
    - vxlan: check tun_info options_len properly
    - erspan: fix the tun_info options_len check for erspan
    - inet: stop leaking jiffies on the wire
    - net/flow_dissector: switch to siphash
    - kbuild: use -fmacro-prefix-map to make __FILE__ a relative path
    - platform/x86: pmc_atom: Add Siemens SIMATIC IPC227E to critclk_systems DMI
      table
    - iio: adc: stm32-adc: move registers definitions
    - powerpc/book3s64/mm: Don't do tlbie fixup for some hardware revisions
    - powerpc/book3s64/radix: Rename CPU_FTR_P9_TLBIE_BUG feature flag
    - selftests/powerpc: Add test case for tlbie vs mtpidr ordering issue
    - selftests/powerpc: Fix compile error on tlbie_test due to newer gcc
    - arm64: dts: allwinner: a64: pine64-plus: Add PHY regulator delay
    - arm64: dts: allwinner: a64: sopine-baseboard: Add PHY regulator delay
    - scsi: qla2xxx: fix a potential NULL pointer dereference
    - irqchip/gic-v3-its: Use the exact ITSList for VMOVP
    - netns: fix GFP flags in rtnl_net_notifyid()
    - net: usb: lan78xx: Disable interrupts before calling generic_handle_irq()
    - wireless: Skip directory when generating certificates
    - ASoC: pcm3168a: The codec does not support S32_LE
    - usb: gadget: udc: core: Fix segfault if udc_bind_to_driver() for pending
      driver fails

 -- Connor Kuehl <connor.kuehl@canonical.com>  Thu, 05 Dec 2019 08:16:15 -0800

linux-aws-hwe (4.15.0-1056.58~16.04.1) xenial; urgency=medium

  * xenial/linux-aws-hwe: 4.15.0-1056.58~16.04.1 -proposed tracker
    (LP: #1854030)

  [ Ubuntu: 4.15.0-1056.58 ]

  * bionic/linux-aws: 4.15.0-1056.58 -proposed tracker (LP: #1854029)
  * bionic/linux: 4.15.0-72.81 -proposed tracker (LP: #1854027)
  * [Regression] Bionic kernel 4.15.0-71.80 can not boot on ThunderX
    (LP: #1853326)
    - Revert "arm64: Use firmware to detect CPUs that are not affected by
      Spectre-v2"
    - Revert "arm64: Get rid of __smccc_workaround_1_hvc_*"
  * [Regression] Bionic kernel 4.15.0-71.80 can not boot on ThunderX2 and
    Kunpeng920 (LP: #1852723)
    - SAUCE: arm64: capabilities: Move setup_boot_cpu_capabilities() call to
      correct place

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 26 Nov 2019 17:34:15 +0100

linux-aws-hwe (4.15.0-1055.57~16.04.1) xenial; urgency=medium

  * xenial/linux-aws-hwe: 4.15.0-1055.57~16.04.1 -proposed tracker
    (LP: #1852269)

  [ Ubuntu: 4.15.0-1055.57 ]

  * bionic/linux-aws: 4.15.0-1055.57 -proposed tracker (LP: #1852270)
  * Bionic update: upstream stable patchset 2019-10-29 (LP: #1850541)
    - [Config] aws: updateconfigs for USB_RIO500
  * ARM CPU support update (LP: #1850675)
    - irqchip/gic-v3-its: Refactor LPI allocator
    - irqchip/gic-v3-its: Use full range of LPIs
    - irqchip/gic-v3-its: Move minimum LPI requirements to individual busses
    - irqchip/gic-v3-its: Drop chunk allocation compatibility
    - irqchip/gic-v3: Expose GICD_TYPER in the rdist structure
    - irqchip/gic-v3-its: Honor hypervisor enforced LPI range
    - irqchip/gic-v3-its: Reduce minimum LPI allocation to 1 for PCI devices
    - irqchip/gic-v3: Allow LPIs to be disabled from the command line
    - irqchip/gic-v3: Ensure GICR_CTLR.EnableLPI=0 is observed before enabling
    - irqchip/gic-v3-its: Cap lpi_id_bits to reduce memory footprint
    - irqchip/gic-v3-its: Change initialization ordering for LPIs
    - irqchip/gic-v3-its: Simplify LPI_PENDBASE_SZ usage
    - irqchip/gic-v3-its: Split property table clearing from allocation
    - irqchip/gic-v3-its: Move pending table allocation to init time
    - irqchip/gic-v3-its: Keep track of property table's PA and VA
    - irqchip/gic-v3-its: Allow use of pre-programmed LPI tables
    - irqchip/gic-v3-its: Use pre-programmed redistributor tables with kdump
      kernels
    - irqchip/gic-v3-its: Check that all RDs have the same property table
    - efi: honour memory reservations passed via a linux specific config table
    - efi: add API to reserve memory persistently across kexec reboot
    - irqchip/gic-v3-its: Register LPI tables with EFI config table
    - irqchip/gic-v3-its: Allow use of LPI tables in reserved memory
    - arm64: kill config_sctlr_el1()
    - arm64: Fix silly typo in comment
    - KVM: arm64: Set SCTLR_EL2.DSSBS if SSBD is forcefully disabled and !vhe
    - arm64: cpu: Move errata and feature enable callbacks closer to callers
    - arm64/cpufeature: Convert hook_lock to raw_spin_lock_t in cpu_enable_ssbs()
    - efi/arm: libstub: add a root memreserve config table
    - efi: Permit calling efi_mem_reserve_persistent() from atomic context
    - efi: Prevent GICv3 WARN() by mapping the memreserve table before first use
    - efi: Permit multiple entries in persistent memreserve data structure
    - arm64: Avoid flush_icache_range() in alternatives patching code
  * bionic/linux: 4.15.0-71.80 -proposed tracker (LP: #1852289)
  * Bionic update: upstream stable patchset 2019-10-29 (LP: #1850541)
    - panic: ensure preemption is disabled during panic()
    - f2fs: use EINVAL for superblock with invalid magic
    - [Config] updateconfigs for USB_RIO500
    - USB: rio500: Remove Rio 500 kernel driver
    - USB: yurex: Don't retry on unexpected errors
    - USB: yurex: fix NULL-derefs on disconnect
    - USB: usb-skeleton: fix runtime PM after driver unbind
    - USB: usb-skeleton: fix NULL-deref on disconnect
    - xhci: Fix false warning message about wrong bounce buffer write length
    - xhci: Prevent device initiated U1/U2 link pm if exit latency is too long
    - xhci: Check all endpoints for LPM timeout
    - usb: xhci: wait for CNR controller not ready bit in xhci resume
    - USB: adutux: fix use-after-free on disconnect
    - USB: adutux: fix NULL-derefs on disconnect
    - USB: adutux: fix use-after-free on release
    - USB: iowarrior: fix use-after-free on disconnect
    - USB: iowarrior: fix use-after-free on release
    - USB: iowarrior: fix use-after-free after driver unbind
    - USB: usblp: fix runtime PM after driver unbind
    - USB: chaoskey: fix use-after-free on release
    - USB: ldusb: fix NULL-derefs on driver unbind
    - serial: uartlite: fix exit path null pointer
    - USB: serial: keyspan: fix NULL-derefs on open() and write()
    - USB: serial: ftdi_sio: add device IDs for Sienna and Echelon PL-20
    - USB: serial: option: add Telit FN980 compositions
    - USB: serial: option: add support for Cinterion CLS8 devices
    - USB: serial: fix runtime PM after driver unbind
    - USB: usblcd: fix I/O after disconnect
    - USB: microtek: fix info-leak at probe
    - USB: dummy-hcd: fix power budget for SuperSpeed mode
    - usb: renesas_usbhs: gadget: Do not discard queues in
      usb_ep_set_{halt,wedge}()
    - usb: renesas_usbhs: gadget: Fix usb_ep_set_{halt,wedge}() behavior
    - USB: legousbtower: fix slab info leak at probe
    - USB: legousbtower: fix deadlock on disconnect
    - USB: legousbtower: fix potential NULL-deref on disconnect
    - USB: legousbtower: fix open after failed reset request
    - USB: legousbtower: fix use-after-free on release
    - staging: vt6655: Fix memory leak in vt6655_probe
    - iio: adc: ad799x: fix probe error handling
    - iio: adc: axp288: Override TS pin bias current for some models
    - iio: light: opt3001: fix mutex unlock race
    - efivar/ssdt: Don't iterate over EFI vars if no SSDT override was specified
    - perf llvm: Don't access out-of-scope array
    - perf inject jit: Fix JIT_CODE_MOVE filename
    - CIFS: Gracefully handle QueryInfo errors during open
    - CIFS: Force revalidate inode when dentry is stale
    - CIFS: Force reval dentry if LOOKUP_REVAL flag is set
    - kernel/sysctl.c: do not override max_threads provided by userspace
    - firmware: google: increment VPD key_len properly
    - gpiolib: don't clear FLAG_IS_OUT when emulating open-drain/open-source
    - Staging: fbtft: fix memory leak in fbtft_framebuffer_alloc
    - iio: hx711: add delay until DOUT is ready
    - iio: adc: hx711: fix bug in sampling of data
    - btrfs: fix incorrect updating of log root tree
    - NFS: Fix O_DIRECT accounting of number of bytes read/written
    - MIPS: Disable Loongson MMI instructions for kernel build
    - Fix the locking in dcache_readdir() and friends
    - media: stkwebcam: fix runtime PM after driver unbind
    - tracing/hwlat: Report total time spent in all NMIs during the sample
    - tracing/hwlat: Don't ignore outer-loop duration when calculating max_latency
    - ftrace: Get a reference counter for the trace_array on filter files
    - tracing: Get trace_array reference for available_tracers files
    - x86/asm: Fix MWAITX C-state hint value
    - iio: adc: stm32-adc: fix a race when using several adcs with dma and irq
    - cifs: use cifsInodeInfo->open_file_lock while iterating to avoid a panic
    - btrfs: fix uninitialized ret in ref-verify
    - arm64/sve: Fix wrong free for task->thread.sve_state
    - [Config] updateconfigs for USB_RIO500
  * Bionic update: upstream stable patchset 2019-11-13 (LP: #1852492)
    - zram: fix race between backing_dev_show and backing_dev_store
    - dm snapshot: use mutex instead of rw_semaphore
    - dm snapshot: introduce account_start_copy() and account_end_copy()
    - dm snapshot: rework COW throttling to fix deadlock
    - dm: Use kzalloc for all structs with embedded biosets/mempools
    - f2fs: flush quota blocks after turnning it off
    - scsi: lpfc: Fix a duplicate 0711 log message number.
    - sc16is7xx: Fix for "Unexpected interrupt: 8"
    - powerpc/powernv: hold device_hotplug_lock when calling
      memtrace_offline_pages()
    - HID: i2c-hid: add Direkt-Tek DTLAPY133-1 to descriptor override
    - x86/cpu: Add Atom Tremont (Jacobsville)
    - HID: i2c-hid: Add Odys Winbook 13 to descriptor override
    - clk: boston: unregister clks on failure in clk_boston_setup()
    - scripts/setlocalversion: Improve -dirty check with git-status --no-optional-
      locks
    - HID: Add ASUS T100CHI keyboard dock battery quirks
    - usb: handle warm-reset port requests on hub resume
    - rtc: pcf8523: set xtal load capacitance from DT
    - mlxsw: spectrum: Set LAG port collector only when active
    - ALSA: hda/realtek - Apply ALC294 hp init also for S4 resume
    - media: vimc: Remove unused but set variables
    - exec: load_script: Do not exec truncated interpreter path
    - PCI/PME: Fix possible use-after-free on remove
    - power: supply: max14656: fix potential use-after-free
    - iio: adc: meson_saradc: Fix memory allocation order
    - iio: fix center temperature of bmc150-accel-core
    - libsubcmd: Make _FORTIFY_SOURCE defines dependent on the feature
    - perf tests: Avoid raising SEGV using an obvious NULL dereference
    - perf map: Fix overlapped map handling
    - perf jevents: Fix period for Intel fixed counters
    - staging: rtl8188eu: fix null dereference when kzalloc fails
    - RDMA/hfi1: Prevent memory leak in sdma_init
    - RDMA/iwcm: Fix a lock inversion issue
    - HID: hyperv: Use in-place iterator API in the channel callback
    - nfs: Fix nfsi->nrequests count error on nfs_inode_remove_request
    - arm64: ftrace: Ensure synchronisation in PLT setup for Neoverse-N1 #1542419
    - tty: serial: owl: Fix the link time qualifier of 'owl_uart_exit()'
    - tty: n_hdlc: fix build on SPARC
    - gpio: max77620: Use correct unit for debounce times
    - fs: cifs: mute -Wunused-const-variable message
    - serial: mctrl_gpio: Check for NULL pointer
    - efi/cper: Fix endianness of PCIe class code
    - efi/x86: Do not clean dummy variable in kexec path
    - MIPS: include: Mark __cmpxchg as __always_inline
    - x86/xen: Return from panic notifier
    - ocfs2: clear zero in unaligned direct IO
    - fs: ocfs2: fix possible null-pointer dereferences in
      ocfs2_xa_prepare_entry()
    - fs: ocfs2: fix a possible null-pointer dereference in
      ocfs2_write_end_nolock()
    - fs: ocfs2: fix a possible null-pointer dereference in
      ocfs2_info_scan_inode_alloc()
    - sched/vtime: Fix guest/system mis-accounting on task switch
    - perf/x86/amd: Change/fix NMI latency mitigation to use a timestamp
    - MIPS: include: Mark __xchg as __always_inline
    - MIPS: fw: sni: Fix out of bounds init of o32 stack
    - nbd: fix possible sysfs duplicate warning
    - NFSv4: Fix leak of clp->cl_acceptor string
    - s390/uaccess: avoid (false positive) compiler warnings
    - tracing: Initialize iter->seq after zeroing in tracing_read_pipe()
    - nbd: verify socket is supported during setup
    - USB: legousbtower: fix a signedness bug in tower_probe()
    - thunderbolt: Use 32-bit writes when writing ring producer/consumer
    - fuse: flush dirty data/metadata before non-truncate setattr
    - fuse: truncate pending writes on O_TRUNC
    - ALSA: bebob: Fix prototype of helper function to return negative value
    - UAS: Revert commit 3ae62a42090f ("UAS: fix alignment of scatter/gather
      segments")
    - USB: gadget: Reject endpoints with 0 maxpacket value
    - usb-storage: Revert commit 747668dbc061 ("usb-storage: Set
      virt_boundary_mask to avoid SG overflows")
    - USB: ldusb: fix ring-buffer locking
    - USB: ldusb: fix control-message timeout
    - USB: serial: whiteheat: fix potential slab corruption
    - USB: serial: whiteheat: fix line-speed endianness
    - scsi: target: cxgbit: Fix cxgbit_fw4_ack()
    - HID: i2c-hid: add Trekstor Primebook C11B to descriptor override
    - HID: Fix assumption that devices have inputs
    - HID: fix error message in hid_open_report()
    - nl80211: fix validation of mesh path nexthop
    - s390/cmm: fix information leak in cmm_timeout_handler()
    - s390/idle: fix cpu idle time calculation
    - arm64: Ensure VM_WRITE|VM_SHARED ptes are clean by default
    - dmaengine: cppi41: Fix cppi41_dma_prep_slave_sg() when idle
    - llc: fix sk_buff leak in llc_sap_state_process()
    - llc: fix sk_buff leak in llc_conn_service()
    - rxrpc: Fix call ref leak
    - NFC: pn533: fix use-after-free and memleaks
    - bonding: fix potential NULL deref in bond_update_slave_arr
    - net: usb: sr9800: fix uninitialized local variable
    - sch_netem: fix rcu splat in netem_enqueue()
    - sctp: fix the issue that flags are ignored when using kernel_connect
    - sctp: not bind the socket in sctp_connect
    - xfs: Correctly invert xfs_buftarg LRU isolation logic
    - ALSA: timer: Simplify error path in snd_timer_open()
    - ALSA: timer: Fix mutex deadlock at releasing card
    - Revert "ALSA: hda: Flush interrupts on disabling"
    - Btrfs: fix inode cache block reserve leak on failure to allocate data space
    - Btrfs: fix memory leak due to concurrent append writes with fiemap
    - tools/power turbostat: fix goldmont C-state limit decoding
    - bcache: fix input overflow to writeback_rate_minimum
    - netfilter: ipset: Make invalid MAC address checks consistent
    - platform/x86: Add the VLV ISP PCI ID to atomisp2_pm
    - platform/x86: Fix config space access for intel_atomisp2_pm
    - NFSv4: Ensure that the state manager exits the loop on SIGKILL
    - ALSA: usb-audio: Cleanup DSD whitelist
    - arm64: Add MIDR encoding for HiSilicon Taishan CPUs
    - arm64: kpti: Whitelist HiSilicon Taishan v110 CPUs
    - scsi: lpfc: Correct localport timeout duration error
    - ext4: disallow files with EXT4_JOURNAL_DATA_FL from EXT4_IOC_SWAP_BOOT
    - net: dsa: mv88e6xxx: Release lock while requesting IRQ
    - drm/amd/display: fix odm combine pipe reset
    - perf script brstackinsn: Fix recovery from LBR/binary mismatch
    - perf tools: Propagate get_cpuid() error
    - perf annotate: Propagate perf_env__arch() error
    - perf annotate: Fix the signedness of failure returns
    - arm64: armv8_deprecated: Checking return value for memory allocation
    - x86/cpu: Add Comet Lake to the Intel CPU models header
    - iio: imu: adis16400: release allocated memory on failure
    - usb: xhci: fix __le32/__le64 accessors in debugfs code
    - dmaengine: qcom: bam_dma: Fix resource leak
    - NFS: Fix an RCU lock leak in nfs4_refresh_delegation_stateid()
    - batman-adv: Avoid free/alloc race when handling OGM buffer
    - powerpc/powernv: Fix CPU idle to be called with IRQs disabled
  * Dell XPS 13 9350/9360 headphone audio hiss (LP: #1654448) // [XPS 13 9360,
    Realtek ALC3246, Black Headphone Out, Front] High noise floor
    (LP: #1845810) // Bionic update: upstream stable patchset 2019-11-13
    (LP: #1852492)
    - ALSA: hda/realtek: Reduce the Headphone static noise on XPS 9350/9360
  * Add GeminiLake support on Intel int340x thermal device (LP: #1851506)
    - thermal: int340x: processor_thermal: Add GeminiLake support
  * System hangs at early boot (LP: #1851216)
    - x86/timer: Skip PIT initialization on modern chipsets
  * Some EFI systems fail to boot in efi_init() when booted via maas
    (LP: #1851810)
    - efi: efi_get_memory_map -- increase map headroom
  * dkms artifacts may expire from the pool (LP: #1850958)
    - [Packaging] dkms -- try launchpad librarian for pool downloads
    - [Packaging] dkms -- dkms-build quieten wget verbiage
  * update ENA driver to version 2.1.0 (LP: #1850175)
    - net: ena: fix: set freed objects to NULL to avoid failing future allocations
    - net: ena: fix swapped parameters when calling
      ena_com_indirect_table_fill_entry
    - net: ena: fix: Free napi resources when ena_up() fails
    - net: ena: fix incorrect test of supported hash function
    - net: ena: fix return value of ena_com_config_llq_info()
    - net: ena: improve latency by disabling adaptive interrupt moderation by
      default
    - net: ena: fix ena_com_fill_hash_function() implementation
    - net: ena: add handling of llq max tx burst size
    - net: ena: ethtool: add extra properties retrieval via get_priv_flags
    - net: ena: replace free_tx/rx_ids union with single free_ids field in
      ena_ring
    - net: ena: arrange ena_probe() function variables in reverse christmas tree
    - net: ena: add newline at the end of pr_err prints
    - net: ena: documentation: update ena.txt
    - net: ena: allow automatic fallback to polling mode
    - net: ena: add support for changing max_header_size in LLQ mode
    - net: ena: optimise calculations for CQ doorbell
    - net: ena: add good checksum counter
    - net: ena: use dev_info_once instead of static variable
    - net: ena: add MAX_QUEUES_EXT get feature admin command
    - net: ena: enable negotiating larger Rx ring size
    - net: ena: make ethtool show correct current and max queue sizes
    - net: ena: allow queue allocation backoff when low on memory
    - net: ena: add ethtool function for changing io queue sizes
    - net: ena: remove inline keyword from functions in *.c
    - net: ena: update driver version from 2.0.3 to 2.1.0
    - net: ena: Fix bug where ring allocation backoff stopped too late
    - Revert "net: ena: ethtool: add extra properties retrieval via
      get_priv_flags"
    - net: ena: don't wake up tx queue when down
    - net: ena: clean up indentation issue
  * Skip frame when buffer overflow on UVC camera (LP: #1849871)
    - media: uvcvideo: Mark buffer error where overflow
  * Handle the skip return code in kernel_selftests on Bionic (LP: #1812352)
    - selftests: lib.mk set KSFT_TAP_LEVEL to prevent nested TAP headers
    - selftests: Fix lib.mk run_tests target shell script
    - selftests: lib.mk: cleanup RUN_TESTS define and make it readable
    - selftests: lib.mk: add SKIP handling to RUN_TESTS define
  * Intel Wireless AC 3168 on Eoan complaints FW error in SYNC CMD
    GEO_TX_POWER_LIMIT (LP: #1846016)
    - iwlwifi: exclude GEO SAR support for 3168
  * tsc marked unstable after entered PC10 on Intel CoffeeLake (LP: #1840239)
    - SAUCE: x86/intel: Disable HPET on Intel Coffe Lake platforms
    - SAUCE: x86/intel: Disable HPET on Intel Ice Lake platforms
  * Bionic update: upstream stable patchset 2019-11-08 (LP: #1851876)
    - scsi: ufs: skip shutdown if hba is not powered
    - scsi: megaraid: disable device when probe failed after enabled device
    - scsi: qla2xxx: Fix unbound sleep in fcport delete path.
    - ARM: OMAP2+: Fix missing reset done flag for am3 and am43
    - ieee802154: ca8210: prevent memory leak
    - ARM: dts: am4372: Set memory bandwidth limit for DISPC
    - net: dsa: qca8k: Use up to 7 ports for all operations
    - MIPS: dts: ar9331: fix interrupt-controller size
    - xen/efi: Set nonblocking callbacks
    - nl80211: fix null pointer dereference
    - mac80211: fix txq null pointer dereference
    - mips: Loongson: Fix the link time qualifier of 'serial_exit()'
    - net: hisilicon: Fix usage of uninitialized variable in function
      mdio_sc_cfg_reg_write()
    - namespace: fix namespace.pl script to support relative paths
    - Revert "drm/radeon: Fix EEH during kexec"
    - ocfs2: fix panic due to ocfs2_wq is null
    - ipv4: Return -ENETUNREACH if we can't create route but saddr is valid
    - net: bcmgenet: Fix RGMII_MODE_EN value for GENET v1/2/3
    - net: bcmgenet: Set phydev->dev_flags only for internal PHYs
    - net: i82596: fix dma_alloc_attr for sni_82596
    - net: stmmac: disable/enable ptp_ref_clk in suspend/resume flow
    - sctp: change sctp_prot .no_autobind with true
    - net: avoid potential infinite loop in tc_ctl_action()
    - memfd: Fix locking when tagging pins
    - USB: legousbtower: fix memleak on disconnect
    - ALSA: hda/realtek - Add support for ALC711
    - usb: udc: lpc32xx: fix bad bit shift operation
    - USB: serial: ti_usb_3410_5052: fix port-close races
    - USB: ldusb: fix memleak on disconnect
    - USB: usblp: fix use-after-free on disconnect
    - USB: ldusb: fix read info leaks
    - arm64: v8.4: Support for new floating point multiplication instructions
    - arm64: Documentation: cpu-feature-registers: Remove RES0 fields
    - arm64: Expose Arm v8.4 features
    - arm64: move SCTLR_EL{1,2} assertions to <asm/sysreg.h>
    - arm64: add PSR_AA32_* definitions
    - arm64: Introduce sysreg_clear_set()
    - arm64: capabilities: Update prototype for enable call back
    - arm64: capabilities: Move errata work around check on boot CPU
    - arm64: capabilities: Move errata processing code
    - arm64: capabilities: Prepare for fine grained capabilities
    - arm64: capabilities: Add flags to handle the conflicts on late CPU
    - arm64: capabilities: Unify the verification
    - arm64: capabilities: Filter the entries based on a given mask
    - arm64: capabilities: Prepare for grouping features and errata work arounds
    - arm64: capabilities: Split the processing of errata work arounds
    - arm64: capabilities: Allow features based on local CPU scope
    - arm64: capabilities: Group handling of features and errata workarounds
    - arm64: capabilities: Introduce weak features based on local CPU
    - arm64: capabilities: Restrict KPTI detection to boot-time CPUs
    - arm64: capabilities: Add support for features enabled early
    - arm64: capabilities: Change scope of VHE to Boot CPU feature
    - arm64: capabilities: Clean up midr range helpers
    - arm64: Add helpers for checking CPU MIDR against a range
    - arm64: Add MIDR encoding for Arm Cortex-A55 and Cortex-A35
    - arm64: capabilities: Add support for checks based on a list of MIDRs
    - arm64: KVM: Use SMCCC_ARCH_WORKAROUND_1 for Falkor BP hardening
    - arm64: don't zero DIT on signal return
    - arm64: Get rid of __smccc_workaround_1_hvc_*
    - arm64: cpufeature: Detect SSBS and advertise to userspace
    - arm64: ssbd: Add support for PSTATE.SSBS rather than trapping to EL3
    - KVM: arm64: Set SCTLR_EL2.DSSBS if SSBD is forcefully disabled and !vhe
    - arm64: fix SSBS sanitization
    - arm64: Add sysfs vulnerability show for spectre-v1
    - arm64: add sysfs vulnerability show for meltdown
    - arm64: enable generic CPU vulnerabilites support
    - arm64: Always enable ssb vulnerability detection
    - arm64: Provide a command line to disable spectre_v2 mitigation
    - arm64: Advertise mitigation of Spectre-v2, or lack thereof
    - arm64: Always enable spectre-v2 vulnerability detection
    - arm64: add sysfs vulnerability show for spectre-v2
    - arm64: add sysfs vulnerability show for speculative store bypass
    - arm64: ssbs: Don't treat CPUs with SSBS as unaffected by SSB
    - arm64: Force SSBS on context switch
    - arm64: Use firmware to detect CPUs that are not affected by Spectre-v2
    - arm64/speculation: Support 'mitigations=' cmdline option
    - MIPS: tlbex: Fix build_restore_pagemask KScratch restore
    - staging: wlan-ng: fix exit return when sme->key_idx >= NUM_WEPKEYS
    - scsi: sd: Ignore a failure to sync cache due to lack of authorization
    - scsi: core: save/restore command resid for error handling
    - scsi: core: try to get module before removing device
    - scsi: ch: Make it possible to open a ch device multiple times again
    - Input: da9063 - fix capability and drop KEY_SLEEP
    - Input: synaptics-rmi4 - avoid processing unknown IRQs
    - ASoC: rsnd: Reinitialize bit clock inversion flag for every format setting
    - cfg80211: wext: avoid copying malformed SSIDs
    - mac80211: Reject malformed SSID elements
    - drm/amdgpu: Bail earlier when amdgpu.cik_/si_support is not set to 1
    - drivers/base/memory.c: don't access uninitialized memmaps in
      soft_offline_page_store()
    - fs/proc/page.c: don't access uninitialized memmaps in fs/proc/page.c
    - scsi: zfcp: fix reaction on bit error threshold notification
    - mm/slub: fix a deadlock in show_slab_objects()
    - mm/page_owner: don't access uninitialized memmaps when reading
      /proc/pagetypeinfo
    - hugetlbfs: don't access uninitialized memmaps in pfn_range_valid_gigantic()
    - xtensa: drop EXPORT_SYMBOL for outs*/ins*
    - parisc: Fix vmap memory leak in ioremap()/iounmap()
    - CIFS: avoid using MID 0xFFFF
    - x86/boot/64: Make level2_kernel_pgt pages invalid outside kernel area
    - pinctrl: armada-37xx: fix control of pins 32 and up
    - pinctrl: armada-37xx: swap polarity on LED group
    - btrfs: block-group: Fix a memory leak due to missing btrfs_put_block_group()
    - memstick: jmb38x_ms: Fix an error handling path in 'jmb38x_ms_probe()'
    - cpufreq: Avoid cpufreq_suspend() deadlock on system shutdown
    - xen/netback: fix error path of xenvif_connect_data()
    - PCI: PM: Fix pci_power_up()
    - KVM: X86: introduce invalidate_gpa argument to tlb flush
    - kvm: vmx: Introduce lapic_mode enumeration
    - kvm: vmx: Basic APIC virtualization controls have three settings
    - RDMA/cxgb4: Do not dma memory off of the stack
    - ARM: OMAP2+: Fix warnings with broken omap2_set_init_voltage()
    - libata/ahci: Fix PCS quirk application
    - ipv4: fix race condition between route lookup and invalidation
    - ALSA: hda/realtek - Enable headset mic on Asus MJ401TA
    - ALSA: hda - Force runtime PM on Nvidia HDMI codecs
    - ACPI: CPPC: Set pcc_data[pcc_ss_id] to NULL in acpi_cppc_processor_exit()
    - EDAC/ghes: Fix Use after free in ghes_edac remove path
    - arm64: Enable workaround for Cavium TX2 erratum 219 when running SMT
    - CIFS: Fix use after free of file info structures
    - perf/aux: Fix AUX output stopping
    - dm cache: fix bugs when a GFP_NOWAIT allocation fails
    - x86/apic/x2apic: Fix a NULL pointer deref when handling a dying cpu
    - Btrfs: add missing extents release on file extent cluster relocation error
  * Colour banding in Lenovo G50-80 laptop display (i915) (LP: #1819968) //
    Bionic update: upstream stable patchset 2019-11-08 (LP: #1851876)
    - drm/edid: Add 6 bpc quirk for SDC panel in Lenovo G50
  * cloudimg: no iavf/i40evf module so no network available with SR-IOV enabled
    cloud (LP: #1848481)
    - [Debian]: include i40evf in generic
  * [SRU][B/OEM-B/OEM-OSP1/D/E] UBUNTU: SAUCE: add rtl623 codec support and fix
    mic issues (LP: #1850599)
    - SAUCE: ALSA: hda/realtek - Add support for ALC623
    - SAUCE: ALSA: hda/realtek - Fix 2 front mics of codec 0x623
  * Add Intel Comet Lake ethernet support (LP: #1848555)
    - e1000e: Add support for Comet Lake
  * Suppress "hid_field_extract() called with n (192) > 32!" message floods
    (LP: #1850600)
    - HID: core: reformat and reduce hid_printk macros
    - HID: core: Add printk_once variants to hid_warn() etc
    - HID: core: fix dmesg flooding if report field larger than 32bit
  * AMD Prairie Falcon platform failed to boot up (LP: #1850572)
    - drm/amdgpu: re-enable CGCG on CZ and disable on ST
  * UIO: mutex used in interrupt handler causes crash (LP: #1843487)
    - Revert "uio: use request_threaded_irq instead"
  * root can lift kernel lockdown (LP: #1851380)
    - SAUCE: (efi-lockdown) Really don't allow lifting lockdown from userspace
  * Suspend stopped working from 4.4.0-157 onwards (LP: #1844021) // Bionic
    update: upstream stable patchset 2019-10-29 (LP: #1850541)
    - xhci: Increase STS_SAVE timeout in xhci_suspend()
  * Bionic update: upstream stable patchset 2019-10-23 (LP: #1849576)
    - s390/process: avoid potential reading of freed stack
    - KVM: s390: Test for bad access register and size at the start of S390_MEM_OP
    - s390/topology: avoid firing events before kobjs are created
    - s390/cio: avoid calling strlen on null pointer
    - s390/cio: exclude subchannels with no parent from pseudo check
    - KVM: PPC: Book3S HV: Don't lose pending doorbell request on migration on P9
    - PM / devfreq: tegra: Fix kHz to Hz conversion
    - ASoC: Define a set of DAPM pre/post-up events
    - powerpc/powernv: Restrict OPAL symbol map to only be readable by root
    - can: mcp251x: mcp251x_hw_reset(): allow more time after a reset
    - tools lib traceevent: Fix "robust" test of do_generate_dynamic_list_file
    - crypto: qat - Silence smp_processor_id() warning
    - crypto: skcipher - Unmap pages after an external error
    - crypto: cavium/zip - Add missing single_release()
    - crypto: caam - fix concurrency issue in givencrypt descriptor
    - usercopy: Avoid HIGHMEM pfn warning
    - timer: Read jiffies once when forwarding base clk
    - watchdog: imx2_wdt: fix min() calculation in imx2_wdt_set_timeout
    - drm/omap: fix max fclk divider for omap36xx
    - mmc: sdhci: improve ADMA error reporting
    - mmc: sdhci-of-esdhc: set DMA snooping based on DMA coherence
    - Revert "locking/pvqspinlock: Don't wait if vCPU is preempted"
    - xen/xenbus: fix self-deadlock after killing user process
    - ieee802154: atusb: fix use-after-free at disconnect
    - cfg80211: initialize on-stack chandefs
    - ima: always return negative code for error
    - fs: nfs: Fix possible null-pointer dereferences in encode_attrs()
    - 9p: avoid attaching writeback_fid on mmap with type PRIVATE
    - xen/pci: reserve MCFG areas earlier
    - ceph: fix directories inode i_blkbits initialization
    - ceph: reconnect connection if session hang in opening state
    - watchdog: aspeed: Add support for AST2600
    - netfilter: nf_tables: allow lookups in dynamic sets
    - drm/amdgpu: Check for valid number of registers to read
    - pNFS: Ensure we do clear the return-on-close layout stateid on fatal errors
    - pwm: stm32-lp: Add check in case requested period cannot be achieved
    - thermal: Fix use-after-free when unregistering thermal zone device
    - fuse: fix memleak in cuse_channel_open
    - sched/core: Fix migration to invalid CPU in __set_cpus_allowed_ptr()
    - perf build: Add detection of java-11-openjdk-devel package
    - kernel/elfcore.c: include proper prototypes
    - perf unwind: Fix libunwind build failure on i386 systems
    - KVM: PPC: Book3S HV: XIVE: Free escalation interrupts before disabling the
      VP
    - nbd: fix crash when the blksize is zero
    - block/ndb: add WQ_UNBOUND to the knbd-recv workqueue
    - nbd: fix max number of supported devs
    - powerpc/pseries: Fix cpu_hotplug_lock acquisition in resize_hpt()
    - tools lib traceevent: Do not free tep->cmdlines in add_new_comm() on failure
    - tick: broadcast-hrtimer: Fix a race in bc_set_next
    - perf tools: Fix segfault in cpu_cache_level__read()
    - perf stat: Fix a segmentation fault when using repeat forever
    - perf stat: Reset previous counts on repeat with interval
    - vfs: Fix EOVERFLOW testing in put_compat_statfs64
    - coresight: etm4x: Use explicit barriers on enable/disable
    - cfg80211: add and use strongly typed element iteration macros
    - cfg80211: Use const more consistently in for_each_element macros
    - nl80211: validate beacon head
    - ASoC: sgtl5000: Improve VAG power and mute control
    - KVM: PPC: Book3S HV: Check for MMU ready on piggybacked virtual cores
    - powerpc/mce: Fix MCE handling for huge pages
    - powerpc/mce: Schedule work from irq_work
    - MIPS: Treat Loongson Extensions as ASEs
    - PCI: Restore Resizable BAR size bits correctly for 1MB BARs
    - drm/msm/dsi: Fix return value check for clk_get_parent
    - ima: fix freeing ongoing ahash_request
    - x86/purgatory: Disable the stackleak GCC plugin for the purgatory
    - thermal_hwmon: Sanitize thermal_zone type
    - libnvdimm/region: Initialize bad block for volatile namespaces
    - drm/radeon: Bail earlier when radeon.cik_/si_support=0 is passed
  * Ubuntu-5.0.0-33.35 introduces KVM regression with old Intel CPUs and Linux
    guests (LP: #1851709)
    - Revert "KVM: x86: Manually calculate reserved bits when loading PDPTRS"
  * Incomplete i915 fix for 64-bit x86 kernels (LP: #1852141) // CVE-2019-0155
    - SAUCE: drm/i915/cmdparser: Fix jump whitelist clearing

 -- Wen-chien Jesse Sung <jesse.sung@canonical.com>  Mon, 18 Nov 2019 21:24:41 +0800

linux-aws-hwe (4.15.0-1054.56~16.04.1) xenial; urgency=medium


  [ Ubuntu: 4.15.0-1054.56 ]

  * CVE-2019-11135
    - [Config] Disable TSX by default when possible
  * KVM NULL pointer deref (LP: #1851205)
    - KVM: nVMX: handle page fault in vmread fix
  * CVE-2018-12207
    - KVM: MMU: drop vcpu param in gpte_access
    - kvm: Convert kvm_lock to a mutex
    - kvm: x86: Do not release the page inside mmu_set_spte()
    - KVM: x86: make FNAME(fetch) and __direct_map more similar
    - KVM: x86: remove now unneeded hugepage gfn adjustment
    - KVM: x86: change kvm_mmu_page_get_gfn BUG_ON to WARN_ON
    - KVM: x86: add tracepoints around __direct_map and FNAME(fetch)
    - kvm: x86, powerpc: do not allow clearing largepages debugfs entry
    - SAUCE: KVM: vmx, svm: always run with EFER.NXE=1 when shadow paging is
      active
    - SAUCE: x86: Add ITLB_MULTIHIT bug infrastructure
    - SAUCE: kvm: mmu: ITLB_MULTIHIT mitigation
    - SAUCE: kvm: Add helper function for creating VM worker threads
    - SAUCE: kvm: x86: mmu: Recovery of shattered NX large pages
    - SAUCE: cpu/speculation: Uninline and export CPU mitigations helpers
    - SAUCE: kvm: x86: mmu: Apply global mitigations knob to ITLB_MULTIHIT
  * CVE-2019-11135
    - KVM: x86: use Intel speculation bugs and features as derived in generic x86
      code
    - x86/msr: Add the IA32_TSX_CTRL MSR
    - x86/cpu: Add a helper function x86_read_arch_cap_msr()
    - x86/cpu: Add a "tsx=" cmdline option with TSX disabled by default
    - x86/speculation/taa: Add mitigation for TSX Async Abort
    - x86/speculation/taa: Add sysfs reporting for TSX Async Abort
    - kvm/x86: Export MDS_NO=0 to guests when TSX is enabled
    - x86/tsx: Add "auto" option to the tsx= cmdline parameter
    - x86/speculation/taa: Add documentation for TSX Async Abort
    - x86/tsx: Add config options to set tsx=on|off|auto
    - SAUCE: x86/speculation/taa: Call tsx_init()
    - SAUCE: x86/cpu: Include cpu header from bugs.c
    - [Config] Disable TSX by default when possible
  * CVE-2019-0154
    - SAUCE: drm/i915: Lower RM timeout to avoid DSI hard hangs
    - SAUCE: drm/i915/gen8+: Add RC6 CTX corruption WA
  * CVE-2019-0155
    - drm/i915/gtt: Add read only pages to gen8_pte_encode
    - drm/i915/gtt: Read-only pages for insert_entries on bdw+
    - drm/i915/gtt: Disable read-only support under GVT
    - drm/i915: Prevent writing into a read-only object via a GGTT mmap
    - drm/i915/cmdparser: Check reg_table_count before derefencing.
    - drm/i915/cmdparser: Do not check past the cmd length.
    - drm/i915: Silence smatch for cmdparser
    - drm/i915: Move engine->needs_cmd_parser to engine->flags
    - SAUCE: drm/i915: Rename gen7 cmdparser tables
    - SAUCE: drm/i915: Disable Secure Batches for gen6+
    - SAUCE: drm/i915: Remove Master tables from cmdparser
    - SAUCE: drm/i915: Add support for mandatory cmdparsing
    - SAUCE: drm/i915: Support ro ppgtt mapped cmdparser shadow buffers
    - SAUCE: drm/i915: Allow parsing of unsized batches
    - SAUCE: drm/i915: Add gen9 BCS cmdparsing
    - SAUCE: drm/i915/cmdparser: Use explicit goto for error paths
    - SAUCE: drm/i915/cmdparser: Add support for backward jumps
    - SAUCE: drm/i915/cmdparser: Ignore Length operands during command matching
  * bionic/linux: 4.15.0-68.77 -proposed tracker (LP: #1849855)
  * [REGRESSION]  md/raid0: cannot assemble multi-zone RAID0 with default_layout
    setting (LP: #1849682)
    - Revert "md/raid0: avoid RAID0 data corruption due to layout confusion."

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Fri, 08 Nov 2019 12:51:38 -0300

linux-aws-hwe (4.15.0-1053.55~16.04.1) xenial; urgency=medium

  * xenial/linux-aws-hwe: 4.15.0-1053.55~16.04.1 -proposed tracker
    (LP: #1849015)

  [ Ubuntu: 4.15.0-1053.55 ]

  * bionic/linux-aws: 4.15.0-1053.55 -proposed tracker (LP: #1849016)
  * bionic/linux: 4.15.0-67.76 -proposed tracker (LP: #1849035)
  * Unexpected CFS throttling  (LP: #1832151)
    - sched/fair: Add lsub_positive() and use it consistently
    - sched/fair: Fix low cpu usage with high throttling by removing expiration of
      cpu-local slices
    - sched/fair: Fix -Wunused-but-set-variable warnings
  * [CML] New device IDs for CML-U (LP: #1843774)
    - i2c: i801: Add support for Intel Comet Lake
    - spi: pxa2xx: Add support for Intel Comet Lake
  * CVE-2019-17666
    - SAUCE: rtlwifi: rtl8822b: Fix potential overflow on P2P code
    - SAUCE: rtlwifi: Fix potential overflow on P2P code
  * md raid0/linear doesn't show error state if an array member is removed and
    allows successful writes (LP: #1847773)
    - md raid0/linear: Mark array as 'broken' and fail BIOs if a member is gone
  * Change Config Option CONFIG_MEMORY_HOTPLUG_DEFAULT_ONLINE for s390x from yes
    to no (LP: #1848492)
    - [Config] Change Config Option CONFIG_MEMORY_HOTPLUG_DEFAULT_ONLINE for s390x
      from yes to no
  * [Packaging] Support building Flattened Image Tree (FIT) kernels
    (LP: #1847969)
    - [Packaging] add rules to build FIT image
    - [Packaging] force creation of headers directory
  * bcache: Performance degradation when querying priority_stats (LP: #1840043)
    - bcache: add cond_resched() in __bch_cache_cmp()
  * Add installer support for iwlmvm adapters (LP: #1848236)
    - d-i: Add iwlmvm to nic-modules
  * Check for CPU Measurement sampling (LP: #1847590)
    - s390/cpumsf: Check for CPU Measurement sampling
  * [CML-U] Comet lake platform need ISH driver support (LP: #1843775)
    - HID: intel-ish-hid: Add Comet Lake PCI device ID
  * intel-lpss driver conflicts with write-combining MTRR region (LP: #1845584)
    - SAUCE: mfd: intel-lpss: add quirk for Dell XPS 13 7390 2-in-1
  * Fix non-working Realtek USB ethernet after system resume (LP: #1847063)
    - r8152: remove extra action copying ethernet address
    - r8152: Refresh MAC address during USBDEVFS_RESET
    - r8152: Set macpassthru in reset_resume callback
  * Ubuntu 18.04  - wrong cpu-mf counter number (LP: #1847109)
    - s390/cpum_cf: correct counter number of LAST_HOST_TRANSLATIONS
  * PM / hibernate: fix potential memory corruption (LP: #1847118)
    - PM / hibernate: memory_bm_find_bit(): Tighten node optimisation
  * Microphone-Mute keyboard LED is always on/off on Dell Latitude 3310
    (LP: #1846453)
    - platform/x86: dell-laptop: Add 2-in-1 devices to the DMI whitelist
    - platform/x86: dell-laptop: Removed duplicates in DMI whitelist
  * xHCI on AMD Stoney Ridge cannot detect USB 2.0 or 1.1 devices.
    (LP: #1846470)
    - x86/PCI: Avoid AMD FCH XHCI USB PME# from D0 defect
  * CVE-2019-15098
    - ath6kl: fix a NULL-ptr-deref bug in ath6kl_usb_alloc_urb_from_pipe()
  * Bionic update: upstream stable patchset 2019-10-15 (LP: #1848274)
    - tpm: use tpm_try_get_ops() in tpm-sysfs.c.
    - tpm: Fix TPM 1.2 Shutdown sequence to prevent future TPM operations
    - drm/bridge: tc358767: Increase AUX transfer length limit
    - drm/panel: simple: fix AUO g185han01 horizontal blanking
    - video: ssd1307fb: Start page range at page_offset
    - drm/stm: attach gem fence to atomic state
    - drm/radeon: Fix EEH during kexec
    - gpu: drm: radeon: Fix a possible null-pointer dereference in
      radeon_connector_set_property()
    - ipmi_si: Only schedule continuously in the thread in maintenance mode
    - clk: qoriq: Fix -Wunused-const-variable
    - clk: sunxi-ng: v3s: add missing clock slices for MMC2 module clocks
    - clk: sirf: Don't reference clk_init_data after registration
    - clk: zx296718: Don't reference clk_init_data after registration
    - powerpc/xmon: Check for HV mode when dumping XIVE info from OPAL
    - powerpc/rtas: use device model APIs and serialization during LPM
    - powerpc/futex: Fix warning: 'oldval' may be used uninitialized in this
      function
    - powerpc/pseries/mobility: use cond_resched when updating device tree
    - pinctrl: tegra: Fix write barrier placement in pmx_writel
    - vfio_pci: Restore original state on release
    - drm/nouveau/volt: Fix for some cards having 0 maximum voltage
    - drm/amdgpu/si: fix ASIC tests
    - powerpc/64s/exception: machine check use correct cfar for late handler
    - powerpc/pseries: correctly track irq state in default idle
    - arm64: fix unreachable code issue with cmpxchg
    - clk: at91: select parent if main oscillator or bypass is enabled
    - scsi: core: Reduce memory required for SCSI logging
    - dma-buf/sw_sync: Synchronize signal vs syncpt free
    - MIPS: tlbex: Explicitly cast _PAGE_NO_EXEC to a boolean
    - i2c-cht-wc: Fix lockdep warning
    - PCI: tegra: Fix OF node reference leak
    - livepatch: Nullify obj->mod in klp_module_coming()'s error path
    - ARM: 8898/1: mm: Don't treat faults reported from cache maintenance as
      writes
    - rtc: snvs: fix possible race condition
    - HID: apple: Fix stuck function keys when using FN
    - PCI: rockchip: Propagate errors for optional regulators
    - PCI: imx6: Propagate errors for optional regulators
    - PCI: exynos: Propagate errors for optional PHYs
    - security: smack: Fix possible null-pointer dereferences in
      smack_socket_sock_rcv_skb()
    - ARM: 8903/1: ensure that usable memory in bank 0 starts from a PMD-aligned
      address
    - fat: work around race with userspace's read via blockdev while mounting
    - pktcdvd: remove warning on attempting to register non-passthrough dev
    - hypfs: Fix error number left in struct pointer member
    - kbuild: clean compressed initramfs image
    - ocfs2: wait for recovering done after direct unlock request
    - kmemleak: increase DEBUG_KMEMLEAK_EARLY_LOG_SIZE default to 16K
    - bpf: fix use after free in prog symbol exposure
    - cxgb4:Fix out-of-bounds MSI-X info array access
    - erspan: remove the incorrect mtu limit for erspan
    - hso: fix NULL-deref on tty open
    - ipv6: drop incoming packets having a v4mapped source address
    - net: ipv4: avoid mixed n_redirects and rate_tokens usage
    - net: qlogic: Fix memory leak in ql_alloc_large_buffers
    - net: Unpublish sk from sk_reuseport_cb before call_rcu
    - nfc: fix memory leak in llcp_sock_bind()
    - qmi_wwan: add support for Cinterion CLS8 devices
    - sch_dsmark: fix potential NULL deref in dsmark_init()
    - vsock: Fix a lockdep warning in __vsock_release()
    - net/rds: Fix error handling in rds_ib_add_one()
    - xen-netfront: do not use ~0U as error return value for xennet_fill_frags()
    - tipc: fix unlimited bundling of small messages
    - sch_cbq: validate TCA_CBQ_WRROPT to avoid crash
    - ipv6: Handle missing host route in __ipv6_ifa_notify
    - Smack: Don't ignore other bprm->unsafe flags if LSM_UNSAFE_PTRACE is set
    - smack: use GFP_NOFS while holding inode_smack::smk_lock
    - NFC: fix attrs checks in netlink interface
    - kexec: bail out upon SIGKILL when allocating memory.
    - drm/panel: check failure cases in the probe func
    - drm/amd/display: reprogram VM config when system resume
    - pinctrl: amd: disable spurious-firing GPIO IRQs
    - pstore: fs superblock limits
    - pinctrl: meson-gxbb: Fix wrong pinning definition for uart_c
    - mbox: qcom: add APCS child device for QCS404
    - ARM: 8875/1: Kconfig: default to AEABI w/ Clang
    - arm64: consider stack randomization for mmap base only when necessary
    - mips: properly account for stack randomization and stack guard gap
    - arm: properly account for stack randomization and stack guard gap
    - arm: use STACK_TOP when computing mmap base address
  * Bionic update: upstream stable patchset 2019-10-07 (LP: #1847155)
    - Revert "Bluetooth: validate BLE connection interval updates"
    - powerpc/xive: Fix bogus error code returned by OPAL
    - IB/core: Add an unbound WQ type to the new CQ API
    - HID: prodikeys: Fix general protection fault during probe
    - HID: sony: Fix memory corruption issue on cleanup.
    - HID: logitech: Fix general protection fault caused by Logitech driver
    - HID: hidraw: Fix invalid read in hidraw_ioctl
    - mtd: cfi_cmdset_0002: Use chip_good() to retry in do_write_oneword()
    - crypto: talitos - fix missing break in switch statement
    - iwlwifi: mvm: send BCAST management frames to the right station
    - media: tvp5150: fix switch exit in set control handler
    - ASoC: fsl: Fix of-node refcount unbalance in fsl_ssi_probe_from_dt()
    - arm64: kpti: Whitelist Cortex-A CPUs that don't implement the CSV3 field
    - ALSA: hda - Add laptop imic fixup for ASUS M9V laptop
    - ALSA: hda - Apply AMD controller workaround for Raven platform
    - objtool: Clobber user CFLAGS variable
    - pinctrl: sprd: Use define directive for sprd_pinconf_params values
    - power: supply: sysfs: ratelimit property read error message
    - irqchip/gic-v3-its: Fix LPI release for Multi-MSI devices
    - f2fs: check all the data segments against all node ones
    - PCI: hv: Avoid use of hv_pci_dev->pci_slot after freeing it
    - blk-mq: move cancel of requeue_work to the front of blk_exit_queue
    - Revert "f2fs: avoid out-of-range memory access"
    - dm zoned: fix invalid memory access
    - f2fs: fix to do sanity check on segment bitmap of LFS curseg
    - drm: Flush output polling on shutdown
    - net: don't warn in inet diag when IPV6 is disabled
    - ACPI: video: Add new hw_changes_brightness quirk, set it on PB Easynote MZ35
    - xfs: don't crash on null attr fork xfs_bmapi_read
    - Bluetooth: btrtl: Additional Realtek 8822CE Bluetooth devices
    - f2fs: use generic EFSBADCRC/EFSCORRUPTED
    - arcnet: provide a buffer big enough to actually receive packets
    - cdc_ncm: fix divide-by-zero caused by invalid wMaxPacketSize
    - macsec: drop skb sk before calling gro_cells_receive
    - net/phy: fix DP83865 10 Mbps HDX loopback disable function
    - net: qrtr: Stop rx_worker before freeing node
    - net/sched: act_sample: don't push mac header on ip6gre ingress
    - net_sched: add max len check for TCA_KIND
    - openvswitch: change type of UPCALL_PID attribute to NLA_UNSPEC
    - ppp: Fix memory leak in ppp_write
    - sch_netem: fix a divide by zero in tabledist()
    - skge: fix checksum byte order
    - usbnet: ignore endpoints with invalid wMaxPacketSize
    - usbnet: sanity checking of packet sizes and device mtu
    - net/mlx5: Add device ID of upcoming BlueField-2
    - mISDN: enforce CAP_NET_RAW for raw sockets
    - appletalk: enforce CAP_NET_RAW for raw sockets
    - ax25: enforce CAP_NET_RAW for raw sockets
    - ieee802154: enforce CAP_NET_RAW for raw sockets
    - nfc: enforce CAP_NET_RAW for raw sockets
    - ALSA: hda: Flush interrupts on disabling
    - regulator: lm363x: Fix off-by-one n_voltages for lm3632 ldo_vpos/ldo_vneg
    - ASoC: sgtl5000: Fix charge pump source assignment
    - dmaengine: bcm2835: Print error in case setting DMA mask fails
    - leds: leds-lp5562 allow firmware files up to the maximum length
    - media: dib0700: fix link error for dibx000_i2c_set_speed
    - media: mtk-cir: lower de-glitch counter for rc-mm protocol
    - media: exynos4-is: fix leaked of_node references
    - media: hdpvr: Add device num check and handling
    - media: i2c: ov5640: Check for devm_gpiod_get_optional() error
    - sched/fair: Fix imbalance due to CPU affinity
    - sched/core: Fix CPU controller for !RT_GROUP_SCHED
    - x86/reboot: Always use NMI fallback when shutdown via reboot vector IPI
      fails
    - x86/apic: Soft disable APIC before initializing it
    - ALSA: hda - Show the fatal CORB/RIRB error more clearly
    - ALSA: i2c: ak4xxx-adda: Fix a possible null pointer dereference in
      build_adc_controls()
    - EDAC/mc: Fix grain_bits calculation
    - media: iguanair: add sanity checks
    - base: soc: Export soc_device_register/unregister APIs
    - ALSA: usb-audio: Skip bSynchAddress endpoint check if it is invalid
    - ia64:unwind: fix double free for mod->arch.init_unw_table
    - EDAC/altera: Use the proper type for the IRQ status bits
    - ASoC: rsnd: don't call clk_get_rate() under atomic context
    - md/raid1: end bio when the device faulty
    - md: don't call spare_active in md_reap_sync_thread if all member devices
      can't work
    - md: don't set In_sync if array is frozen
    - ACPI / processor: don't print errors for processorIDs == 0xff
    - EDAC, pnd2: Fix ioremap() size in dnv_rd_reg()
    - efi: cper: print AER info of PCIe fatal error
    - sched/fair: Use rq_lock/unlock in online_fair_sched_group
    - media: gspca: zero usb_buf on error
    - perf test vfs_getname: Disable ~/.perfconfig to get default output
    - media: mtk-mdp: fix reference count on old device tree
    - media: fdp1: Reduce FCP not found message level to debug
    - media: rc: imon: Allow iMON RC protocol for ffdc 7e device
    - dmaengine: iop-adma: use correct printk format strings
    - perf record: Support aarch64 random socket_id assignment
    - media: i2c: ov5645: Fix power sequence
    - media: omap3isp: Don't set streaming state on random subdevs
    - media: imx: mipi csi-2: Don't fail if initial state times-out
    - net: lpc-enet: fix printk format strings
    - ARM: dts: imx7d: cl-som-imx7: make ethernet work again
    - media: radio/si470x: kill urb on error
    - media: hdpvr: add terminating 0 at end of string
    - nbd: add missing config put
    - media: dvb-core: fix a memory leak bug
    - libperf: Fix alignment trap with xyarray contents in 'perf stat'
    - EDAC/amd64: Recognize DRAM device type ECC capability
    - EDAC/amd64: Decode syndrome before translating address
    - PM / devfreq: passive: Use non-devm notifiers
    - PM / devfreq: exynos-bus: Correct clock enable sequence
    - media: cec-notifier: clear cec_adap in cec_notifier_unregister
    - media: saa7146: add cleanup in hexium_attach()
    - media: cpia2_usb: fix memory leaks
    - media: saa7134: fix terminology around saa7134_i2c_eeprom_md7134_gate()
    - perf trace beauty ioctl: Fix off-by-one error in cmd->string table
    - media: ov9650: add a sanity check
    - ASoC: es8316: fix headphone mixer volume table
    - ACPI / CPPC: do not require the _PSD method
    - arm64: kpti: ensure patched kernel text is fetched from PoU
    - nvmet: fix data units read and written counters in SMART log
    - iommu/amd: Silence warnings under memory pressure
    - iommu/iova: Avoid false sharing on fq_timer_on
    - libtraceevent: Change users plugin directory
    - ARM: dts: exynos: Mark LDO10 as always-on on Peach Pit/Pi Chromebooks
    - ACPI: custom_method: fix memory leaks
    - ACPI / PCI: fix acpi_pci_irq_enable() memory leak
    - hwmon: (acpi_power_meter) Change log level for 'unsafe software power cap'
    - md/raid1: fail run raid1 array when active disk less than one
    - dmaengine: ti: edma: Do not reset reserved paRAM slots
    - kprobes: Prohibit probing on BUG() and WARN() address
    - s390/crypto: xts-aes-s390 fix extra run-time crypto self tests finding
    - ASoC: dmaengine: Make the pcm->name equal to pcm->id if the name is not set
    - raid5: don't set STRIPE_HANDLE to stripe which is in batch list
    - mmc: core: Clarify sdio_irq_pending flag for MMC_CAP2_SDIO_IRQ_NOTHREAD
    - mmc: sdhci: Fix incorrect switch to HS mode
    - raid5: don't increment read_errors on EILSEQ return
    - libertas: Add missing sentinel at end of if_usb.c fw_table
    - ALSA: hda - Drop unsol event handler for Intel HDMI codecs
    - drm/amd/powerplay/smu7: enforce minimal VBITimeout (v2)
    - media: ttusb-dec: Fix info-leak in ttusb_dec_send_command()
    - ALSA: hda/realtek - Blacklist PC beep for Lenovo ThinkCentre M73/93
    - btrfs: extent-tree: Make sure we only allocate extents from block groups
      with the same type
    - media: omap3isp: Set device on omap3isp subdevs
    - PM / devfreq: passive: fix compiler warning
    - ALSA: firewire-tascam: handle error code when getting current source of
      clock
    - ALSA: firewire-tascam: check intermediate state of clock status and retry
    - scsi: scsi_dh_rdac: zero cdb in send_mode_select()
    - printk: Do not lose last line in kmsg buffer dump
    - IB/hfi1: Define variables as unsigned long to fix KASAN warning
    - randstruct: Check member structs in is_pure_ops_struct()
    - ALSA: hda/realtek - Fixup mute led on HP Spectre x360
    - fuse: fix missing unlock_page in fuse_writepage()
    - parisc: Disable HP HSC-PCI Cards to prevent kernel crash
    - x86/retpolines: Fix up backport of a9d57ef15cbe
    - KVM: x86: always stop emulation on page fault
    - KVM: x86: set ctxt->have_exception in x86_decode_insn()
    - KVM: x86: Manually calculate reserved bits when loading PDPTRS
    - media: sn9c20x: Add MSI MS-1039 laptop to flip_dmi_table
    - binfmt_elf: Do not move brk for INTERP-less ET_EXEC
    - ASoC: Intel: NHLT: Fix debug print format
    - ASoC: Intel: Skylake: Use correct function to access iomem space
    - ASoC: Intel: Fix use of potentially uninitialized variable
    - ARM: samsung: Fix system restart on S3C6410
    - ARM: zynq: Use memcpy_toio instead of memcpy on smp bring-up
    - arm64: dts: rockchip: limit clock rate of MMC controllers for RK3328
    - alarmtimer: Use EOPNOTSUPP instead of ENOTSUPP
    - regulator: Defer init completion for a while after late_initcall
    - gfs2: clear buf_in_tr when ending a transaction in sweep_bh_for_rgrps
    - memcg, oom: don't require __GFP_FS when invoking memcg OOM killer
    - memcg, kmem: do not fail __GFP_NOFAIL charges
    - ovl: filter of trusted xattr results in audit
    - Btrfs: fix use-after-free when using the tree modification log
    - btrfs: Relinquish CPUs in btrfs_compare_trees
    - btrfs: qgroup: Fix the wrong target io_tree when freeing reserved data space
    - md/raid6: Set R5_ReadError when there is read failure on parity disk
    - md: don't report active array_state until after revalidate_disk() completes.
    - md: only call set_in_sync() when it is expected to succeed.
    - cfg80211: Purge frame registrations on iftype change
    - /dev/mem: Bail out upon SIGKILL.
    - ext4: fix warning inside ext4_convert_unwritten_extents_endio
    - ext4: fix punch hole for inline_data file systems
    - quota: fix wrong condition in is_quota_modification()
    - hwrng: core - don't wait on add_early_randomness()
    - i2c: riic: Clear NACK in tend isr
    - CIFS: fix max ea value size
    - CIFS: Fix oplock handling for SMB 2.1+ protocols
    - md/raid0: avoid RAID0 data corruption due to layout confusion.
    - mm/compaction.c: clear total_{migrate,free}_scanned before scanning a new
      zone
    - btrfs: qgroup: Drop quota_root and fs_info parameters from
      update_qgroup_status_item
    - Btrfs: fix race setting up and completing qgroup rescan workers
    - net/ibmvnic: free reset work of removed device from queue
    - HID: Add quirk for HP X500 PIXART OEM mouse
    - net/mlx5e: Set ECN for received packets using CQE indication
    - net/mlx5e: don't set CHECKSUM_COMPLETE on SCTP packets
    - mlx5: fix get_ip_proto()
    - net/mlx5e: Allow reporting of checksum unnecessary
    - net/mlx5e: XDP, Avoid checksum complete when XDP prog is loaded
    - net/mlx5e: Rx, Check ip headers sanity
    - bcache: remove redundant LIST_HEAD(journal) from run_cache_set()
    - initramfs: don't free a non-existent initrd
    - blk-mq: change gfp flags to GFP_NOIO in blk_mq_realloc_hw_ctxs
    - net/ibmvnic: Fix missing { in __ibmvnic_reset
    - net_sched: check cops->tcf_block in tc_bind_tclass()
    - loop: Add LOOP_SET_BLOCK_SIZE in compat ioctl
    - loop: Add LOOP_SET_DIRECT_IO to compat ioctl
    - perf config: Honour $PERF_CONFIG env var to specify alternate .perfconfig
    - ASoC: sun4i-i2s: Don't use the oversample to calculate BCLK
    - posix-cpu-timers: Sanitize bogus WARNONS
    - x86/apic/vector: Warn when vector space exhaustion breaks affinity
    - x86/mm/pti: Do not invoke PTI functions when PTI is disabled
    - x86/mm/pti: Handle unaligned address gracefully in pti_clone_pagetable()
    - libata/ahci: Drop PCS quirk for Denverton and beyond
    - x86/cpu: Add Tiger Lake to Intel family
    - platform/x86: intel_pmc_core: Do not ioremap RAM
    - mmc: core: Add helper function to indicate if SDIO IRQs is enabled
    - mmc: dw_mmc: Re-store SDIO IRQs mask at system resume
    - iwlwifi: fw: don't send GEO_TX_POWER_LIMIT command to FW version 36
    - Revert "ceph: use ceph_evict_inode to cleanup inode's resource"
    - ceph: use ceph_evict_inode to cleanup inode's resource
    - ALSA: hda/realtek - PCI quirk for Medion E4254
    - smb3: allow disabling requesting leases
    - btrfs: fix allocation of free space cache v1 bitmap pages
    - drm/amd/display: Restore backlight brightness after system resume

 -- Sultan Alsawaf <sultan.alsawaf@canonical.com>  Tue, 22 Oct 2019 16:51:12 -0700

linux-aws-hwe (4.15.0-1052.54~16.04.1) xenial; urgency=medium

  * xenial/linux-aws-hwe: 4.15.0-1052.54~16.04.1 -proposed tracker
    (LP: #1846109)

  [ Ubuntu: 4.15.0-1052.54 ]

  * bionic/linux-aws: 4.15.0-1052.54 -proposed tracker (LP: #1846110)
  * bionic/linux: 4.15.0-66.75 -proposed tracker (LP: #1846131)
  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts
  * CVE-2018-21008
    - rsi: add fix for crash during assertions
  * ipv6: fix neighbour resolution with raw socket (LP: #1834465)
    - ipv6: constify rt6_nexthop()
    - ipv6: fix neighbour resolution with raw socket
  * run_netsocktests from net in ubuntu_kernel_selftests failed with X-4.15
    (LP: #1842023)
    - SAUCE: selftests: net: replace AF_MAX with INT_MAX in socket.c
  * No sound inputs from the external microphone and headset on a Dell machine
    (LP: #1842265)
    - ALSA: hda - Expand pin_match function to match upcoming new tbls
    - ALSA: hda - Define a fallback_pin_fixup_tbl for alc269 family
  * Add -fcf-protection=none when using retpoline flags (LP: #1843291)
    - SAUCE: kbuild: add -fcf-protection=none when using retpoline flags
  * Enhanced Hardware Support - Finalize Naming (LP: #1842774)
    - s390: add support for IBM z15 machines
  * Bionic update: upstream stable patchset 2019-09-24 (LP: #1845266)
    - bridge/mdb: remove wrong use of NLM_F_MULTI
    - cdc_ether: fix rndis support for Mediatek based smartphones
    - ipv6: Fix the link time qualifier of 'ping_v6_proc_exit_net()'
    - isdn/capi: check message length in capi_write()
    - net: Fix null de-reference of device refcount
    - net: gso: Fix skb_segment splat when splitting gso_size mangled skb having
      linear-headed frag_list
    - net: phylink: Fix flow control resolution
    - sch_hhf: ensure quantum and hhf_non_hh_weight are non-zero
    - sctp: Fix the link time qualifier of 'sctp_ctrlsock_exit()'
    - sctp: use transport pf_retrans in sctp_do_8_2_transport_strike
    - tcp: fix tcp_ecn_withdraw_cwr() to clear TCP_ECN_QUEUE_CWR
    - tipc: add NULL pointer check before calling kfree_rcu
    - tun: fix use-after-free when register netdev failed
    - btrfs: compression: add helper for type to string conversion
    - btrfs: correctly validate compression type
    - Revert "MIPS: SiByte: Enable swiotlb for SWARM, LittleSur and BigSur"
    - gpiolib: acpi: Add gpiolib_acpi_run_edge_events_on_boot option and blacklist
    - gpio: fix line flag validation in linehandle_create
    - gpio: fix line flag validation in lineevent_create
    - Btrfs: fix assertion failure during fsync and use of stale transaction
    - genirq: Prevent NULL pointer dereference in resend_irqs()
    - KVM: s390: Do not leak kernel stack data in the KVM_S390_INTERRUPT ioctl
    - KVM: x86: work around leak of uninitialized stack contents
    - KVM: nVMX: handle page fault in vmread
    - MIPS: VDSO: Prevent use of smp_processor_id()
    - MIPS: VDSO: Use same -m%-float cflag as the kernel proper
    - powerpc: Add barrier_nospec to raw_copy_in_user()
    - drm/meson: Add support for XBGR8888 & ABGR8888 formats
    - clk: rockchip: Don't yell about bad mmc phases when getting
    - mtd: rawnand: mtk: Fix wrongly assigned OOB buffer pointer issue
    - PCI: Always allow probing with driver_override
    - ubifs: Correctly use tnc_next() in search_dh_cookie()
    - driver core: Fix use-after-free and double free on glue directory
    - crypto: talitos - check AES key size
    - crypto: talitos - fix CTR alg blocksize
    - crypto: talitos - check data blocksize in ablkcipher.
    - crypto: talitos - fix ECB algs ivsize
    - crypto: talitos - Do not modify req->cryptlen on decryption.
    - crypto: talitos - HMAC SNOOP NO AFEU mode requires SW icv checking.
    - firmware: ti_sci: Always request response from firmware
    - drm/mediatek: mtk_drm_drv.c: Add of_node_put() before goto
    - Revert "Bluetooth: btusb: driver to enable the usb-wakeup feature"
    - platform/x86: pmc_atom: Add CB4063 Beckhoff Automation board to
      critclk_systems DMI table
    - nvmem: Use the same permissions for eeprom as for nvmem
    - x86/build: Add -Wnoaddress-of-packed-member to REALMODE_CFLAGS, to silence
      GCC9 build warning
    - ixgbe: Prevent u8 wrapping of ITR value to something less than 10us
    - x86/purgatory: Change compiler flags from -mcmodel=kernel to -mcmodel=large
      to fix kexec relocation errors
    - modules: fix BUG when load module with rodata=n
    - modules: fix compile error if don't have strict module rwx
    - HID: wacom: generic: read HID_DG_CONTACTMAX from any feature report
    - Input: elan_i2c - remove Lenovo Legion Y7000 PnpID
    - powerpc/mm/radix: Use the right page size for vmemmap mapping
    - USB: usbcore: Fix slab-out-of-bounds bug during device reset
    - phy: renesas: rcar-gen3-usb2: Disable clearing VBUS in over-current
    - media: tm6000: double free if usb disconnect while streaming
    - xen-netfront: do not assume sk_buff_head list is empty in error handling
    - net_sched: let qdisc_put() accept NULL pointer
    - KVM: coalesced_mmio: add bounds checking
    - firmware: google: check if size is valid when decoding VPD data
    - serial: sprd: correct the wrong sequence of arguments
    - tty/serial: atmel: reschedule TX after RX was started
    - mwifiex: Fix three heap overflow at parsing element in cfg80211_ap_settings
    - nl80211: Fix possible Spectre-v1 for CQM RSSI thresholds
    - ARM: OMAP2+: Fix missing SYSC_HAS_RESET_STATUS for dra7 epwmss
    - s390/bpf: fix lcgr instruction encoding
    - ARM: OMAP2+: Fix omap4 errata warning on other SoCs
    - ARM: dts: dra74x: Fix iodelay configuration for mmc3
    - s390/bpf: use 32-bit index for tail calls
    - fpga: altera-ps-spi: Fix getting of optional confd gpio
    - netfilter: xt_nfacct: Fix alignment mismatch in xt_nfacct_match_info
    - NFSv4: Fix return values for nfs4_file_open()
    - NFSv4: Fix return value in nfs_finish_open()
    - NFS: Fix initialisation of I/O result struct in nfs_pgio_rpcsetup
    - Kconfig: Fix the reference to the IDT77105 Phy driver in the description of
      ATM_NICSTAR_USE_IDT77105
    - qed: Add cleanup in qed_slowpath_start()
    - ARM: 8874/1: mm: only adjust sections of valid mm structures
    - batman-adv: Only read OGM2 tvlv_len after buffer len check
    - r8152: Set memory to all 0xFFs on failed reg reads
    - x86/apic: Fix arch_dynirq_lower_bound() bug for DT enabled machines
    - netfilter: nf_conntrack_ftp: Fix debug output
    - NFSv2: Fix eof handling
    - NFSv2: Fix write regression
    - kallsyms: Don't let kallsyms_lookup_size_offset() fail on retrieving the
      first symbol
    - cifs: set domainName when a domain-key is used in multiuser
    - cifs: Use kzfree() to zero out the password
    - ARM: 8901/1: add a criteria for pfn_valid of arm
    - sky2: Disable MSI on yet another ASUS boards (P6Xxxx)
    - i2c: designware: Synchronize IRQs when unregistering slave client
    - perf/x86/intel: Restrict period on Nehalem
    - perf/x86/amd/ibs: Fix sample bias for dispatched micro-ops
    - amd-xgbe: Fix error path in xgbe_mod_init()
    - tools/power x86_energy_perf_policy: Fix "uninitialized variable" warnings at
      -O2
    - tools/power x86_energy_perf_policy: Fix argument parsing
    - tools/power turbostat: fix buffer overrun
    - net: seeq: Fix the function used to release some memory in an error handling
      path
    - dmaengine: ti: dma-crossbar: Fix a memory leak bug
    - dmaengine: ti: omap-dma: Add cleanup in omap_dma_probe()
    - x86/uaccess: Don't leak the AC flags into __get_user() argument evaluation
    - x86/hyper-v: Fix overflow bug in fill_gva_list()
    - keys: Fix missing null pointer check in request_key_auth_describe()
    - iommu/amd: Flush old domains in kdump kernel
    - iommu/amd: Fix race in increase_address_space()
    - PCI: kirin: Fix section mismatch warning
    - floppy: fix usercopy direction
    - binfmt_elf: move brk out of mmap when doing direct loader exec
    - tcp: Reset send_head when removing skb from write-queue
    - tcp: Don't dequeue SYN/FIN-segments from write-queue
    - media: technisat-usb2: break out of loop at end of buffer
    - tools: bpftool: close prog FD before exit on showing a single program
    - netfilter: xt_physdev: Fix spurious error message in physdev_mt_check
    - ibmvnic: Do not process reset during or after device removal
    - net: aquantia: fix out of memory condition on rx side
  * Bionic update: upstream stable patchset 2019-09-18 (LP: #1844558)
    - ALSA: hda - Fix potential endless loop at applying quirks
    - ALSA: hda/realtek - Fix overridden device-specific initialization
    - ALSA: hda/realtek - Fix the problem of two front mics on a ThinkCentre
    - sched/fair: Don't assign runtime for throttled cfs_rq
    - drm/vmwgfx: Fix double free in vmw_recv_msg()
    - xfrm: clean up xfrm protocol checks
    - PCI: designware-ep: Fix find_first_zero_bit() usage
    - PCI: dra7xx: Fix legacy INTD IRQ handling
    - vhost/test: fix build for vhost test
    - batman-adv: fix uninit-value in batadv_netlink_get_ifindex()
    - batman-adv: Only read OGM tvlv_len after buffer len check
    - hv_sock: Fix hang when a connection is closed
    - powerpc/64: mark start_here_multiplatform as __ref
    - arm64: dts: rockchip: enable usb-host regulators at boot on rk3328-rock64
    - scripts/decode_stacktrace: match basepath using shell prefix operator, not
      regex
    - clk: s2mps11: Add used attribute to s2mps11_dt_match
    - kernel/module: Fix mem leak in module_add_modinfo_attrs
    - ALSA: hda/realtek - Enable internal speaker & headset mic of ASUS UX431FL
    - {nl,mac}80211: fix interface combinations on crypto controlled devices
    - x86/ftrace: Fix warning and considate ftrace_jmp_replace() and
      ftrace_call_replace()
    - media: stm32-dcmi: fix irq = 0 case
    - modules: always page-align module section allocations
    - scsi: qla2xxx: Move log messages before issuing command to firmware
    - keys: Fix the use of the C++ keyword "private" in uapi/linux/keyctl.h
    - Drivers: hv: kvp: Fix two "this statement may fall through" warnings
    - remoteproc: qcom: q6v5-mss: add SCM probe dependency
    - KVM: x86: hyperv: enforce vp_index < KVM_MAX_VCPUS
    - KVM: x86: hyperv: consistently use 'hv_vcpu' for 'struct kvm_vcpu_hv'
      variables
    - drm/i915: Fix intel_dp_mst_best_encoder()
    - drm/i915: Rename PLANE_CTL_DECOMPRESSION_ENABLE
    - drm/i915/gen9+: Fix initial readout for Y tiled framebuffers
    - drm/atomic_helper: Disallow new modesets on unregistered connectors
    - Drivers: hv: kvp: Fix the indentation of some "break" statements
    - Drivers: hv: kvp: Fix the recent regression caused by incorrect clean-up
    - drm/amd/dm: Understand why attaching path/tile properties are needed
    - ARM: davinci: da8xx: define gpio interrupts as separate resources
    - ARM: davinci: dm365: define gpio interrupts as separate resources
    - ARM: davinci: dm646x: define gpio interrupts as separate resources
    - ARM: davinci: dm355: define gpio interrupts as separate resources
    - ARM: davinci: dm644x: define gpio interrupts as separate resources
    - media: vim2m: use workqueue
    - media: vim2m: use cancel_delayed_work_sync instead of flush_schedule_work
    - drm/i915: Restore sane defaults for KMS on GEM error load
    - KVM: PPC: Book3S HV: Fix race between kvm_unmap_hva_range and MMU mode
      switch
    - Btrfs: clean up scrub is_dev_replace parameter
    - Btrfs: fix deadlock with memory reclaim during scrub
    - btrfs: Remove extent_io_ops::fill_delalloc
    - btrfs: Fix error handling in btrfs_cleanup_ordered_extents
    - scsi: megaraid_sas: Fix combined reply queue mode detection
    - scsi: megaraid_sas: Add check for reset adapter bit
    - media: vim2m: only cancel work if it is for right context
    - ARC: show_regs: lockdep: re-enable preemption
    - ARC: mm: do_page_fault fixes #1: relinquish mmap_sem if signal arrives while
      handle_mm_fault
    - IB/uverbs: Fix OOPs upon device disassociation
    - drm/vblank: Allow dynamic per-crtc max_vblank_count
    - drm/i915/ilk: Fix warning when reading emon_status with no output
    - mfd: Kconfig: Fix I2C_DESIGNWARE_PLATFORM dependencies
    - tpm: Fix some name collisions with drivers/char/tpm.h
    - bcache: replace hard coded number with BUCKET_GC_GEN_MAX
    - bcache: treat stale && dirty keys as bad keys
    - KVM: VMX: Compare only a single byte for VMCS' "launched" in vCPU-run
    - iio: adc: exynos-adc: Add S5PV210 variant
    - iio: adc: exynos-adc: Use proper number of channels for Exynos4x12
    - drm/nouveau: Don't WARN_ON VCPI allocation failures
    - x86/kvmclock: set offset for kvm unstable clock
    - powerpc/kvm: Save and restore host AMR/IAMR/UAMOR
    - mmc: renesas_sdhi: Fix card initialization failure in high speed mode
    - btrfs: scrub: pass fs_info to scrub_setup_ctx
    - btrfs: init csum_list before possible free
    - PCI: qcom: Don't deassert reset GPIO during probe
    - drm: add __user attribute to ptr_to_compat()
    - CIFS: Fix error paths in writeback code
    - CIFS: Fix leaking locked VFS cache pages in writeback retry
    - drm/i915: Handle vm_mmap error during I915_GEM_MMAP ioctl with WC set
    - drm/i915: Sanity check mmap length against object size
    - IB/mlx5: Reset access mask when looping inside page fault handler
    - kvm: mmu: Fix overflow on kvm mmu page limit calculation
    - x86/kvm: move kvm_load/put_guest_xcr0 into atomic context
    - KVM: x86: Always use 32-bit SMRAM save state for 32-bit kernels
    - cifs: Fix lease buffer length error
    - ext4: protect journal inode's blocks using block_validity
    - dm mpath: fix missing call of path selector type->end_io
    - blk-mq: free hw queue's resource in hctx's release handler
    - mmc: sdhci-pci: Add support for Intel ICP
    - mmc: sdhci-pci: Add support for Intel CML
    - dm crypt: move detailed message into debug level
    - kvm: Check irqchip mode before assign irqfd
    - drm/amdgpu: fix ring test failure issue during s3 in vce 3.0 (V2)
    - drm/amdgpu/{uvd,vcn}: fetch ring's read_ptr after alloc
    - Btrfs: fix race between block group removal and block group allocation
    - cifs: add spinlock for the openFileList to cifsInodeInfo
    - IB/hfi1: Avoid hardlockup with flushlist_lock
    - apparmor: reset pos on failure to unpack for various functions
    - staging: wilc1000: fix error path cleanup in wilc_wlan_initialize()
    - scsi: zfcp: fix request object use-after-free in send path causing wrong
      traces
    - cifs: Properly handle auto disabling of serverino option
    - ceph: use ceph_evict_inode to cleanup inode's resource
    - KVM: x86: optimize check for valid PAT value
    - KVM: VMX: Always signal #GP on WRMSR to MSR_IA32_CR_PAT with bad value
    - KVM: VMX: Fix handling of #MC that occurs during VM-Entry
    - KVM: VMX: check CPUID before allowing read/write of IA32_XSS
    - resource: Include resource end in walk_*() interfaces
    - resource: Fix find_next_iomem_res() iteration issue
    - resource: fix locking in find_next_iomem_res()
    - pstore: Fix double-free in pstore_mkfile() failure path
    - dm thin metadata: check if in fail_io mode when setting needs_check
    - drm/panel: Add support for Armadeus ST0700 Adapt
    - ALSA: hda - Fix intermittent CORB/RIRB stall on Intel chips
    - iommu/iova: Remove stale cached32_node
    - gpio: don't WARN() on NULL descs if gpiolib is disabled
    - i2c: at91: disable TXRDY interrupt after sending data
    - i2c: at91: fix clk_offset for sama5d2
    - mm/migrate.c: initialize pud_entry in migrate_vma()
    - iio: adc: gyroadc: fix uninitialized return code
    - NFSv4: Fix delegation state recovery
    - bcache: only clear BTREE_NODE_dirty bit when it is set
    - bcache: add comments for mutex_lock(&b->write_lock)
    - virtio/s390: fix race on airq_areas[]
    - ext4: don't perform block validity checks on the journal inode
    - ext4: fix block validity checks for journal inodes using indirect blocks
    - ext4: unsigned int compared against zero
    - powerpc/tm: Remove msr_tm_active()
  * Bionic update: upstream stable patchset 2019-09-10 (LP: #1843463)
    - net: tundra: tsi108: use spin_lock_irqsave instead of spin_lock_irq in IRQ
      context
    - hv_netvsc: Fix a warning of suspicious RCU usage
    - net: tc35815: Explicitly check NET_IP_ALIGN is not zero in tc35815_rx
    - Bluetooth: btqca: Add a short delay before downloading the NVM
    - ibmveth: Convert multicast list size for little-endian system
    - gpio: Fix build error of function redefinition
    - drm/mediatek: use correct device to import PRIME buffers
    - drm/mediatek: set DMA max segment size
    - cxgb4: fix a memory leak bug
    - liquidio: add cleanup in octeon_setup_iq()
    - net: myri10ge: fix memory leaks
    - lan78xx: Fix memory leaks
    - vfs: fix page locking deadlocks when deduping files
    - cx82310_eth: fix a memory leak bug
    - net: kalmia: fix memory leaks
    - wimax/i2400m: fix a memory leak bug
    - ravb: Fix use-after-free ravb_tstamp_skb
    - kprobes: Fix potential deadlock in kprobe_optimizer()
    - HID: cp2112: prevent sleeping function called from invalid context
    - Input: hyperv-keyboard: Use in-place iterator API in the channel callback
    - Tools: hv: kvp: eliminate 'may be used uninitialized' warning
    - IB/mlx4: Fix memory leaks
    - ceph: fix buffer free while holding i_ceph_lock in __ceph_setxattr()
    - ceph: fix buffer free while holding i_ceph_lock in
      __ceph_build_xattrs_blob()
    - ceph: fix buffer free while holding i_ceph_lock in fill_inode()
    - KVM: arm/arm64: Only skip MMIO insn once
    - libceph: allow ceph_buffer_put() to receive a NULL ceph_buffer
    - spi: bcm2835aux: unifying code between polling and interrupt driven code
    - spi: bcm2835aux: remove dangerous uncontrolled read of fifo
    - spi: bcm2835aux: fix corruptions for longer spi transfers
    - net: fix skb use after free in netpoll
    - net_sched: fix a NULL pointer deref in ipt action
    - net: stmmac: dwmac-rk: Don't fail if phy regulator is absent
    - tcp: inherit timestamp on mtu probe
    - tcp: remove empty skb from write queue in error cases
    - net: sched: act_sample: fix psample group handling on overwrite
    - mld: fix memory leak in mld_del_delrec()
    - x86/boot: Preserve boot_params.secure_boot from sanitizing
    - tools: bpftool: fix error message (prog -> object)
    - scsi: qla2xxx: Fix gnl.l memory leak on adapter init failure
    - afs: Fix leak in afs_lookup_cell_rcu()
  * Bionic update: upstream stable patchset 2019-09-09 (LP: #1843338)
    - dmaengine: ste_dma40: fix unneeded variable warning
    - auxdisplay: panel: need to delete scan_timer when misc_register fails in
      panel_attach
    - iommu/dma: Handle SG length overflow better
    - usb: gadget: composite: Clear "suspended" on reset/disconnect
    - usb: gadget: mass_storage: Fix races between fsg_disable and fsg_set_alt
    - xen/blkback: fix memory leaks
    - i2c: rcar: avoid race when unregistering slave client
    - i2c: emev2: avoid race when unregistering slave client
    - drm/ast: Fixed reboot test may cause system hanged
    - usb: host: fotg2: restart hcd after port reset
    - tools: hv: fix KVP and VSS daemons exit code
    - watchdog: bcm2835_wdt: Fix module autoload
    - drm/bridge: tfp410: fix memleak in get_modes()
    - scsi: ufs: Fix RX_TERMINATION_FORCE_ENABLE define value
    - drm/tilcdc: Register cpufreq notifier after we have initialized crtc
    - ALSA: usb-audio: Fix a stack buffer overflow bug in check_input_term
    - ALSA: usb-audio: Fix an OOB bug in parse_audio_mixer_unit
    - net/smc: make sure EPOLLOUT is raised
    - tcp: make sure EPOLLOUT wont be missed
    - mm/zsmalloc.c: fix build when CONFIG_COMPACTION=n
    - ALSA: line6: Fix memory leak at line6_init_pcm() error path
    - ALSA: seq: Fix potential concurrent access to the deleted pool
    - kvm: x86: skip populating logical dest map if apic is not sw enabled
    - KVM: x86: Don't update RIP or do single-step on faulting emulation
    - x86/apic: Do not initialize LDR and DFR for bigsmp
    - ftrace: Fix NULL pointer dereference in t_probe_next()
    - ftrace: Check for successful allocation of hash
    - ftrace: Check for empty hash and comment the race with registering probes
    - usb-storage: Add new JMS567 revision to unusual_devs
    - USB: cdc-wdm: fix race between write and disconnect due to flag abuse
    - usb: chipidea: udc: don't do hardware access if gadget has stopped
    - usb: host: ohci: fix a race condition between shutdown and irq
    - usb: host: xhci: rcar: Fix typo in compatible string matching
    - USB: storage: ums-realtek: Update module parameter description for
      auto_delink_en
    - uprobes/x86: Fix detection of 32-bit user mode
    - mmc: sdhci-of-at91: add quirk for broken HS200
    - mmc: core: Fix init of SD cards reporting an invalid VDD range
    - stm class: Fix a double free of stm_source_device
    - intel_th: pci: Add support for another Lewisburg PCH
    - intel_th: pci: Add Tiger Lake support
    - drm/i915: Don't deballoon unused ggtt drm_mm_node in linux guest
    - VMCI: Release resource if the work is already queued
    - crypto: ccp - Ignore unconfigured CCP device on suspend/resume
    - Revert "cfg80211: fix processing world regdomain when non modular"
    - mac80211: fix possible sta leak
    - KVM: PPC: Book3S: Fix incorrect guest-to-user-translation error handling
    - KVM: arm/arm64: vgic: Fix potential deadlock when ap_list is long
    - KVM: arm/arm64: vgic-v2: Handle SGI bits in GICD_I{S,C}PENDR0 as WI
    - NFS: Clean up list moves of struct nfs_page
    - NFSv4/pnfs: Fix a page lock leak in nfs_pageio_resend()
    - NFS: Pass error information to the pgio error cleanup routine
    - NFS: Ensure O_DIRECT reports an error if the bytes read/written is 0
    - i2c: piix4: Fix port selection for AMD Family 16h Model 30h
    - x86/ptrace: fix up botched merge of spectrev1 fix
    - Revert "ASoC: Fail card instantiation if DAI format setup fails"
    - nvme-multipath: revalidate nvme_ns_head gendisk in nvme_validate_ns
    - afs: Fix the CB.ProbeUuid service handler to reply correctly
    - dmaengine: stm32-mdma: Fix a possible null-pointer dereference in
      stm32_mdma_irq_handler()
    - omap-dma/omap_vout_vrfb: fix off-by-one fi value
    - arm64: cpufeature: Don't treat granule sizes as strict
    - tools: hv: fixed Python pep8/flake8 warnings for lsvmbus
    - ipv4/icmp: fix rt dst dev null pointer dereference
    - ALSA: hda - Fixes inverted Conexant GPIO mic mute led
    - usb: hcd: use managed device resources
    - lib: logic_pio: Fix RCU usage
    - lib: logic_pio: Avoid possible overlap for unregistering regions
    - lib: logic_pio: Add logic_pio_unregister_range()
    - drm/amdgpu: Add APTX quirk for Dell Latitude 5495
    - drm/i915: Call dma_set_max_seg_size() in i915_driver_hw_probe()
    - bus: hisi_lpc: Unregister logical PIO range to avoid potential use-after-
      free
  * New ID in ums-realtek module breaks cardreader (LP: #1838886) // Bionic
    update: upstream stable patchset 2019-09-09 (LP: #1843338)
    - USB: storage: ums-realtek: Whitelist auto-delink support
  * TC filters are broken on Mellanox after upstream stable updates
    (LP: #1842502)
    - net/mlx5e: Remove redundant vport context vlan update
    - net/mlx5e: Properly order min inline mode setup while parsing TC matches
    - net/mlx5e: Get the required HW match level while parsing TC flow matches
    - net/mlx5e: Always use the match level enum when parsing TC rule match
    - net/mlx5e: Don't match on vlan non-existence if ethertype is wildcarded

 -- Connor Kuehl <connor.kuehl@canonical.com>  Wed, 02 Oct 2019 15:08:20 -0700

linux-aws-hwe (4.15.0-1051.53~16.04.1) xenial; urgency=medium

  * xenial/linux-aws-hwe: 4.15.0-1051.53~16.04.1 -proposed tracker
    (LP: #1844379)

  [ Ubuntu: 4.15.0-1051.53 ]

  * bionic/linux-aws: 4.15.0-1051.53 -proposed tracker (LP: #1844380)
  * linux-aws: update EFA driver to version 1.4.0 (LP: #1844166)
    - SAUCE: efa: don't elide module initialization
    - SAUCE: linux/efa: Fix kcompat defines usage before include
    - SAUCE: linux/efa: Bump driver version to 1.3.1
    - SAUCE: linux/efa: Expose device statistics
    - SAUCE: linux/efa: Remove umem check on dereg MR flow
    - SAUCE: linux/efa: Add EFA definitions usage
    - SAUCE: linux/efa: Rate limit admin queue error prints
    - SAUCE: linux/efa: Remove check that prevents destroy of resources in error
      flows
    - SAUCE: linux/efa: Move driver_id into struct ib_device_ops
    - SAUCE: linux/efa: Move uverbs_abi_ver into struct ib_device_ops
    - SAUCE: linux/efa: Move owner into struct ib_device_ops
    - SAUCE: linux/efa: Clean destroy CQ in drivers do not return errors
    - SAUCE: linux/efa: Combine create CQ functions
    - SAUCE: linux/efa: Fix wrong ifdef clause
    - SAUCE: linux/efa: Align with CQ core allocations
    - SAUCE: linux/efa: Use existing FIELD_SIZEOF macro
    - SAUCE: linux/efa: Assign err when failing to create everbs device
    - SAUCE: linux/efa: Bump driver version to 1.4.0
  * arm64: large modules fail to load (LP: #1841109)
    - [config] aws: Remove CONFIG_ARM64_MODULE_CMODEL_LARGE
  * AWS: per-device block I/O timeout support (LP: #1841461)
    - block: add io timeout to sysfs
    - block: don't show io_timeout if driver has no timeout handler
  * bionic/linux: 4.15.0-65.74 -proposed tracker (LP: #1844403)
  * arm64: large modules fail to load (LP: #1841109)
    - arm64/kernel: kaslr: reduce module randomization range to 4 GB
    - arm64/kernel: don't ban ADRP to work around Cortex-A53 erratum #843419
    - arm64: fix undefined reference to 'printk'
    - arm64/kernel: rename module_emit_adrp_veneer->module_emit_veneer_for_adrp
    - [config] Remove CONFIG_ARM64_MODULE_CMODEL_LARGE
  * CVE-2018-20976
    - xfs: clear sb->s_fs_info on mount failure
  * br_netfilter: namespace sysctl operations (LP: #1836910)
    - net: bridge: add bitfield for options and convert vlan opts
    - net: bridge: convert nf call options to bits
    - netfilter: bridge: port sysctls to use brnf_net
    - netfilter: bridge: namespace bridge netfilter sysctls
    - netfilter: bridge: prevent UAF in brnf_exit_net()
  * tuntap: correctly set SOCKWQ_ASYNC_NOSPACE (LP: #1830756)
    - tuntap: correctly set SOCKWQ_ASYNC_NOSPACE
  * Bionic update: upstream stable patchset 2019-08-30 (LP: #1842114)
    - HID: Add 044f:b320 ThrustMaster, Inc. 2 in 1 DT
    - MIPS: kernel: only use i8253 clocksource with periodic clockevent
    - mips: fix cacheinfo
    - netfilter: ebtables: fix a memory leak bug in compat
    - ASoC: dapm: Fix handling of custom_stop_condition on DAPM graph walks
    - bonding: Force slave speed check after link state recovery for 802.3ad
    - can: dev: call netif_carrier_off() in register_candev()
    - ASoC: Fail card instantiation if DAI format setup fails
    - st21nfca_connectivity_event_received: null check the allocation
    - st_nci_hci_connectivity_event_received: null check the allocation
    - ASoC: ti: davinci-mcasp: Correct slot_width posed constraint
    - net: usb: qmi_wwan: Add the BroadMobi BM818 card
    - qed: RDMA - Fix the hw_ver returned in device attributes
    - isdn: mISDN: hfcsusb: Fix possible null-pointer dereferences in
      start_isoc_chain()
    - netfilter: ipset: Fix rename concurrency with listing
    - isdn: hfcsusb: Fix mISDN driver crash caused by transfer buffer on the stack
    - perf bench numa: Fix cpu0 binding
    - can: sja1000: force the string buffer NULL-terminated
    - can: peak_usb: force the string buffer NULL-terminated
    - net/ethernet/qlogic/qed: force the string buffer NULL-terminated
    - NFSv4: Fix a potential sleep while atomic in nfs4_do_reclaim()
    - HID: input: fix a4tech horizontal wheel custom usage
    - SMB3: Kernel oops mounting a encryptData share with CONFIG_DEBUG_VIRTUAL
    - net: cxgb3_main: Fix a resource leak in a error path in 'init_one()'
    - net: hisilicon: make hip04_tx_reclaim non-reentrant
    - net: hisilicon: fix hip04-xmit never return TX_BUSY
    - net: hisilicon: Fix dma_map_single failed on arm64
    - libata: have ata_scsi_rw_xlat() fail invalid passthrough requests
    - libata: add SG safety checks in SFF pio transfers
    - x86/lib/cpu: Address missing prototypes warning
    - drm/vmwgfx: fix memory leak when too many retries have occurred
    - perf ftrace: Fix failure to set cpumask when only one cpu is present
    - perf cpumap: Fix writing to illegal memory in handling cpumap mask
    - perf pmu-events: Fix missing "cpu_clk_unhalted.core" event
    - selftests: kvm: Adding config fragments
    - HID: wacom: correct misreported EKR ring values
    - HID: wacom: Correct distance scale for 2nd-gen Intuos devices
    - Revert "dm bufio: fix deadlock with loop device"
    - ceph: don't try fill file_lock on unsuccessful GETFILELOCK reply
    - libceph: fix PG split vs OSD (re)connect race
    - drm/nouveau: Don't retry infinitely when receiving no data on i2c over AUX
    - gpiolib: never report open-drain/source lines as 'input' to user-space
    - userfaultfd_release: always remove uffd flags and clear vm_userfaultfd_ctx
    - x86/retpoline: Don't clobber RFLAGS during CALL_NOSPEC on i386
    - x86/apic: Handle missing global clockevent gracefully
    - x86/CPU/AMD: Clear RDRAND CPUID bit on AMD family 15h/16h
    - x86/boot: Save fields explicitly, zero out everything else
    - x86/boot: Fix boot regression caused by bootparam sanitizing
    - dm kcopyd: always complete failed jobs
    - dm btree: fix order of block initialization in btree_split_beneath
    - dm space map metadata: fix missing store of apply_bops() return value
    - dm table: fix invalid memory accesses with too high sector number
    - dm zoned: improve error handling in reclaim
    - dm zoned: improve error handling in i/o map code
    - dm zoned: properly handle backing device failure
    - genirq: Properly pair kobject_del() with kobject_add()
    - mm, page_owner: handle THP splits correctly
    - mm/zsmalloc.c: migration can leave pages in ZS_EMPTY indefinitely
    - mm/zsmalloc.c: fix race condition in zs_destroy_pool
    - xfs: fix missing ILOCK unlock when xfs_setattr_nonsize fails due to EDQUOT
    - dm zoned: fix potential NULL dereference in dmz_do_reclaim()
    - powerpc: Allow flush_(inval_)dcache_range to work across ranges >4GB
    - can: mcp251x: add error check when wq alloc failed
    - netfilter: ipset: Actually allow destination MAC address for hash:ip,mac
      sets too
    - netfilter: ipset: Copy the right MAC address in bitmap:ip,mac and
      hash:ip,mac sets
    - rxrpc: Fix the lack of notification when sendmsg() fails on a DATA packet
    - net: phy: phy_led_triggers: Fix a possible null-pointer dereference in
      phy_led_trigger_change_speed()
    - NFS: Fix regression whereby fscache errors are appearing on 'nofsc' mounts
    - net: stmmac: Fix issues when number of Queues >= 4
    - KVM: arm64: Don't write junk to sysregs on reset
    - KVM: arm: Don't write junk to CP15 registers on reset
    - xfs: don't trip over uninitialized buffer on extent read of corrupted inode
    - xfs: Move fs/xfs/xfs_attr.h to fs/xfs/libxfs/xfs_attr.h
    - xfs: Add helper function xfs_attr_try_sf_addname
    - xfs: Add attibute remove and helper functions
  * Bionic update: upstream stable patchset 2019-08-27 (LP: #1841652)
    - sh: kernel: hw_breakpoint: Fix missing break in switch statement
    - mm/usercopy: use memory range to be accessed for wraparound check
    - mm/memcontrol.c: fix use after free in mem_cgroup_iter()
    - bpf: get rid of pure_initcall dependency to enable jits
    - bpf: restrict access to core bpf sysctls
    - bpf: add bpf_jit_limit knob to restrict unpriv allocations
    - xtensa: add missing isync to the cpu_reset TLB code
    - ALSA: hda - Apply workaround for another AMD chip 1022:1487
    - ALSA: hda - Fix a memory leak bug
    - HID: holtek: test for sanity of intfdata
    - HID: hiddev: avoid opening a disconnected device
    - HID: hiddev: do cleanup in failure of opening a device
    - Input: kbtab - sanity check for endpoint type
    - Input: iforce - add sanity checks
    - net: usb: pegasus: fix improper read if get_registers() fail
    - netfilter: ebtables: also count base chain policies
    - clk: at91: generated: Truncate divisor to GENERATED_MAX_DIV + 1
    - clk: renesas: cpg-mssr: Fix reset control race condition
    - xen/pciback: remove set but not used variable 'old_state'
    - irqchip/gic-v3-its: Free unused vpt_page when alloc vpe table fail
    - irqchip/irq-imx-gpcv2: Forward irq type to parent
    - perf header: Fix divide by zero error if f_header.attr_size==0
    - perf header: Fix use of unitialized value warning
    - libata: zpodd: Fix small read overflow in zpodd_get_mech_type()
    - drm/bridge: lvds-encoder: Fix build error while CONFIG_DRM_KMS_HELPER=m
    - scsi: hpsa: correct scsi command status issue after reset
    - scsi: qla2xxx: Fix possible fcport null-pointer dereferences
    - ata: libahci: do not complain in case of deferred probe
    - kbuild: modpost: handle KBUILD_EXTRA_SYMBOLS only for external modules
    - arm64/efi: fix variable 'si' set but not used
    - arm64: unwind: Prohibit probing on return_address()
    - arm64/mm: fix variable 'pud' set but not used
    - IB/core: Add mitigation for Spectre V1
    - IB/mad: Fix use-after-free in ib mad completion handling
    - drm: msm: Fix add_gpu_components
    - ocfs2: remove set but not used variable 'last_hash'
    - asm-generic: fix -Wtype-limits compiler warnings
    - KVM: arm/arm64: Sync ICH_VMCR_EL2 back when about to block
    - staging: comedi: dt3000: Fix signed integer overflow 'divider * base'
    - staging: comedi: dt3000: Fix rounding up of timer divisor
    - iio: adc: max9611: Fix temperature reading in probe
    - USB: core: Fix races in character device registration and deregistraion
    - usb: gadget: udc: renesas_usb3: Fix sysfs interface of "role"
    - usb: cdc-acm: make sure a refcount is taken early enough
    - USB: CDC: fix sanity checks in CDC union parser
    - USB: serial: option: add D-Link DWM-222 device ID
    - USB: serial: option: Add support for ZTE MF871A
    - USB: serial: option: add the BroadMobi BM818 card
    - USB: serial: option: Add Motorola modem UARTs
    - bpf: fix bpf_jit_limit knob for PAGE_SIZE >= 64K
    - arm64: ftrace: Ensure module ftrace trampoline is coherent with I-side
    - netfilter: conntrack: Use consistent ct id hash calculation
    - Input: psmouse - fix build error of multiple definition
    - iommu/amd: Move iommu_init_pci() to .init section
    - bnx2x: Fix VF's VLAN reconfiguration in reload.
    - net/mlx4_en: fix a memory leak bug
    - net/packet: fix race in tpacket_snd()
    - sctp: fix the transport error_count check
    - xen/netback: Reset nr_frags before freeing skb
    - net/mlx5e: Only support tx/rx pause setting for port owner
    - net/mlx5e: Use flow keys dissector to parse packets for ARFS
    - team: Add vlan tx offload to hw_enc_features
    - bonding: Add vlan tx offload to hw_enc_features
    - mmc: sdhci-of-arasan: Do now show error message in case of deffered probe
    - xfrm: policy: remove pcpu policy cache
    - mm/hmm: fix bad subpage pointer in try_to_unmap_one
    - mm: mempolicy: make the behavior consistent when MPOL_MF_MOVE* and
      MPOL_MF_STRICT were specified
    - mm: mempolicy: handle vma with unmovable pages mapped correctly in mbind
    - riscv: Make __fstate_clean() work correctly.
    - Revert "kmemleak: allow to coexist with fault injection"
    - sctp: fix memleak in sctp_send_reset_streams
  * Bionic update: upstream stable patchset 2019-08-16 (LP: #1840520)
    - iio: adc: max9611: Fix misuse of GENMASK macro
    - crypto: ccp - Fix oops by properly managing allocated structures
    - crypto: ccp - Ignore tag length when decrypting GCM ciphertext
    - usb: usbfs: fix double-free of usb memory upon submiturb error
    - usb: iowarrior: fix deadlock on disconnect
    - sound: fix a memory leak bug
    - mmc: cavium: Set the correct dma max segment size for mmc_host
    - mmc: cavium: Add the missing dma unmap when the dma has finished.
    - loop: set PF_MEMALLOC_NOIO for the worker thread
    - Input: synaptics - enable RMI mode for HP Spectre X360
    - lkdtm: support llvm-objcopy
    - crypto: ccp - Validate buffer lengths for copy operations
    - crypto: ccp - Add support for valid authsize values less than 16
    - perf annotate: Fix s390 gap between kernel end and module start
    - perf db-export: Fix thread__exec_comm()
    - perf record: Fix module size on s390
    - usb: host: xhci-rcar: Fix timeout in xhci_suspend()
    - usb: yurex: Fix use-after-free in yurex_delete
    - can: rcar_canfd: fix possible IRQ storm on high load
    - can: peak_usb: fix potential double kfree_skb()
    - netfilter: nfnetlink: avoid deadlock due to synchronous request_module
    - vfio-ccw: Set pa_nr to 0 if memory allocation fails for pa_iova_pfn
    - netfilter: Fix rpfilter dropping vrf packets by mistake
    - netfilter: nft_hash: fix symhash with modulus one
    - scripts/sphinx-pre-install: fix script for RHEL/CentOS
    - iscsi_ibft: make ISCSI_IBFT dependson ACPI instead of ISCSI_IBFT_FIND
    - mac80211: don't warn about CW params when not using them
    - hwmon: (nct6775) Fix register address and added missed tolerance for nct6106
    - drm: silence variable 'conn' set but not used
    - cpufreq/pasemi: fix use-after-free in pas_cpufreq_cpu_init()
    - s390/qdio: add sanity checks to the fast-requeue path
    - ALSA: compress: Fix regression on compressed capture streams
    - ALSA: compress: Prevent bypasses of set_params
    - ALSA: compress: Don't allow paritial drain operations on capture streams
    - ALSA: compress: Be more restrictive about when a drain is allowed
    - perf tools: Fix proper buffer size for feature processing
    - perf probe: Avoid calling freeing routine multiple times for same pointer
    - drbd: dynamically allocate shash descriptor
    - ACPI/IORT: Fix off-by-one check in iort_dev_find_its_id()
    - ARM: davinci: fix sleep.S build error on ARMv4
    - scsi: megaraid_sas: fix panic on loading firmware crashdump
    - scsi: ibmvfc: fix WARN_ON during event pool release
    - scsi: scsi_dh_alua: always use a 2 second delay before retrying RTPG
    - test_firmware: fix a memory leak bug
    - tty/ldsem, locking/rwsem: Add missing ACQUIRE to read_failed sleep loop
    - perf/core: Fix creating kernel counters for PMUs that override event->cpu
    - HID: sony: Fix race condition between rumble and device remove.
    - can: peak_usb: pcan_usb_pro: Fix info-leaks to USB devices
    - can: peak_usb: pcan_usb_fd: Fix info-leaks to USB devices
    - hwmon: (nct7802) Fix wrong detection of in4 presence
    - drm/i915: Fix wrong escape clock divisor init for GLK
    - ALSA: firewire: fix a memory leak bug
    - ALSA: hda - Don't override global PCM hw info flag
    - ALSA: hda - Workaround for crackled sound on AMD controller (1022:1457)
    - mac80211: don't WARN on short WMM parameters from AP
    - SMB3: Fix deadlock in validate negotiate hits reconnect
    - smb3: send CAP_DFS capability during session setup
    - NFSv4: Only pass the delegation to setattr if we're sending a truncate
    - NFSv4: Fix an Oops in nfs4_do_setattr
    - KVM: Fix leak vCPU's VMCS value into other pCPU
    - mwifiex: fix 802.11n/WPA detection
    - iwlwifi: don't unmap as page memory that was mapped as single
    - iwlwifi: mvm: fix an out-of-bound access
    - iwlwifi: mvm: don't send GEO_TX_POWER_LIMIT on version < 41
    - iwlwifi: mvm: fix version check for GEO_TX_POWER_LIMIT support
    - iio: cros_ec_accel_legacy: Fix incorrect channel setting
    - staging: android: ion: Bail out upon SIGKILL when allocating memory.
    - x86/purgatory: Use CFLAGS_REMOVE rather than reset KBUILD_CFLAGS
    - usb: typec: tcpm: free log buf memory when remove debug file
    - usb: typec: tcpm: remove tcpm dir if no children
    - usb: typec: tcpm: Add NULL check before dereferencing config
    - netfilter: conntrack: always store window size un-scaled
    - drm/amd/display: Wait for backlight programming completion in set backlight
      level
    - drm/amd/display: use encoder's engine id to find matched free audio device
    - drm/amd/display: Fix dc_create failure handling and 666 color depths
    - drm/amd/display: Only enable audio if speaker allocation exists
    - drm/amd/display: Increase size of audios array
    - allocate_flower_entry: should check for null deref
    - s390/dma: provide proper ARCH_ZONE_DMA_BITS value
    - ALSA: hiface: fix multiple memory leak bugs
  * Bionic update: upstream stable patchset 2019-08-15 (LP: #1840378)
    - scsi: fcoe: Embed fc_rport_priv in fcoe_rport structure
    - ARM: dts: Add pinmuxing for i2c2 and i2c3 for LogicPD SOM-LV
    - ARM: dts: Add pinmuxing for i2c2 and i2c3 for LogicPD torpedo
    - HID: wacom: fix bit shift for Cintiq Companion 2
    - HID: Add quirk for HP X1200 PIXART OEM mouse
    - RDMA: Directly cast the sockaddr union to sockaddr
    - IB: directly cast the sockaddr union to aockaddr
    - atm: iphase: Fix Spectre v1 vulnerability
    - ife: error out when nla attributes are empty
    - ip6_tunnel: fix possible use-after-free on xmit
    - net: bridge: delete local fdb on device init failure
    - net: bridge: mcast: don't delete permanent entries when fast leave is
      enabled
    - net: fix ifindex collision during namespace removal
    - net/mlx5: Use reversed order when unregister devices
    - net: phylink: Fix flow control for fixed-link
    - net: sched: Fix a possible null-pointer dereference in dequeue_func()
    - NFC: nfcmrvl: fix gpio-handling regression
    - tipc: compat: allow tipc commands without arguments
    - compat_ioctl: pppoe: fix PPPOEIOCSFWD handling
    - net/mlx5e: Prevent encap flow counter update async to user query
    - tun: mark small packets as owned by the tap sock
    - mvpp2: refactor MTU change code
    - bnx2x: Disable multi-cos feature.
    - cgroup: Call cgroup_release() before __exit_signal()
    - cgroup: Implement css_task_iter_skip()
    - cgroup: Include dying leaders with live threads in PROCS iterations
    - cgroup: css_task_iter_skip()'d iterators must be advanced before accessed
    - cgroup: Fix css_task_iter_advance_css_set() cset skip condition
    - spi: bcm2835: Fix 3-wire mode if DMA is enabled
    - driver core: Establish order of operations for device_add and device_del via
      bitflag
    - drivers/base: Introduce kill_device()
    - libnvdimm/bus: Prevent duplicate device_unregister() calls
    - libnvdimm/region: Register badblocks before namespaces
    - libnvdimm/bus: Prepare the nd_ioctl() path to be re-entrant
    - libnvdimm/bus: Fix wait_nvdimm_bus_probe_idle() ABBA deadlock
    - ipip: validate header length in ipip_tunnel_xmit
    - mvpp2: fix panic on module removal
    - net/mlx5: Fix modify_cq_in alignment
    - r8169: don't use MSI before RTL8168d
  * VIMC module not available (CONFIG_VIDEO_VIMC not set) (LP: #1831482)
    - [Config] Enable VIMC module
  * reboot will introduce an alarm 'beep ...' during BIOS phase (LP: #1840395)
    - ALSA: hda - Let all conexant codec enter D3 when rebooting
    - ALSA: hda - Add a generic reboot_notify
  * Include Sunix serial/parallel driver (LP: #1826716)
    - serial: 8250_pci: Add support for Sunix serial boards
    - parport: parport_serial: Add support for Sunix Multi I/O boards
  * Intel HDMI audio print "Unable to sync register" errors (LP: #1840394)
    - ALSA: hda - Don't resume forcibly i915 HDMI/DP codec
  * Support cpufreq, thermal sensors & cooling cells on iMX6Q based Nitrogen6x
    board (LP: #1840437)
    - arm: imx: Add MODULE_ALIAS for cpufreq
    - ARM: dts: imx: Add missing OPP properties for CPUs
    - ARM: dts: imx7d: use operating-points-v2 for cpu
    - ARM: dts: imx7d: remove "operating-points" property for cpu1
    - ARM: dts: imx: add cooling-cells for cpufreq cooling device
    - ARM: dts: imx6: add thermal sensor and cooling cells
  * hns3: ring buffer race leads can cause corruption (LP: #1840717)
    - net: hns3: minor optimization for ring_space
    - net: hns3: fix data race between ring->next_to_clean
    - net: hns3: optimize the barrier using when cleaning TX BD
  * Bionic build broken if CONFIG_MODVERSIONS enabled (LP: #1840321)
    - Revert "genksyms: Teach parser about 128-bit built-in types"
  * [bionic] drm/i915: softpin broken, needs to be fixed for 32bit mesa
    (LP: #1815172)
    - SAUCE: drm/i915: Partially revert d6edad3777c28ea
  * Goodix touchpad may drop first input event (LP: #1840075)
    - mfd: intel-lpss: Remove D3cold delay
  * NULL pointer dereference when Inserting the VIMC module (LP: #1840028)
    - media: vimc: fix component match compare
  * Fix touchpad IRQ storm after S3 (LP: #1841396)
    - pinctrl: intel: remap the pin number to gpio offset for irq enabled pin
  * [SRU][B/OEM-B/OEM-OSP1/D] UBUNTU: SAUCE: enable middle button for one more
    ThinkPad (LP: #1841722)
    - SAUCE: Input: elantech - enable middle button for one more ThinkPad
  * Test 391/u and 391/p from ubuntu_bpf failed on B (LP: #1841704)
    - SAUCE: Fix "bpf: improve verifier branch analysis"
  * crypto/testmgr.o fails to build due to struct cipher_testvec not having data
    members: ctext, ptext, len (LP: #1841264)
    - SAUCE: Revert "crypto: testmgr - add AES-CFB tests"
  * Bionic QEMU with Bionic Kernel hangs in AMD FX-8350 with cpu-host as
    passthrough (LP: #1834522)
    - KVM: SVM: install RSM intercept
    - KVM: x86: SVM: Set EMULTYPE_NO_REEXECUTE for RSM emulation

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 18 Sep 2019 16:13:01 +0200

# For older changelog entries, run 'apt-get changelog linux-image-4.15.0-1060-aws'
